(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 11.3' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    249918,       5639]
NotebookOptionsPosition[    234088,       5359]
NotebookOutlinePosition[    234423,       5374]
CellTagsIndexPosition[    234380,       5371]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
 "   ",
 StyleBox[" ",
  FontSlant->"Italic"],
 StyleBox["WTC 2018   talk demonstrations",
  FontSlant->"Italic",
  FontVariations->{"Underline"->True}],
 "\n\[OpenCurlyDoubleQuote]",
 StyleBox["Matching Paired Sets of Space and Orientation Data\
\[CloseCurlyDoubleQuote]\n       ",
  FontWeight->"Bold"],
 StyleBox["Andrew J. Hanson\n       Indiana University Bloomington\n      17 \
October, 2018",
  FontSlant->"Italic"]
}], "Subchapter",
 CellChangeTimes->{{3.7407389856675*^9, 3.740739049594471*^9}, {
  3.7407897580846367`*^9, 3.7407897752603083`*^9}, {3.747963124826339*^9, 
  3.747963214593629*^9}},ExpressionUUID->"cd11458e-f56a-4dc8-b11e-\
58d02343f27a"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"NotebookDirectory", "[", "]"}]], "Input",
 CellChangeTimes->{{3.747963294803383*^9, 3.747963298704425*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"5ca85a31-f6d3-42ec-b892-081e1ebbe2a1"],

Cell[BoxData["\<\"/home/hanson/Dropbox/Articles/WTC2018/\"\>"], "Output",
 CellChangeTimes->{3.7479632993468637`*^9, 3.748034238380117*^9},
 CellLabel->"Out[1]=",ExpressionUUID->"79d8c139-e977-4640-93d7-e85c162dc8f8"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Directory", "[", "]"}]], "Input",
 CellChangeTimes->{{3.74796394320498*^9, 3.747963945411022*^9}},
 CellLabel->"In[41]:=",ExpressionUUID->"7b7cd90a-f2d4-4181-9205-fff4bfd54b24"],

Cell[BoxData["\<\"/\"\>"], "Output",
 CellChangeTimes->{3.747963945917975*^9, 3.748046550131249*^9},
 CellLabel->"Out[41]=",ExpressionUUID->"f9898570-ed8c-4bf5-8991-bf816f123c96"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SetDirectory", "[", 
  RowBox[{"NotebookDirectory", "[", "]"}], "]"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.747963952556929*^9, 3.747963960882702*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"bb0e5f02-a60a-40ee-b5e0-3fb6db54dd67"],

Cell[BoxData["\<\"/media/C454-A86A/AJH WTC 2018\"\>"], "Output",
 CellChangeTimes->{3.7479639615308027`*^9, 3.748046585840681*^9, 
  3.748046622809173*^9},
 CellLabel->"Out[1]=",ExpressionUUID->"7fa43969-cb6d-4874-aa0a-b8288fcfa139"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"Get", "[", "\"\<The2DData.m\>\"", "]"}], ";"}]], "Input",
 InitializationCell->True,
 CellLabel->"In[2]:=",ExpressionUUID->"aac2c8f7-b83f-4414-8a03-c69f7605cb38"],

Cell[BoxData["Theth0"], "Input",
 CellChangeTimes->{{3.747963925926523*^9, 
  3.747963930099492*^9}},ExpressionUUID->"6c8bcd92-b192-4c03-b293-\
3c2c0dd5b39f"],

Cell[CellGroupData[{

Cell["Utilities -THE eigenvalue functions: Initialization", "Section",
 CellChangeTimes->{{3.747963336095977*^9, 3.747963341991626*^9}, {
  3.748027702666315*^9, 
  3.748027720648816*^9}},ExpressionUUID->"9db93b9e-38d7-44a7-a208-\
4ad5b446243a"],

Cell[CellGroupData[{

Cell[TextData[{
 "THE SOLUTIONS:  ",
 StyleBox["Eigenvalues [X,Y,Z] and Eigenvector[epsilon]\n",
  FontWeight->"Bold"],
 "compute p1,p2,p3,p4 from data sets, substitute those\n      numbers into  \
xyzEps0[p]  for Optimum, xyzEpsN[k,p] for k-th eigenvalue."
}], "Subsection",
 CellChangeTimes->{{3.740741134824894*^9, 3.74074113724797*^9}, {
  3.74074737555479*^9, 3.740747453995146*^9}, {3.741717432952654*^9, 
  3.7417174530351143`*^9}},ExpressionUUID->"8d345105-8d81-419a-b02c-\
2ee97b6db077"],

Cell[BoxData[
 RowBox[{
  RowBox[{"aFun", "[", " ", 
   RowBox[{"p1_", ",", "p2_", ",", "p3_", ",", "p4_"}], "]"}], " ", ":=", " ", 
  RowBox[{
   SuperscriptBox["p2", "3"], "+", 
   RowBox[{
    FractionBox["1", "2"], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "9"}], " ", "p2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"p1", " ", "p3"}], "+", 
         RowBox[{"8", " ", "p4"}]}], ")"}]}], "+", 
      RowBox[{"27", " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["p3", "2"], "+", 
         RowBox[{
          SuperscriptBox["p1", "2"], " ", "p4"}]}], ")"}]}]}], 
     ")"}]}]}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.72874044187215*^9, 3.7287404569567757`*^9}, {
  3.728747493423954*^9, 3.728747506947139*^9}},
 CellLabel->"In[3]:=",ExpressionUUID->"4028d521-41c7-45c7-9059-7e16c23ac190"],

Cell[BoxData[
 RowBox[{
  RowBox[{"bsqFun", "[", 
   RowBox[{"p1_", ",", "p2_", ",", "p3_", ",", "p4_"}], "]"}], " ", ":=", " ", 
  RowBox[{"(", " ", 
   RowBox[{
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox["p2", "2"], "-", 
       RowBox[{"3", " ", "p1", " ", "p3"}], "+", 
       RowBox[{"12", " ", "p4"}]}], ")"}], "3"], "-", 
    SuperscriptBox[
     RowBox[{"(", " ", 
      RowBox[{
       SuperscriptBox["p2", "3"], "-", 
       RowBox[{
        FractionBox["9", "2"], " ", "p2", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"p1", " ", "p3"}], "+", 
          RowBox[{"8", " ", "p4"}]}], ")"}]}], "+", 
       RowBox[{
        FractionBox[
         RowBox[{"27", " "}], "2"], 
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["p3", "2"], "+", 
          RowBox[{
           SuperscriptBox["p1", "2"], " ", "p4"}]}], ")"}]}]}], ")"}], "2"]}],
    ")"}]}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 InitializationCell->True,
 CellChangeTimes->{{3.7287404672947407`*^9, 3.728740482828661*^9}, {
   3.728747413656727*^9, 3.728747449355983*^9}, {3.729105062207823*^9, 
   3.729105096599821*^9}, 3.729105296941227*^9},
 CellLabel->"In[4]:=",ExpressionUUID->"9e8793ac-1e8c-43dc-87f4-6473b61877f0"],

Cell[BoxData[
 RowBox[{
  RowBox[{"nFun", "[", 
   RowBox[{"p1_", ",", "p2_", ",", "p3_", ",", "p4_"}], "]"}], " ", ":=", " ", 
  RowBox[{
   SuperscriptBox["p2", "2"], "-", 
   RowBox[{"3", " ", "p1", " ", "p3"}], "+", 
   RowBox[{"12", " ", "p4"}]}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.728954401344324*^9, 3.7289544290863247`*^9}},
 CellLabel->"In[5]:=",ExpressionUUID->"4edf2d84-e36c-46b6-b015-5fdf312de8f2"],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Just the X,Y,Z pieces of the eigenvalue solution:",
 FontSize->16,
 FontWeight->"Bold"]], "Text",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.740741193447926*^9, 3.740741200847986*^9}, {
   3.7480447419631433`*^9, 3.748044774466655*^9}, 
   3.748045838811059*^9},ExpressionUUID->"8dcf24a2-91a4-4fec-9e17-\
74f860dae2e2"],

Cell[BoxData[
 RowBox[{
  RowBox[{"xyzEps0", "[", 
   RowBox[{"p1_", ",", "p2_", ",", "p3_", ",", "p4_"}], "]"}], ":=", " ", 
  "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"a", " ", "=", " ", 
       RowBox[{"aFun", "[", 
        RowBox[{"p1", ",", "p2", ",", "p3", ",", "p4"}], "]"}]}], ",", 
      RowBox[{"b", "=", 
       RowBox[{"Sqrt", "[", 
        RowBox[{"bsqFun", "[", 
         RowBox[{"p1", ",", "p2", ",", "p3", ",", "p4"}], "]"}], "]"}]}], ",",
       "r", ",", "cosx3", ",", "cosy3", ",", "cosz3", ",", "xx", ",", "yy", 
      ",", "zz"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"r", "=", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["a", "2"], "+", 
         SuperscriptBox["b", "2"]}], ")"}], 
       RowBox[{"1", "/", "6"}]]}], ";", 
     RowBox[{"cosx3", " ", "=", " ", 
      RowBox[{"Cos", "[", 
       RowBox[{
        RowBox[{"ArcTan", "[", 
         RowBox[{"a", ",", "b"}], "]"}], "/", "3"}], "]"}]}], ";", 
     RowBox[{"cosy3", " ", "=", " ", 
      RowBox[{"Cos", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"ArcTan", "[", 
          RowBox[{"a", ",", "b"}], "]"}], "/", "3"}], "-", 
        RowBox[{"2", " ", 
         RowBox[{"Pi", "/", "3"}]}]}], "]"}]}], ";", 
     RowBox[{"cosz3", " ", "=", " ", 
      RowBox[{"Cos", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"ArcTan", "[", 
          RowBox[{"a", ",", "b"}], "]"}], "/", "3"}], "+", 
        RowBox[{"2", 
         RowBox[{"Pi", "/", "3"}]}]}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"xx", "=", " ", 
      RowBox[{
       FractionBox["1", "12"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", "r", " ", "cosx3"}], "+", 
         FractionBox[
          RowBox[{"3", " ", 
           SuperscriptBox["p1", "2"]}], "4"], "-", 
         RowBox[{"2", " ", "p2"}]}], ")"}]}]}], ";", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"yy", "=", " ", 
      RowBox[{
       FractionBox["1", "12"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", "r", " ", "cosy3"}], "+", 
         FractionBox[
          RowBox[{"3", " ", 
           SuperscriptBox["p1", "2"]}], "4"], "-", 
         RowBox[{"2", " ", "p2"}]}], ")"}]}]}], ";", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"zz", "=", " ", 
      RowBox[{
       FractionBox["1", "12"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", "r", " ", "cosz3"}], "+", 
         FractionBox[
          RowBox[{"3", " ", 
           SuperscriptBox["p1", "2"]}], "4"], "-", 
         RowBox[{"2", " ", "p2"}]}], ")"}]}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"{", "  ", 
      RowBox[{"xx", " ", ",", " ", "yy", ",", " ", "zz"}], "}"}]}]}], 
   "]"}]}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 InitializationCell->True,
 CellChangeTimes->{{3.728669446125628*^9, 3.7286697239218187`*^9}, {
   3.7287497678043756`*^9, 3.7287498065768948`*^9}, {3.728754912828916*^9, 
   3.7287549815386477`*^9}, {3.7287581870960207`*^9, 3.728758190655588*^9}, {
   3.7287599069186363`*^9, 3.728759916652416*^9}, 3.7287606242827044`*^9, {
   3.72882659763416*^9, 3.7288265983850393`*^9}, 3.728826797517808*^9, {
   3.728827629027663*^9, 3.7288276581739798`*^9}, {3.729351892172475*^9, 
   3.72935195432892*^9}, {3.7293778345773897`*^9, 3.7293778407682447`*^9}, 
   3.7294410766534767`*^9, 3.7480458388119097`*^9},
 CellLabel->"In[6]:=",ExpressionUUID->"d5a79dc4-6870-4e8e-b665-f55521c21b45"]
}, Closed]],

Cell[TextData[StyleBox["The four eigenvalues,  index 1,2,3,4 into different \
sign combinations of Sqrt[X,Y,Z]",
 FontSize->16,
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{{3.748021212391152*^9, 
  3.748021259583815*^9}},ExpressionUUID->"fa97a7bd-7984-46a3-9b03-\
bb17e136b2c9"],

Cell[BoxData[
 RowBox[{
  RowBox[{"xyzEpsN", "[", 
   RowBox[{"rootNum_", ",", "p1_", ",", "p2_", ",", "p3_", ",", "p4_"}], 
   "]"}], ":=", " ", "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"a", " ", "=", " ", 
       RowBox[{"aFun", "[", 
        RowBox[{"p1", ",", "p2", ",", "p3", ",", "p4"}], "]"}]}], ",", 
      RowBox[{"b", "=", 
       RowBox[{"Sqrt", "[", 
        RowBox[{"bsqFun", "[", 
         RowBox[{"p1", ",", "p2", ",", "p3", ",", "p4"}], "]"}], "]"}]}], ",",
       "r", ",", "cosx3", ",", "cosy3", ",", "cosz3", ",", "xx", ",", "yy", 
      ",", "zz"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"r", "=", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["a", "2"], "+", 
         SuperscriptBox["b", "2"]}], ")"}], 
       RowBox[{"1", "/", "6"}]]}], ";", 
     RowBox[{"cosx3", " ", "=", " ", 
      RowBox[{"Cos", "[", 
       RowBox[{
        RowBox[{"ArcTan", "[", 
         RowBox[{"a", ",", "b"}], "]"}], "/", "3"}], "]"}]}], ";", 
     RowBox[{"cosy3", " ", "=", " ", 
      RowBox[{"Cos", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"ArcTan", "[", 
          RowBox[{"a", ",", "b"}], "]"}], "/", "3"}], "-", 
        RowBox[{"2", " ", 
         RowBox[{"Pi", "/", "3"}]}]}], "]"}]}], ";", 
     RowBox[{"cosz3", " ", "=", " ", 
      RowBox[{"Cos", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"ArcTan", "[", 
          RowBox[{"a", ",", "b"}], "]"}], "/", "3"}], "+", 
        RowBox[{"2", 
         RowBox[{"Pi", "/", "3"}]}]}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"xx", "=", " ", 
      RowBox[{
       FractionBox["1", "12"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", "r", " ", "cosx3"}], "+", 
         FractionBox[
          RowBox[{"3", " ", 
           SuperscriptBox["p1", "2"]}], "4"], "-", 
         RowBox[{"2", " ", "p2"}]}], ")"}]}]}], ";", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"yy", "=", " ", 
      RowBox[{
       FractionBox["1", "12"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", "r", " ", "cosy3"}], "+", 
         FractionBox[
          RowBox[{"3", " ", 
           SuperscriptBox["p1", "2"]}], "4"], "-", 
         RowBox[{"2", " ", "p2"}]}], ")"}]}]}], ";", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"zz", "=", " ", 
      RowBox[{
       FractionBox["1", "12"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", "r", " ", "cosz3"}], "+", 
         FractionBox[
          RowBox[{"3", " ", 
           SuperscriptBox["p1", "2"]}], "4"], "-", 
         RowBox[{"2", " ", "p2"}]}], ")"}]}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Switch", "[", 
      RowBox[{"rootNum", ",", "\[IndentingNewLine]", "1", ",", " ", 
       RowBox[{
        FractionBox[
         RowBox[{"-", "p1"}], "4"], "+", " ", 
        RowBox[{"Sqrt", "[", "xx", "]"}], "+", 
        RowBox[{"Sqrt", "[", "yy", "]"}], "+", 
        RowBox[{"Sqrt", "[", "zz", "]"}]}], " ", ",", "2", ",", " ", 
       RowBox[{
        FractionBox[
         RowBox[{"-", "p1"}], "4"], "+", " ", 
        RowBox[{"Sqrt", "[", "xx", "]"}], "-", 
        RowBox[{"Sqrt", "[", "yy", "]"}], "-", 
        RowBox[{"Sqrt", "[", "zz", "]"}]}], " ", ",", "\[IndentingNewLine]", 
       "3", ",", " ", 
       RowBox[{
        FractionBox[
         RowBox[{"-", "p1"}], "4"], "-", " ", 
        RowBox[{"Sqrt", "[", "xx", "]"}], "+", 
        RowBox[{"Sqrt", "[", "yy", "]"}], "-", 
        RowBox[{"Sqrt", "[", "zz", "]"}]}], " ", ",", " ", "4", ",", 
       RowBox[{
        FractionBox[
         RowBox[{"-", "p1"}], "4"], "-", "  ", 
        RowBox[{"Sqrt", "[", "xx", "]"}], "-", 
        RowBox[{"Sqrt", "[", "yy", "]"}], "+", 
        RowBox[{"Sqrt", "[", "zz", "]"}]}]}], "  ", "]"}]}]}], 
   "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.728669446125628*^9, 3.7286697239218187`*^9}, {
   3.7287497678043756`*^9, 3.7287498065768948`*^9}, {3.728754912828916*^9, 
   3.7287549815386477`*^9}, {3.7287581870960207`*^9, 3.728758190655588*^9}, {
   3.7287599069186363`*^9, 3.728759916652416*^9}, 3.7287606242827044`*^9, {
   3.72882659763416*^9, 3.7288265983850393`*^9}, 3.728826797517808*^9, {
   3.728827629027663*^9, 3.7288276581739798`*^9}, {3.729014730350665*^9, 
   3.72901494313868*^9}, {3.729015053588427*^9, 3.729015081172817*^9}, {
   3.7293778475590267`*^9, 3.7293778533776407`*^9}, {3.7407412264292994`*^9, 
   3.740741232130877*^9}},
 CellLabel->"In[7]:=",ExpressionUUID->"25f0fb87-a718-4cbe-b468-d7c879ea8191"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", "Usage", " ", "*)"}], " ", 
  RowBox[{
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"xyzEpsN", "[", 
      RowBox[{"k", ",", "0", ",", "p2", ",", "p3", ",", "p4"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", "1", ",", "4"}], "}"}]}], "]"}], "/.", 
   RowBox[{"large3DPnrules", "[", 
    RowBox[{"[", "1", "]"}], "]"}]}]}]], "Input",
 CellChangeTimes->{
  3.740743547779372*^9, {3.748044522753256*^9, 3.7480445334124317`*^9}},
 CellLabel->"In[35]:=",ExpressionUUID->"74ddf9fd-7043-439f-a123-00713499cca8"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"56.994155350638124`", ",", 
   RowBox[{"-", "10.729954250764955`"}], ",", 
   RowBox[{"-", "15.911041584756582`"}], ",", 
   RowBox[{"-", "30.353159515116587`"}]}], "}"}]], "Output",
 CellChangeTimes->{3.748044534756248*^9},
 CellLabel->"Out[35]=",ExpressionUUID->"3c449d77-5ac8-4277-aa0d-be856cefff94"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"eigenvecRMSD", "[", 
   RowBox[{
   "eigval_", ",", "x_", ",", "y_", ",", "z_", ",", "a_", ",", "b_", ",", 
    "c_", ",", "aa_", ",", "bb_", ",", "cc_"}], "]"}], ":=", " ", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"qbare", " ", "=", " ", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"2", " ", "aa", " ", "bb", " ", "cc"}], "+", 
          RowBox[{
           SuperscriptBox["cc", "2"], " ", 
           RowBox[{"(", 
            RowBox[{"eigval", "+", "x", "+", "y", "-", "z"}], ")"}]}], "+", 
          RowBox[{
           SuperscriptBox["bb", "2"], " ", 
           RowBox[{"(", 
            RowBox[{"eigval", "+", "x", "-", "y", "+", "z"}], ")"}]}], "+", 
          RowBox[{
           SuperscriptBox["aa", "2"], " ", 
           RowBox[{"(", 
            RowBox[{"eigval", "-", "x", "+", "y", "+", "z"}], ")"}]}], "-", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eigval", "+", "x", "+", "y", "-", "z"}], ")"}], " ", 
           RowBox[{"(", 
            RowBox[{"eigval", "+", "x", "-", "y", "+", "z"}], ")"}], " ", 
           RowBox[{"(", 
            RowBox[{"eigval", "-", "x", "+", "y", "+", "z"}], ")"}]}]}], ",", 
         
         RowBox[{
          RowBox[{"a", " ", 
           SuperscriptBox["aa", "2"]}], "-", 
          RowBox[{"aa", " ", "b", " ", "bb"}], "-", 
          RowBox[{"aa", " ", "c", " ", "cc"}], "-", 
          RowBox[{"b", " ", "cc", " ", 
           RowBox[{"(", 
            RowBox[{"eigval", "+", "x", "+", "y", "-", "z"}], ")"}]}], "-", 
          RowBox[{"bb", " ", "c", " ", 
           RowBox[{"(", 
            RowBox[{"eigval", "+", "x", "-", "y", "+", "z"}], ")"}]}], "-", 
          RowBox[{"a", " ", 
           RowBox[{"(", 
            RowBox[{"eigval", "+", "x", "+", "y", "-", "z"}], ")"}], " ", 
           RowBox[{"(", 
            RowBox[{"eigval", "+", "x", "-", "y", "+", "z"}], ")"}]}]}], ",", 
         
         RowBox[{
          RowBox[{
           RowBox[{"-", "a"}], " ", "aa", " ", "bb"}], "+", 
          RowBox[{"b", " ", 
           SuperscriptBox["bb", "2"]}], "-", 
          RowBox[{"bb", " ", "c", " ", "cc"}], "-", 
          RowBox[{"a", " ", "cc", " ", 
           RowBox[{"(", 
            RowBox[{"eigval", "+", "x", "+", "y", "-", "z"}], ")"}]}], "-", 
          RowBox[{"aa", "  ", "c", 
           RowBox[{"(", " ", 
            RowBox[{"eigval", "-", "x", "+", "y", "+", "z"}], ")"}]}], "-", 
          RowBox[{"b", " ", 
           RowBox[{"(", 
            RowBox[{"eigval", "+", "x", "+", "y", "-", "z"}], ")"}], " ", 
           RowBox[{"(", 
            RowBox[{"eigval", "-", "x", "+", "y", "+", "z"}], ")"}]}]}], ",", 
         
         RowBox[{
          RowBox[{
           RowBox[{"-", "a"}], " ", "aa", " ", "cc"}], "-", 
          RowBox[{"b", " ", "bb", " ", "cc"}], "+", 
          RowBox[{"c", " ", 
           SuperscriptBox["cc", "2"]}], "-", 
          RowBox[{"a", " ", "bb", " ", 
           RowBox[{"(", 
            RowBox[{"eigval", "+", "x", "-", "y", "+", "z"}], ")"}]}], "-", 
          RowBox[{"aa", " ", "b", " ", 
           RowBox[{"(", 
            RowBox[{"eigval", "-", "x", "+", "y", "+", "z"}], ")"}]}], "-", 
          RowBox[{"c", " ", 
           RowBox[{"(", 
            RowBox[{"eigval", "+", "x", "-", "y", "+", "z"}], ")"}], " ", 
           RowBox[{"(", 
            RowBox[{"eigval", "-", "x", "+", "y", "+", "z"}], ")"}]}]}]}], 
        "}"}]}], ",", "norm"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"norm", "=", " ", 
      RowBox[{"Sqrt", "[", 
       RowBox[{"qbare", ".", "qbare"}], "]"}]}], ";", " ", 
     RowBox[{"qbare", "/", "norm"}]}]}], "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.725575612366349*^9, 3.72557570949866*^9}, {
  3.7255842445435457`*^9, 3.725584257559821*^9}, {3.72558430173621*^9, 
  3.725584313739051*^9}, {3.7255849796150427`*^9, 3.7255850062316008`*^9}, {
  3.725585037682225*^9, 3.725585073930138*^9}, {3.725585120799941*^9, 
  3.725585123871475*^9}, {3.725585158541409*^9, 3.72558516776853*^9}},
 CellLabel->"In[8]:=",ExpressionUUID->"3d5ecc8d-b249-4ba9-a856-40851f4e2183"],

Cell[CellGroupData[{

Cell["\<\
Building data systems
    ---------usage--------------\
\>", "Subsubsection",
 CellChangeTimes->{{3.7417961231003942`*^9, 3.7417961247797537`*^9}, {
  3.748044591467499*^9, 3.7480445947152*^9}, {3.748044631219289*^9, 
  3.748044637059334*^9}, {3.748044669523243*^9, 
  3.74804467129077*^9}},ExpressionUUID->"f84ca08f-d5a6-4e8b-8d03-\
ab31d3446683"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"First", "/@", 
  RowBox[{"Eigensystem", "[", "\[IndentingNewLine]", 
   RowBox[{"makeMxxmat", "[", 
    RowBox[{"makeExxmat", "[", 
     RowBox[{
      RowBox[{"test3DPnt", "[", 
       RowBox[{"[", "1", "]"}], "]"}], ",", 
      RowBox[{"test3DPnt", "[", 
       RowBox[{"[", "2", "]"}], "]"}]}], "]"}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.741718567646739*^9, 3.741718594282262*^9}},
 CellLabel->
  "In[243]:=",ExpressionUUID->"bf891269-cabd-40b1-923e-a149f60b1785"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"240.99613042076422`", ",", 
   RowBox[{"{", 
    RowBox[{"0.7762612391097553`", ",", 
     RowBox[{"-", "0.15462228985485843`"}], ",", 
     RowBox[{"-", "0.39145999428129474`"}], ",", 
     RowBox[{"-", "0.46932878562167546`"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.741718596107238*^9},
 CellLabel->
  "Out[243]=",ExpressionUUID->"dd59c374-cc60-4782-9f0b-70a1e99ece8b"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Output", " ", "=", " ", 
    RowBox[{"3", "x3", " ", "numerical", " ", "matrix", " ", 
     RowBox[{"E", "[", "ij", "]"}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"makeExxmat", "[", 
    RowBox[{"targetList_", ",", "refList_"}], "]"}], ":=", " ", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"len", "=", 
       RowBox[{"Length", "[", "refList", "]"}]}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "Exx", ",", "Exy", ",", "Exz", ",", "Eyx", ",", "Eyy", ",", "Eyz", 
         ",", "Ezx", ",", "Ezy", ",", "Ezz", ",", "n", ",", "i", ",", "j"}], 
        "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"Exx", ",", "Exy", ",", "Exz"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"Eyx", ",", "Eyy", ",", "Eyz"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"Ezx", ",", "Ezy", ",", "Ezz"}], "}"}]}], "}"}], " ", "=", 
        "\[IndentingNewLine]", 
        RowBox[{"Table", "[", " ", 
         RowBox[{
          RowBox[{"Sum", " ", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"targetList", "[", 
              RowBox[{"[", 
               RowBox[{"n", ",", "i"}], "]"}], "]"}], " ", 
             RowBox[{"refList", "[", 
              RowBox[{"[", 
               RowBox[{"n", ",", "j"}], "]"}], "]"}]}], ",", 
            RowBox[{"{", 
             RowBox[{"n", ",", "1", ",", "len"}], "}"}]}], "]"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{"i", ",", "1", ",", "3"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"j", ",", "1", ",", "3"}], "}"}]}], "]"}]}]}], "]"}]}], 
    "]"}]}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.725625081905693*^9, 3.725625121223707*^9}, 
   3.725625324043811*^9},
 CellLabel->"In[9]:=",ExpressionUUID->"9430e113-b064-41e6-bcd1-e749558d02c9"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Output", " ", "=", " ", 
    RowBox[{
    "4", "x4", " ", "numerical", " ", "Horn", " ", "3", "D", " ", "matrix", 
     " ", 
     RowBox[{"M3", "[", "ab", "]"}]}]}], "  ", "*)"}], "\[IndentingNewLine]", 
  
  RowBox[{
   RowBox[{"makeMxxmat", "[", "Exxmat_", "]"}], " ", ":=", " ", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Exx", "=", 
        RowBox[{"Exxmat", "[", 
         RowBox[{"[", 
          RowBox[{"1", ",", "1"}], "]"}], "]"}]}], ",", 
       RowBox[{"Exy", "=", 
        RowBox[{"Exxmat", "[", 
         RowBox[{"[", 
          RowBox[{"1", ",", "2"}], "]"}], "]"}]}], ",", 
       RowBox[{"Exz", "=", 
        RowBox[{"Exxmat", "[", 
         RowBox[{"[", 
          RowBox[{"1", ",", "3"}], "]"}], "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"Eyx", "=", 
        RowBox[{"Exxmat", "[", 
         RowBox[{"[", 
          RowBox[{"2", ",", "1"}], "]"}], "]"}]}], ",", 
       RowBox[{"Eyy", "=", 
        RowBox[{"Exxmat", "[", 
         RowBox[{"[", 
          RowBox[{"2", ",", "2"}], "]"}], "]"}]}], ",", 
       RowBox[{"Eyz", "=", 
        RowBox[{"Exxmat", "[", 
         RowBox[{"[", 
          RowBox[{"2", ",", "3"}], "]"}], "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"Ezx", "=", 
        RowBox[{"Exxmat", "[", 
         RowBox[{"[", 
          RowBox[{"3", ",", "1"}], "]"}], "]"}]}], ",", 
       RowBox[{"Ezy", "=", 
        RowBox[{"Exxmat", "[", 
         RowBox[{"[", 
          RowBox[{"3", ",", "2"}], "]"}], "]"}]}], ",", 
       RowBox[{"Ezz", "=", 
        RowBox[{"Exxmat", "[", 
         RowBox[{"[", 
          RowBox[{"3", ",", "3"}], "]"}], "]"}]}]}], " ", "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", " ", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Exx", "+", "Eyy", "+", "Ezz"}], ",", 
         RowBox[{"Eyz", " ", "-", "Ezy"}], ",", " ", 
         RowBox[{"Ezx", " ", "-", " ", "Exz"}], ",", 
         RowBox[{"Exy", "-", "Eyx"}]}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", " ", 
        RowBox[{
         RowBox[{"Eyz", " ", "-", "Ezy"}], ",", 
         RowBox[{"Exx", "-", "Eyy", "-", "Ezz"}], ",", 
         RowBox[{"Exy", " ", "+", " ", "Eyx"}], ",", " ", 
         RowBox[{"Ezx", "+", "Exz"}]}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Ezx", " ", "-", " ", "Exz"}], ",", 
         RowBox[{"Exy", " ", "+", " ", "Eyx"}], " ", ",", 
         RowBox[{
          RowBox[{"-", "Exx"}], "+", "Eyy", "-", "Ezz"}], ",", 
         RowBox[{"Eyz", "+", "Ezy"}]}], " ", "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"{", " ", 
        RowBox[{
         RowBox[{"Exy", "-", "Eyx"}], ",", " ", 
         RowBox[{"Ezx", "+", "Exz"}], " ", ",", 
         RowBox[{"Eyz", "+", "Ezy"}], " ", ",", 
         RowBox[{
          RowBox[{"-", "Exx"}], "-", "Eyy", "+", "Ezz"}]}], " ", "}"}]}], 
      "}"}]}], "]"}]}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.725625081905693*^9, 3.725625177255262*^9}, {
  3.72562537895212*^9, 3.725625480685306*^9}},
 CellLabel->"In[10]:=",ExpressionUUID->"23550877-88de-4ceb-b94d-1236519222a6"],

Cell[BoxData[
 RowBox[{
  RowBox[{"makeXYZnumRule", "[", "Mxxmat_", "]"}], " ", ":=", 
  "\[IndentingNewLine]", " ", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"x", "\[Rule]", 
     RowBox[{
      FractionBox["1", "2"], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"Mxxmat", "[", 
         RowBox[{"[", 
          RowBox[{"1", ",", "1"}], "]"}], "]"}], "+", 
        RowBox[{"Mxxmat", "[", 
         RowBox[{"[", 
          RowBox[{"2", ",", "2"}], "]"}], "]"}]}], ")"}]}]}], ",", 
    RowBox[{"y", "\[Rule]", 
     RowBox[{
      FractionBox["1", "2"], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"Mxxmat", "[", 
         RowBox[{"[", 
          RowBox[{"1", ",", "1"}], "]"}], "]"}], "+", 
        RowBox[{"Mxxmat", "[", 
         RowBox[{"[", 
          RowBox[{"3", ",", "3"}], "]"}], "]"}]}], ")"}]}]}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"z", "\[Rule]", 
     RowBox[{
      FractionBox["1", "2"], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"Mxxmat", "[", 
         RowBox[{"[", 
          RowBox[{"1", ",", "1"}], "]"}], "]"}], "+", 
        RowBox[{"Mxxmat", "[", 
         RowBox[{"[", 
          RowBox[{"4", ",", "4"}], "]"}], "]"}]}], ")"}]}]}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"a", "\[Rule]", " ", 
     RowBox[{"Mxxmat", "[", 
      RowBox[{"[", 
       RowBox[{"1", ",", "2"}], "]"}], "]"}]}], ",", " ", 
    RowBox[{"b", "\[Rule]", " ", 
     RowBox[{"Mxxmat", "[", 
      RowBox[{"[", 
       RowBox[{"1", ",", "3"}], "]"}], "]"}]}], ",", " ", 
    RowBox[{"c", "\[Rule]", " ", 
     RowBox[{"Mxxmat", "[", 
      RowBox[{"[", 
       RowBox[{"1", ",", "4"}], "]"}], "]"}]}], ",", " ", 
    "\[IndentingNewLine]", 
    RowBox[{"aa", "\[Rule]", " ", 
     RowBox[{"Mxxmat", "[", 
      RowBox[{"[", 
       RowBox[{"3", ",", "4"}], "]"}], "]"}]}], ",", " ", 
    RowBox[{"bb", "\[Rule]", " ", 
     RowBox[{"Mxxmat", "[", 
      RowBox[{"[", 
       RowBox[{"2", ",", "4"}], "]"}], "]"}]}], ",", 
    RowBox[{"cc", "\[Rule]", " ", 
     RowBox[{"Mxxmat", "[", 
      RowBox[{"[", 
       RowBox[{"2", ",", "3"}], "]"}], "]"}]}]}], "}"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.7256256138690443`*^9, 3.725625680722851*^9}, {
  3.725625724466792*^9, 3.725625912731062*^9}, {3.725625953025879*^9, 
  3.72562599017822*^9}},
 CellLabel->"In[11]:=",ExpressionUUID->"77888a86-9bd1-43b1-bac2-0b1c690fdee8"],

Cell[BoxData[
 RowBox[{
  RowBox[{"makePnNumRule", "[", "XYZnumRule_", "]"}], " ", ":=", " ", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"p1", "\[Rule]", "0"}], ",", 
     RowBox[{"p2", "\[Rule]", 
      RowBox[{
       RowBox[{"-", 
        SuperscriptBox["a", "2"]}], "-", 
       SuperscriptBox["aa", "2"], "-", 
       SuperscriptBox["b", "2"], "-", 
       SuperscriptBox["bb", "2"], "-", 
       SuperscriptBox["c", "2"], "-", 
       SuperscriptBox["cc", "2"], "-", 
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["x", "2"], "+", 
          SuperscriptBox["y", "2"], "+", 
          SuperscriptBox["z", "2"]}], ")"}]}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"p3", "\[Rule]", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "8"}], " ", "x", " ", "y", " ", "z"}], "-", 
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"aa", " ", "b", " ", "c"}], "+", 
          RowBox[{"a", " ", "bb", " ", "c"}], "+", 
          RowBox[{"a", " ", "b", " ", "cc"}], "+", 
          RowBox[{"aa", " ", "bb", " ", "cc"}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             SuperscriptBox["a", "2"], "-", 
             SuperscriptBox["aa", "2"]}], ")"}], " ", "x"}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             SuperscriptBox["b", "2"], "-", 
             SuperscriptBox["bb", "2"]}], ")"}], " ", "y"}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             SuperscriptBox["c", "2"], "-", 
             SuperscriptBox["cc", "2"]}], ")"}], " ", "z"}]}], ")"}]}]}]}], 
     ",", "\[IndentingNewLine]", " ", 
     RowBox[{"p4", "\[Rule]", 
      RowBox[{
       RowBox[{
        SuperscriptBox["a", "2"], " ", 
        SuperscriptBox["aa", "2"]}], "-", 
       RowBox[{"2", " ", "a", " ", "aa", " ", "b", " ", "bb"}], "+", 
       RowBox[{
        SuperscriptBox["b", "2"], " ", 
        SuperscriptBox["bb", "2"]}], "-", 
       RowBox[{"2", " ", "a", " ", "aa", " ", "c", " ", "cc"}], "-", 
       RowBox[{"2", " ", "b", " ", "bb", " ", "c", " ", "cc"}], "+", 
       RowBox[{
        SuperscriptBox["c", "2"], " ", 
        SuperscriptBox["cc", "2"]}], "+", 
       RowBox[{
        SuperscriptBox["b", "2"], " ", 
        RowBox[{"(", 
         RowBox[{"x", "-", "y", "-", "z"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"x", "+", "y", "-", "z"}], ")"}]}], "+", 
       RowBox[{
        SuperscriptBox["c", "2"], " ", 
        RowBox[{"(", 
         RowBox[{"x", "-", "y", "-", "z"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"x", "-", "y", "+", "z"}], ")"}]}], "+", 
       RowBox[{
        SuperscriptBox["a", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "x"}], "-", "y", "+", "z"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"x", "-", "y", "+", "z"}], ")"}]}], "+", 
       RowBox[{
        SuperscriptBox["cc", "2"], " ", 
        RowBox[{"(", 
         RowBox[{"x", "+", "y", "-", "z"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"x", "+", "y", "+", "z"}], ")"}]}], "+", 
       RowBox[{
        SuperscriptBox["bb", "2"], " ", 
        RowBox[{"(", 
         RowBox[{"x", "-", "y", "+", "z"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"x", "+", "y", "+", "z"}], ")"}]}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"x", "-", "y", "-", "z"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"x", "+", "y", "-", "z"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"x", "-", "y", "+", "z"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"x", "+", "y", "+", "z"}], ")"}]}], "+", 
       RowBox[{
        SuperscriptBox["aa", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "x"}], "+", "y", "+", "z"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"x", "+", "y", "+", "z"}], ")"}]}], "+", 
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"aa", " ", "b", " ", "c", " ", 
           RowBox[{"(", 
            RowBox[{"x", "-", "y", "-", "z"}], ")"}]}], "+", 
          RowBox[{"a", " ", "bb", " ", "c", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "x"}], "+", "y", "-", "z"}], ")"}]}], "+", 
          RowBox[{"a", " ", "b", " ", "cc", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "x"}], "-", "y", "+", "z"}], ")"}]}], "+", 
          RowBox[{"aa", " ", "bb", " ", "cc", " ", 
           RowBox[{"(", 
            RowBox[{"x", "+", "y", "+", "z"}], ")"}]}]}], ")"}]}]}]}]}], 
    "}"}], "/.", "XYZnumRule"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.7256260874815893`*^9, 3.7256260955844107`*^9}, {
  3.725626138096204*^9, 3.7256261456393633`*^9}, {3.725626197895269*^9, 
  3.72562629168946*^9}},
 CellLabel->"In[12]:=",ExpressionUUID->"89bfb168-3359-4bbc-9269-c05fa68f9a7a"],

Cell[TextData[StyleBox["Building 2D data sets",
 FontSize->16,
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{{3.748044892537017*^9, 
  3.748044897728733*^9}},ExpressionUUID->"7948a2ab-d1be-45e3-85a6-\
412c35549214"],

Cell[BoxData[
 RowBox[{
  RowBox[{"make2DRotation", "[", "angle_", "  ", "]"}], " ", ":=", "\n", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"c", " ", "=", " ", 
       RowBox[{
        RowBox[{"Cos", "[", "angle", "]"}], "//", "N"}]}], ",", " ", 
      RowBox[{"s", " ", "=", " ", 
       RowBox[{
        RowBox[{"Sin", "[", "angle", "]"}], "//", "N"}]}]}], " ", "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"c", ",", " ", 
        RowBox[{"-", "s"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"s", ",", "c"}], "}"}]}], "}"}]}], "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.737389564655231*^9, 3.737389593886417*^9}},
 CellLabel->"In[13]:=",ExpressionUUID->"1c5841cd-9a9a-43b7-bf61-2474c6e21c79"],

Cell[BoxData[
 RowBox[{
  RowBox[{"randomSphere1", "[", "n_", "]"}], ":=", " ", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", " ", 
     RowBox[{
      RowBox[{"out", " ", "=", " ", 
       RowBox[{"{", "}"}]}], ",", 
      RowBox[{"num", "=", "0"}], ",", "test"}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"While", "[", 
      RowBox[{
       RowBox[{"num", "<", "n"}], ",", 
       RowBox[{
        RowBox[{"test", "=", "   ", 
         RowBox[{"RandomReal", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", "2"}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"0.2", "\[LessEqual]", " ", 
           RowBox[{"Norm", "[", "test", "]"}], "\[LessEqual]", "1.0"}], ",", 
          RowBox[{
           RowBox[{"num", "++"}], ";", 
           RowBox[{"AppendTo", "[", 
            RowBox[{"out", ",", " ", 
             RowBox[{"Normalize", "[", "test", "]"}]}], "]"}]}]}], "]"}]}]}], 
      "]"}], ";", "out"}]}], "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.73944076443102*^9, 3.739440786763439*^9}, {
  3.7394408424202747`*^9, 3.739440857523859*^9}},
 CellLabel->"In[14]:=",ExpressionUUID->"33eeb32f-949b-4703-9870-050bdbe8c141"],

Cell[BoxData[
 RowBox[{
  RowBox[{"randomBall2CM", "[", 
   RowBox[{"n_", ",", 
    RowBox[{"size_:", "1"}]}], "]"}], ":=", " ", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", " ", 
     RowBox[{
      RowBox[{"out", " ", "=", " ", 
       RowBox[{"{", "}"}]}], ",", 
      RowBox[{"num", "=", "0"}], ",", "test", ",", "cm"}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"While", "[", 
      RowBox[{
       RowBox[{"num", "<", "n"}], ",", 
       RowBox[{
        RowBox[{"test", "=", "   ", 
         RowBox[{"RandomReal", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "size"}], ",", "size"}], "}"}], ",", "2"}], "]"}]}],
         ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Norm", "[", "test", "]"}], "\[LessEqual]", "size"}], ",", 
          
          RowBox[{
           RowBox[{"num", "++"}], ";", 
           RowBox[{"AppendTo", "[", 
            RowBox[{"out", ",", " ", "test"}], "]"}]}]}], "]"}]}]}], "]"}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"cm", " ", "=", " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Plus", "@@", "out"}], ")"}], "/", "n"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"#", "-", "cm"}], "&"}], ")"}], "/@", "out"}]}]}], 
   "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.73944076443102*^9, 3.739440786763439*^9}, {
  3.7394408424202747`*^9, 3.739440857523859*^9}, {3.739460952836001*^9, 
  3.73946101596912*^9}, {3.739473446919948*^9, 3.7394735330063257`*^9}, {
  3.7395528860575743`*^9, 3.739552887102167*^9}},
 CellLabel->"In[15]:=",ExpressionUUID->"fa5aaa03-ce4c-4b99-b077-bbadcb18aab5"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"Match", " ", "order", " ", "of", " ", "makeExxmat"}], ";", " ", 
     "\[IndentingNewLine]", 
     RowBox[{
     "REMEMBER", " ", "move", " ", "to", " ", "center", " ", "of", " ", 
      "mass", " ", "\[IndentingNewLine]", "REMEMBER", " ", "the", " ", "DATA",
       " ", "are", " ", "uniform"}]}], ",", " ", 
    RowBox[{
    "but", " ", "the", " ", "NOISE", " ", "should", " ", "be", " ", 
     "Gaussian"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"build2DPntdataset", "[", 
    RowBox[{"npts_", ",", 
     RowBox[{"baseAngle_:", 
      RowBox[{"Pi", "/", "8"}]}], ",", 
     RowBox[{"size_:", "1"}], ",", 
     RowBox[{"rmax_:", "0.05"}]}], "]"}], " ", ":=", " ", 
   "\[IndentingNewLine]", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"xRef", " ", "=", "  ", 
        RowBox[{"randomBall2CM", "[", 
         RowBox[{"npts", ",", "size"}], "]"}]}], ",", "xRefCtr", ",", 
       "xTgtCtr", ",", "\[IndentingNewLine]", 
       RowBox[{"xJitter", "=", 
        RowBox[{"RandomVariate", "[", 
         RowBox[{
          RowBox[{"NormalDistribution", "[", 
           RowBox[{"0", ",", "rmax"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"npts", ",", "2"}], "}"}]}], "]"}]}], ",", "xTgt", ",", 
       "xTgtInit", ",", "th", ",", "rotTgt"}], "}"}], ",", 
     RowBox[{"(*", " ", 
      RowBox[{
       RowBox[{"checkJitter", "=", "xJitter"}], ";"}], "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"xTgtInit", " ", "=", "  ", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"xRef", " ", "[", 
           RowBox[{"[", "i", "]"}], "]"}], "+", " ", 
          RowBox[{"xJitter", "[", 
           RowBox[{"[", "i", "]"}], "]"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "1", ",", "npts"}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{
        RowBox[{
         RowBox[{"to", " ", "ctr", " ", "of", " ", "mass", "  ", "xRefCtr"}], 
         "=", " ", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"Plus", "@@", "xRef"}], ")"}], "/", "npts"}]}], ";", " ", 
        RowBox[{"xRef", " ", "=", " ", 
         RowBox[{"Map", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"#", "-", "xRefCtr"}], " ", ")"}], "&"}], ",", "xRef"}], 
          "]"}]}], ";"}], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{"to", " ", "ctr", " ", "of", " ", "mass"}], " ", "*)"}], " ", 
      RowBox[{"xTgtCtr", "=", 
       RowBox[{
        RowBox[{"(", " ", 
         RowBox[{"Plus", "@@", "xTgtInit"}], ")"}], "/", "npts"}]}], ";", " ", 
      RowBox[{"xTgtInit", " ", "=", " ", 
       RowBox[{"Map", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"#", "-", "xTgtCtr"}], ")"}], " ", "&"}], ",", 
         "xTgtInit"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"th", "=", 
       RowBox[{"baseAngle", "//", "N"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"rotTgt", " ", "=", " ", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Cos", "[", "th", "]"}], ",", 
           RowBox[{"-", 
            RowBox[{"Sin", "[", "th", "]"}]}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Sin", "[", "th", "]"}], ",", 
           RowBox[{"Cos", "[", "th", "]"}]}], "}"}]}], "}"}]}], ";", "  ", 
      RowBox[{"xTgt", " ", "=", " ", 
       RowBox[{"Map", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"rotTgt", ".", "#"}], ")"}], "&"}], ",", "xTgtInit"}], 
        "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"xTgt", ",", "xRef", ",", " ", "xTgtInit", ",", "th"}], 
       "}"}]}]}], "]"}]}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.7401566126087313`*^9, 3.740156637764062*^9}, {
   3.740156733131111*^9, 3.740156737806591*^9}, {3.740157022119525*^9, 
   3.740157030000266*^9}, {3.740157367687036*^9, 3.740157392800632*^9}, 
   3.740157437040656*^9, {3.740158070725053*^9, 3.740158089235664*^9}, 
   3.740159586840007*^9, {3.740159642514539*^9, 3.740159690146283*^9}, 
   3.740160005070737*^9, {3.740160196850152*^9, 3.740160199330799*^9}, {
   3.7401602613260727`*^9, 3.74016032610748*^9}, {3.740160486288015*^9, 
   3.7401604871031847`*^9}, {3.740160673001334*^9, 3.740160701017693*^9}, {
   3.740160922060377*^9, 3.740160922258162*^9}, {3.740161414698333*^9, 
   3.7401614169393044`*^9}, {3.740161536127232*^9, 3.740161542060059*^9}, {
   3.740161709918662*^9, 3.740161716226707*^9}, {3.74016218910295*^9, 
   3.740162193700897*^9}},
 CellLabel->"In[16]:=",ExpressionUUID->"3882a761-07ab-4e0c-ad67-dec3df3ed9ff"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "Generate", " ", "a", " ", "Gaussian", " ", "distribution", " ", "of", " ",
     "rotation", " ", "angles"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"setsOf2DPntData", " ", "[", 
     RowBox[{
      RowBox[{"npts_:", "100"}], ",", 
      RowBox[{"nsets_:", "1000"}]}], "]"}], " ", ":=", "\[IndentingNewLine]", 
    " ", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"angles", " ", "=", " ", 
        RowBox[{"RandomVariate", "[", 
         RowBox[{
          RowBox[{"NormalDistribution", "[", 
           RowBox[{
            RowBox[{"Pi", "/", "8"}], ",", 
            RowBox[{".25", " ", 
             RowBox[{"Pi", "/", "8"}]}]}], "]"}], ",", "nsets"}], "]"}]}], 
       "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"build2DPntdataset", "[", 
         RowBox[{"npts", ",", 
          RowBox[{"angles", "[", 
           RowBox[{"[", "i", "]"}], "]"}]}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "1", ",", "nsets"}], "}"}]}], "]"}]}], "]"}]}], 
   ";"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.740162994297964*^9, 3.740163047317624*^9}, {
   3.740163147428155*^9, 3.740163349971508*^9}, {3.740270423657037*^9, 
   3.740270464077395*^9}, 3.7402705067764587`*^9, 3.740659316183807*^9, 
   3.7417040761914597`*^9},
 CellLabel->"In[17]:=",ExpressionUUID->"e2dc058c-8a4f-4535-8b95-6e8263732715"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"Match", " ", "order", " ", "of", " ", "makeExxmat"}], ";", " ", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"REMEMBER", " ", "these", " ", "are", " ", 
       RowBox[{"Exp", "[", 
        RowBox[{"i", " ", "th"}], "]"}]}], " ", "=", " ", 
      RowBox[{"unit", "-", 
       RowBox[{"length", " ", "TWO"}], "-", 
       RowBox[{
       "VECTOR", " ", "\[IndentingNewLine]", "REMEMBER", " ", "the", " ", 
        "DATA", " ", "are", " ", "uniform"}]}]}]}], ",", " ", 
    RowBox[{
    "but", " ", "the", " ", "NOISE", " ", "should", " ", "be", " ", 
     "Gaussian"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"build2DFrmdataset", "[", 
    RowBox[{"npts_", ",", 
     RowBox[{"baseAngle_:", 
      RowBox[{"Pi", "/", "8"}]}], ",", 
     RowBox[{"thmax_:", "0.1"}]}], "]"}], " ", ":=", " ", 
   "\[IndentingNewLine]", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"fRef", " ", "=", "  ", 
        RowBox[{"randomSphere1", "[", "npts", "]"}]}], ",", " ", 
       RowBox[{"(*", " ", 
        RowBox[{
         RowBox[{
          RowBox[{"These", " ", "are", " ", "unit", " ", "2"}], "-", 
          "vectors"}], ",", " ", 
         RowBox[{
         "theoretically", " ", "on", " ", "a", " ", "4", " ", "Pi", " ", 
          "circle"}], ",", " ", 
         RowBox[{"not", " ", "a", " ", "2", " ", "Pi", " ", "circle"}]}], " ",
         "*)"}], "\[IndentingNewLine]", 
       RowBox[{"fJitter", "=", 
        RowBox[{"RandomVariate", "[", 
         RowBox[{
          RowBox[{"NormalDistribution", "[", 
           RowBox[{"0", ",", "thmax"}], "]"}], ",", " ", "npts"}], " ", 
         "]"}]}], ",", "fTgt", ",", "fTgtInit", ",", "th", ",", "rotTgt"}], 
      "}"}], ",", 
     RowBox[{"(*", " ", 
      RowBox[{
       RowBox[{"checkJitter", " ", "=", " ", "fJitter"}], ";"}], " ", "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"fTgtInit", " ", "=", "  ", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"make2DRotation", "[", 
           RowBox[{"fJitter", "[", 
            RowBox[{"[", "i", "]"}], "]"}], "]"}], ".", 
          RowBox[{"fRef", " ", "[", 
           RowBox[{"[", "i", "]"}], "]"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "1", ",", "npts"}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"th", "=", 
       RowBox[{"baseAngle", "//", "N"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"rotTgt", " ", "=", " ", 
       RowBox[{"make2DRotation", "[", "th", "]"}]}], ";", " ", 
      RowBox[{"fTgt", " ", "=", " ", 
       RowBox[{"Map", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"rotTgt", ".", "#"}], ")"}], "&"}], ",", "fTgtInit"}], 
        "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"fTgt", ",", "fRef", ",", " ", "fTgtInit", ",", "th"}], 
       "}"}]}]}], "]"}]}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.7401566126087313`*^9, 3.740156637764062*^9}, {
   3.740156733131111*^9, 3.740156737806591*^9}, {3.740157022119525*^9, 
   3.740157030000266*^9}, {3.740157367687036*^9, 3.740157392800632*^9}, 
   3.740157437040656*^9, {3.740158070725053*^9, 3.740158089235664*^9}, 
   3.740159586840007*^9, {3.740159642514539*^9, 3.740159690146283*^9}, 
   3.740160005070737*^9, {3.740160196850152*^9, 3.740160199330799*^9}, {
   3.7401602613260727`*^9, 3.74016032610748*^9}, {3.740160486288015*^9, 
   3.7401604871031847`*^9}, {3.740160673001334*^9, 3.740160701017693*^9}, {
   3.740160922060377*^9, 3.740160922258162*^9}, {3.740161414698333*^9, 
   3.7401614169393044`*^9}, {3.740161536127232*^9, 3.740161542060059*^9}, {
   3.740161709918662*^9, 3.740161716226707*^9}, {3.7401621561908007`*^9, 
   3.740162160670905*^9}, {3.740164519876156*^9, 3.740164520283457*^9}, {
   3.7401645507482023`*^9, 3.740164555730398*^9}, {3.7401645911399612`*^9, 
   3.740164652289867*^9}, {3.74016468442553*^9, 3.740164742120146*^9}, {
   3.7401648501601257`*^9, 3.740164891911285*^9}, {3.740175548538167*^9, 
   3.740175553560605*^9}, {3.740180604924539*^9, 3.740180682396399*^9}, {
   3.740180723443481*^9, 3.7401807349799023`*^9}, {3.740180765242833*^9, 
   3.7401807900432262`*^9}, {3.7402431751514*^9, 3.740243199900683*^9}},
 CellLabel->"In[18]:=",ExpressionUUID->"203dc0e9-e08a-480f-9453-17c85b77af73"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "Generate", " ", "a", " ", "Gaussian", " ", "distribution", " ", "of", " ",
     "rotation", " ", "angles"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"setsOf2DFrmData", "[", 
     RowBox[{
      RowBox[{"npts_:", "100"}], ",", 
      RowBox[{"nsets_:", "1000"}]}], "]"}], " ", ":=", "\[IndentingNewLine]", 
    " ", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"angles", " ", "=", " ", 
        RowBox[{"RandomVariate", "[", 
         RowBox[{
          RowBox[{"NormalDistribution", "[", 
           RowBox[{
            RowBox[{"Pi", "/", "8"}], ",", 
            RowBox[{".25", " ", 
             RowBox[{"Pi", "/", "8"}]}]}], "]"}], ",", "nsets"}], "]"}]}], 
       "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"build2DFrmdataset", "[", 
         RowBox[{"npts", ",", 
          RowBox[{"angles", "[", 
           RowBox[{"[", "i", "]"}], "]"}]}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "1", ",", "nsets"}], "}"}]}], "]"}]}], "]"}]}], 
   ";"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.740162994297964*^9, 3.740163047317624*^9}, {
   3.740163147428155*^9, 3.740163349971508*^9}, {3.7402432449071074`*^9, 
   3.74024331869864*^9}, {3.740243390264056*^9, 3.740243400254286*^9}, 
   3.740659286877226*^9, 3.741704088200889*^9},
 CellLabel->"In[19]:=",ExpressionUUID->"3940577c-df7f-4c59-a6fa-9cefe40c01b2"]
}, Closed]]
}, Open  ]]
}, Open  ]],

Cell[TextData[StyleBox["Data sets",
 FontWeight->"Bold"]], "Section",
 CellChangeTimes->{{3.747963360479974*^9, 
  3.747963362815179*^9}},ExpressionUUID->"db56f2e5-d2b5-4f41-a2d6-\
a2672e08e094"],

Cell[CellGroupData[{

Cell["    2D Spatial Demo", "Section",
 CellChangeTimes->{{3.747963369583619*^9, 3.7479633772393*^9}, {
  3.748044793681933*^9, 
  3.748044794258429*^9}},ExpressionUUID->"0e5eaaf0-a318-4546-bfc4-\
f5a6b770274d"],

Cell[TextData[StyleBox["COST1    y.R.x -> (Exx +Eyy)Cos th + (Exy-Eyx)Sin th\n\
                                   =  M Cos th + N Sin th\n   \n COST2 = \
{a0,a1}.Mat2D.{a0.a1} -> eigensystem of Mat2D = {{M, N},{N,-M}}\n ",
 FontSize->16,
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{{3.7403220751853313`*^9, 3.740322083579064*^9}, {
  3.747963516639167*^9, 
  3.747963551518778*^9}},ExpressionUUID->"a357073f-4f29-4c6b-b450-\
ac6b46c01abf"],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{"test2DPnt", " ", "=", " ", 
    RowBox[{"build2DPntdataset", "[", "100", "]"}]}], ";"}]}]], "Input",
 CellChangeTimes->{{3.740162424497295*^9, 3.740162452857421*^9}, {
   3.7402493766517553`*^9, 3.740249392312159*^9}, 3.740249576306468*^9, {
   3.740249865289238*^9, 3.740249865419969*^9}, {3.74027018910034*^9, 
   3.740270202434558*^9}},ExpressionUUID->"33d2cc4e-3abe-4732-9dab-\
3a20e9a1136c"],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{"test2DFrm", " ", "=", " ", 
    RowBox[{"build2DFrmdataset", "[", "100", "]"}]}], ";"}]}]], "Input",
 CellChangeTimes->{{3.740162424497295*^9, 3.740162452857421*^9}, {
   3.7402493766517553`*^9, 3.740249392312159*^9}, 3.740249576306468*^9, {
   3.740249865289238*^9, 3.740249865419969*^9}},
 CellLabel->
  "In[1349]:=",ExpressionUUID->"15fc780c-3ecd-463a-b161-2b0eab8f07e9"],

Cell[BoxData[
 RowBox[{
  RowBox[{"many2Dpntsets", " ", "=", " ", 
   RowBox[{"setsOf2DPntData", "[", 
    RowBox[{"100", ",", "1000"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.740270993070262*^9, 3.740271019123411*^9}, 
   3.7479634417605124`*^9, 
   3.748024130303063*^9},ExpressionUUID->"5cd89247-cf91-47d3-86a0-\
8cf1147354e8"],

Cell[BoxData[
 RowBox[{
  RowBox[{"many2Dfrmsets", " ", "=", " ", 
   RowBox[{"setsOf2DFrmData", "[", 
    RowBox[{"100", ",", "1000"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.740270993070262*^9, 3.740271040307167*^9}, 
   3.747963444415299*^9, 
   3.74802413236623*^9},ExpressionUUID->"87946bbf-7681-429a-9637-\
fe8df59bf668"],

Cell[BoxData[
 RowBox[{
  RowBox[{"make2DEEmat", "[", 
   RowBox[{"xTgt_", ",", "xRef_"}], "]"}], ":=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"Sum", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"xTgt", "[", 
         RowBox[{"[", 
          RowBox[{"k", ",", "a"}], "]"}], "]"}], ")"}], "*", 
       RowBox[{"xRef", "[", 
        RowBox[{"[", 
         RowBox[{"k", ",", "b"}], "]"}], "]"}]}], ",", "\[IndentingNewLine]", 
      
      RowBox[{"{", 
       RowBox[{"k", ",", "1", ",", 
        RowBox[{"Length", "[", "xRef", "]"}]}], "}"}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "1", ",", "2"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"b", ",", "1", ",", "2"}], "}"}]}], "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.738094183993504*^9, 3.7380941955513973`*^9}, {
  3.738094233674822*^9, 3.738094246689187*^9}, {3.738094280108324*^9, 
  3.738094337227502*^9}, {3.73809463639093*^9, 3.738094639267817*^9}},
 CellLabel->"In[20]:=",ExpressionUUID->"90960038-7bb4-4424-893a-601c57afe8e5"],

Cell[BoxData[
 RowBox[{
  RowBox[{"solve2DRMSDTheta", "[", "EE2Dmat_", "]"}], ":=", " ", 
  RowBox[{"ArcTan", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"EE2Dmat", "[", 
      RowBox[{"[", 
       RowBox[{"1", ",", "1"}], "]"}], "]"}], "+", 
     RowBox[{"EE2Dmat", "[", 
      RowBox[{"[", 
       RowBox[{"2", ",", "2"}], "]"}], "]"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"EE2Dmat", "[", 
      RowBox[{"[", 
       RowBox[{"1", ",", "2"}], "]"}], "]"}], "-", 
     RowBox[{"EE2Dmat", "[", 
      RowBox[{"[", 
       RowBox[{"2", ",", "1"}], "]"}], "]"}]}]}], "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.73809436071655*^9, 3.7380943822284193`*^9}, {
  3.738094416126671*^9, 3.7380945041918697`*^9}},
 CellLabel->"In[21]:=",ExpressionUUID->"afe76a3f-5e02-485b-99fe-da9d8023d271"],

Cell[CellGroupData[{

Cell["Build 2D Spatial demo", "Subsection",
 CellChangeTimes->{{3.747964032770418*^9, 
  3.747964037801682*^9}},ExpressionUUID->"4deb3a16-aec9-40d3-9f64-\
9a1d91d51a3c"],

Cell[CellGroupData[{

Cell["Set up:", "Subsubsection",
 CellChangeTimes->{{3.748045913528227*^9, 
  3.748045917031969*^9}},ExpressionUUID->"446449a7-af68-4122-b816-\
4539cbafe8d4"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"thexEEmat", " ", "=", " ", 
  RowBox[{"make2DEEmat", "[", 
   RowBox[{"ThexTgt", ",", "ThexRef"}], "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.738094514856646*^9, 3.738094537304481*^9}, {
  3.738094650949682*^9, 3.738094670405455*^9}},
 CellLabel->"In[22]:=",ExpressionUUID->"be3c2e70-2541-4a7a-9bb6-f9a3013a29c9"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0.9933798353956359`", ",", "31.346176387250043`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "38.832910740733574`"}], ",", "9.473998463330506`"}], 
    "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.747964048746605*^9, 3.748034245145225*^9, 
  3.7480444384041033`*^9, 3.7480458152282887`*^9, 3.748046459874504*^9, 
  3.748046623388776*^9},
 CellLabel->"Out[22]=",ExpressionUUID->"080b0a8c-4d2e-477a-a7e7-c0b47db3b7a4"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Theth0Soln", " ", "=", 
   RowBox[{"solve2DRMSDTheta", "[", "thexEEmat", "]"}]}], ";", " ", 
  RowBox[{"Theth0Soln", "/", "Degree"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.738094684885751*^9, 3.738094690740527*^9}, {
  3.738094827188026*^9, 3.738094848384856*^9}},
 CellLabel->"In[23]:=",ExpressionUUID->"ad0ee7e0-aa07-4991-9d3e-a74431fff98c"],

Cell[BoxData["81.51673632461686`"], "Output",
 CellChangeTimes->{3.7479640489060307`*^9, 3.7480342451992693`*^9, 
  3.748044438468327*^9, 3.7480458152489023`*^9, 3.748046459964816*^9, 
  3.748046623540745*^9},
 CellLabel->"Out[23]=",ExpressionUUID->"07c69c6c-ffc7-4577-8b3d-d3c2fefac6f6"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Theth0", "/", "Degree"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "The", " ", "angle", " ", "I", " ", "rotated", " ", "by", " ", "in", " ", 
    "making", " ", "the", " ", "test", " ", "case", " ", "is", " ", "minus", 
    " ", "SOLUTION"}], " ", "*)"}]}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.7380947379429092`*^9, 3.738094746157831*^9}, {
  3.738094864555148*^9, 3.738094897450378*^9}},
 CellLabel->"In[24]:=",ExpressionUUID->"c9d7fd55-1b94-4965-986e-f36841d623e7"],

Cell[BoxData[
 RowBox[{"-", "81.14045789439247`"}]], "Output",
 CellChangeTimes->{3.747964048924946*^9, 3.748034245213542*^9, 
  3.74804443852487*^9, 3.7480458153631773`*^9, 3.748046460024535*^9, 
  3.7480466235569687`*^9},
 CellLabel->"Out[24]=",ExpressionUUID->"6287b8ac-c336-4f5d-a30d-d733855313bb"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"theCostPlot", " ", "=", " ", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"rot", ",", "rotTgt"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Table", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"rot", " ", "=", "  ", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Cos", "[", "th", "]"}], ",", 
             RowBox[{"-", 
              RowBox[{"Sin", "[", "th", "]"}]}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Sin", "[", "th", "]"}], ",", 
             RowBox[{"Cos", "[", "th", "]"}]}], "}"}]}], "}"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"rotTgt", " ", "=", " ", 
         RowBox[{"Map", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"rot", ".", "#"}], ")"}], "&"}], ",", "ThexTgt"}], 
          "]"}]}], ";", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"th", " ", "/", "Degree"}], " ", ")"}], ",", 
          RowBox[{"Sum", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"rotTgt", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ")"}], ".", 
             RowBox[{"ThexRef", "[", 
              RowBox[{"[", "k", "]"}], "]"}]}], ",", 
            RowBox[{"{", 
             RowBox[{"k", ",", "1", ",", 
              RowBox[{"Length", "[", "ThexRef", "]"}]}], "}"}]}], "]"}]}], 
         "}"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"th", ",", 
         RowBox[{"-", "Pi"}], ",", "Pi", ",", ".2"}], "}"}]}], "]"}]}], 
    "]"}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.73721016238546*^9, 3.7372101926575947`*^9}, {
  3.7372102283105907`*^9, 3.7372103834620867`*^9}, {3.737210433154332*^9, 
  3.737210449406316*^9}, {3.737210481568935*^9, 3.737210530325067*^9}},
 CellLabel->"In[25]:=",ExpressionUUID->"2f7afda8-d58c-4448-8a25-c3d00224da6a"]
}, Closed]],

Cell[CellGroupData[{

Cell["Show the Demo:", "Subsubsection",
 CellChangeTimes->{{3.7480459243525963`*^9, 
  3.748045927807659*^9}},ExpressionUUID->"b8e5dc3f-ab4c-4068-a1af-\
d2e51e0e9445"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"DynamicModule", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"xTgt", "=", "ThexTgt"}], ",", 
     RowBox[{"xRef", "=", "ThexRef"}], ",", 
     RowBox[{"th0", "=", "Theth0Soln"}], ",", " ", "rot0", ",", "rotTgt0", 
     ",", "deltaX0", ",", "\[IndentingNewLine]", 
     RowBox[{"num", "=", "100"}], ",", 
     RowBox[{"size", "=", "380"}], ",", 
     RowBox[{"b", "=", "1.4"}]}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"rot0", " ", "=", "  ", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Cos", "[", "th0", "]"}], ",", 
         RowBox[{"-", 
          RowBox[{"Sin", "[", "th0", "]"}]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Sin", "[", "th0", "]"}], ",", 
         RowBox[{"Cos", "[", "th0", "]"}]}], "}"}]}], "}"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"rotTgt0", "=", 
     RowBox[{"Map", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"rot0", ".", "#"}], ")"}], "&"}], ",", "xTgt"}], "]"}]}], 
    ";", "\[IndentingNewLine]", 
    RowBox[{"deltaX0", " ", "=", " ", 
     RowBox[{"Sum", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"rotTgt0", "[", 
          RowBox[{"[", "k", "]"}], "]"}], ")"}], ".", 
        RowBox[{"xRef", "[", 
         RowBox[{"[", "k", "]"}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", 
         RowBox[{"Length", "[", "xRef", "]"}]}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"DynamicModule", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"rot", ",", "rotTgt", ",", "deltaX"}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Manipulate", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"rot", " ", "=", "  ", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Cos", "[", "th", "]"}], ",", 
              RowBox[{"-", 
               RowBox[{"Sin", "[", "th", "]"}]}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Sin", "[", "th", "]"}], ",", 
              RowBox[{"Cos", "[", "th", "]"}]}], "}"}]}], "}"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"rotTgt", " ", "=", " ", 
          RowBox[{"Map", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"rot", ".", "#"}], ")"}], "&"}], ",", "xTgt"}], "]"}]}],
          ";", "\[IndentingNewLine]", 
         RowBox[{"deltaX", " ", "=", " ", 
          RowBox[{"Sum", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"rotTgt", "[", 
               RowBox[{"[", "k", "]"}], "]"}], ")"}], ".", 
             RowBox[{"xRef", "[", 
              RowBox[{"[", "k", "]"}], "]"}]}], ",", 
            RowBox[{"{", 
             RowBox[{"k", ",", "1", ",", 
              RowBox[{"Length", "[", "xRef", "]"}]}], "}"}]}], "]"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"GraphicsRow", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Graphics", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"White", ",", 
                RowBox[{"Line", "[", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"0", ",", 
                    RowBox[{"-", "200"}]}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"0", ",", "100"}], "}"}]}], "}"}], "]"}], ",", 
                "Blue", ",", "Thick", ",", 
                RowBox[{"Line", "[", " ", "theCostPlot", "]"}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"PointSize", "[", "0.03", "]"}], ",", 
                RowBox[{"Point", "[", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"th0", "/", "Degree"}], ",", "deltaX0"}], "}"}], 
                 "]"}], ",", "\[IndentingNewLine]", "Red", ",", 
                RowBox[{"PointSize", "[", "0.02", "]"}], ",", 
                RowBox[{"Point", "[", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"th", "/", "Degree"}], ",", "deltaX"}], "}"}], 
                 "]"}], ",", "Red", ",", 
                RowBox[{"Line", "[", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"th", "/", "Degree"}], ",", 
                    RowBox[{"-", "60"}]}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"th", "/", "Degree"}], ",", "deltaX"}], "}"}]}], 
                  "}"}], "]"}], ",", "Black", ",", 
                RowBox[{"Style", "[", 
                 RowBox[{
                  RowBox[{"Text", "[", 
                   RowBox[{
                    RowBox[{"\"\<   Match fcn: \>\"", "<>", 
                    RowBox[{"ToString", "[", " ", "deltaX", " ", "]"}], "<>", 
                    "\"\<\\n \[Theta]=\>\"", "<>", 
                    RowBox[{"ToString", "[", 
                    RowBox[{
                    RowBox[{"th", "/", "Degree"}], "//", "N"}], "]"}], "<>", 
                    "\"\<\\n \!\(\*SubscriptBox[\(\[Theta]\), \(0\)]\)=\>\"", 
                    "<>", 
                    RowBox[{"ToString", "[", 
                    RowBox[{
                    RowBox[{"th0", "/", "Degree"}], "//", "N"}], "]"}], "<>", 
                    "\"\<  \>\""}], ",", 
                    RowBox[{"{", 
                    RowBox[{"Center", ",", 
                    RowBox[{"-", "100"}]}], "}"}]}], "]"}], ",", "Bold", ",", 
                  "16"}], "]"}]}], "}"}], ",", 
              RowBox[{"PlotRange", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"-", "200"}], ",", "200"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"-", "200"}], ",", "100"}], "}"}]}], "}"}]}]}], 
             "]"}], ",", "\[IndentingNewLine]", 
            RowBox[{"Graphics", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"White", ",", 
                RowBox[{"Point", "[", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "b"}], ",", 
                    RowBox[{"-", "b"}]}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"b", ",", 
                    RowBox[{"-", "b"}]}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"b", ",", "b"}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "b"}], ",", "b"}], "}"}]}], "}"}], "]"}], 
                ",", "\[IndentingNewLine]", 
                RowBox[{"PointSize", "[", "0.01", "]"}], ",", "Blue", ",", 
                RowBox[{"Point", "[", "rotTgt", "]"}], ",", 
                RowBox[{"PointSize", "[", "0.015", "]"}], ",", "Red", ",", 
                RowBox[{"Point", "[", "xRef", "]"}], ",", 
                "\[IndentingNewLine]", "Thin", ",", 
                RowBox[{"Line", "[", 
                 RowBox[{"Table", "[", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"rotTgt", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], ",", 
                    RowBox[{"xRef", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"i", ",", "1", ",", 
                    RowBox[{"Length", "[", "xRef", "]"}]}], "}"}]}], "]"}], 
                 "]"}]}], "}"}], ",", 
              RowBox[{"ImageSize", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"-", "size"}], ",", "size"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"-", "size"}], ",", "size"}], "}"}]}], "}"}]}]}], 
             "]"}]}], " ", "}"}], "]"}]}], ",", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"th", ",", "0", ",", "\"\<angle\>\""}], "}"}], ",", 
          RowBox[{"-", "Pi"}], "  ", ",", " ", "Pi", "   ", ",", 
          RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
        
        RowBox[{"ContentSize", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"800", ",", " ", "460"}], "}"}]}]}], "]"}]}], "]"}]}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.738002235437641*^9, 3.738002279694488*^9}, {
   3.7380023865157843`*^9, 3.738002387200438*^9}, {3.738002456869988*^9, 
   3.738002458609778*^9}, {3.738002493222364*^9, 3.738002493506995*^9}, {
   3.738002526965279*^9, 3.738002561876005*^9}, {3.738002603508833*^9, 
   3.738002613286982*^9}, 3.7380026497993803`*^9, {3.738002723960606*^9, 
   3.7380029116141853`*^9}, {3.738003164337392*^9, 3.738003247331149*^9}, 
   3.738003322851665*^9, {3.738003365365325*^9, 3.738003366353462*^9}, {
   3.7380034021820107`*^9, 3.738003413826338*^9}, {3.7380949114242563`*^9, 
   3.738094919022895*^9}, 3.738094973882104*^9, {3.738095026299823*^9, 
   3.7380950279133663`*^9}, {3.74804511773662*^9, 3.748045126862439*^9}, {
   3.74804515838142*^9, 3.748045162499072*^9}},
 CellLabel->"In[44]:=",ExpressionUUID->"4327c433-a8d2-4124-8291-99621ed85c28"],

Cell[BoxData[
 DynamicModuleBox[{$CellContext`xTgt$$ = CompressedData["
1:eJwV0/0/FAgewPFZJcrDMdYm1DJXdJKHQzqWb3mKiDZ6kFAer1RzRRTZyUav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  
  "], $CellContext`xRef$$ = CompressedData["
1:eJwV0fk/FAgfwPHIUalE2e317C67VLSz2bZH4Yn5UmJWNjdDbI5OidF65LFP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  "], $CellContext`th0$$ = 
  1.4227354443446252`, $CellContext`rot0$$ = {{
  0.14752050936848418`, -0.989058996883231}, {0.989058996883231, 
  0.14752050936848418`}}, $CellContext`rotTgt0$$ = CompressedData["
1:eJwVlH88EwgfxxcVzl1CtOiGTK06pFCR+6Z6Ug+NpHPudGdyVLf8uiueUEoJ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  "], $CellContext`deltaX0$$ = 
  70.95541049536504, $CellContext`num$$ = 100, $CellContext`size$$ = 
  380, $CellContext`b$$ = 1.4}, 
  DynamicModuleBox[{$CellContext`rot$$ = {{-0.30901699437494734`, \
-0.9510565162951536}, {
   0.9510565162951536, -0.30901699437494734`}}, $CellContext`rotTgt$$ = \
CompressedData["
1:eJwV0/k/FAgfwHEjhZfJ0UTZSttQeRhHrSivdr52S+uxcr2yyrEUSsUIObbd
SrWe5nGsY0XSalJbSI5y7Ti+xk3bGNOiQWOYw7hn5hlDrNqeHz6vz1/w3nUm
yjtMXU1NLfRT/3+N/D5ly34hvHoU03eSVwnvK8+60e70IvFa7V8O3S8x8/R+
1dMRGUxsymrZ96wPey6GGMHHcdAMTC9gtXRBhJ/59YuXBsD+UdmT4KuT8FD9
8OmUuTmwsM5Zz1HnIf3uXHvsRyWqJbZtK9pvC4F1g/zKpV64+UeNVXbMFByf
sVYVfD8NrSHJ/HBHCZKCkCTYI8DzjlljkbE9EGpf1Bq2JAaGFXugiDcAynOR
fP8EKW41cDl+zvshaC3OmJAzFtBgrSDSuoQHAdEhl1lJ7ZiDUc7qNiNo4dx4
7pt4ES48f+j5w14RXOq8Mr48xYcU99KdNV5ctGU2ndBnpmFzsN62Dm0pWBLl
Pye79ePIjXxaywYhrNYcVC/gKXD7Pb31Do+6kHkjOdbxygLOGuUW8WyaQX93
U8mwRz20D6kRtJdFkFpB3iIgCLDhtmPnnR4W8AqznaQvp7FcVyXe6dSMV8ri
38+FTQD3YN3e1GoOcrcGoeGzUZQx+7YNnpai6x1DxtkfxiGA4/5iVbMYfnHy
vWiwTYXSNIZN1AEWqCXVae1u0YNQ/+0Nm64rkES3LxkKnEXtHjLHeUMLarDb
blWdeQufR5ZI2pejgRpFs/MPeA3Pwu89vX7+HZzbfED+qmMcElNe+8TOvYOo
Ex601JRZOEiLSAtfeQ2d6vyZx/UKZAhS84lfd8MqJ++u+wcRLEa7Fyj7hVj0
IvaNuUs9GLZ3Z4JyCuS0W0uYIIBKkrGehSUTSW5ckWexCKhGmiU+ihHUMjuc
Z+NThB59ojnZAQGmCafHa3/vhzI7A3EVZRJQXjJYqcEFrEmv3p45DVL6EmVn
eyVunFGvpXW+hJ8+TP3SrpLBW+FCdWKtGKMcFsPfdSlQs0lgRy5rw3px4reZ
kxnwsLjg8yMxb4A/2mDFCpagfa8/oT+mDtqInlbbxSy8Vj7vlXthAAgZg/dV
3DF0DBToNOSJMDurmLIjcRpb632++NFpFArXvolQ1Uqw0JbSIh0fx69l/XSL
xX4wf35cVZmngNnw+JXu3jZYhn/dSnwkBuX9+uqzVUIwj2V/QS2qRCtLH/j9
9Sx4ZrsHlhZVQyP5QNKLCg7STIYuGNJFkBT8mQ/l+gTayVIe/K0zj6oCZZgs
ZxZuntdOcnGdQf4hQr/zai/6P72cLD4lBv3Q3/yB1IUeuv4rw+YK3JxmzEgo
fgVZKzGCkEPzmNC6ydv5k7flzWfNwyyGYd2IZrkkXIku+bZeu7YyMVU3LLyX
IYQ3zUG+psVydHxvqUM9PwB/XmK/GmtiIr2+fKfMaAzoRy9T/83nga5iDyUh
QoQntHoMuE8msTT3RI6+gQyedq6X9pS9w8R1i8sDG7j43a85q8SRCVA3N+GF
+jWiWcPY7RvWz2G1wvjQsSMS8PyYxji6YRwU7OCXDnWzWE/dpbORLkZZXs3N
aNMJoJOca20mSjHY+Ltqp6Be2Po/MzJneR6W02/umKuQAPNCmPVVyjTqWEmy
sxWjkFFuZshy5wJ5nT2ezM7CXz2DCR2pHNA19Ttz2PUtDI96fSAZjqKtieqx
x5gCOqs4zeyrbDzJuk1sbZkE5rpTMyVpHBA6xJawy6aQcWdBj7V3AbupDB/e
bzMgzwjKGXwgBhsnneQnXw4j0aDB71RnBW6J7CEZxw1hwR/DDB51CYNMNXy9
fCeBPH/x5HRpI+ama8d5qy/gSvAlifwIF3esnVFu1BNibkSkIsl4FCgPNPZ9
v3sOGJbpWwhuP4MGPejLCjcRxhMy93A/OS00rZgYeDwAm2lStp6+BDvs4tWk
S13YeTkuNOzDEFR8uylNVTgBwUTnexpx17D08bSfn+8IHicI1swX/4LB1XyF
gUsHuuonEocWpvBPa2aHDUmI7t7UjPFiDhw7KqTF9vAh9TOya/Tetzg0s6Mq
XybBbG714NU1KewTmryJNeuDF1/J7Rure+C/x5qM9HL78dog96vSu1XIWexw
DmAVQI3Wf3zjFmbg7vCFEL5ShqcDdLMU8g78ByQpXiQ=
   "], $CellContext`deltaX$$ = 
   63.50968033985627}, 
   TagBox[
    StyleBox[
     DynamicModuleBox[{$CellContext`th$$ = 1.8849555921538759`, 
      Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
      Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ =
       1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
         Hold[$CellContext`th$$], 0, "angle"}, -Pi, Pi}}, Typeset`size$$ = {
      808., {202., 209.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
      Typeset`skipInitDone$$ = True, $CellContext`th$7217$$ = 0}, 
      DynamicBox[Manipulate`ManipulateBoxes[
       1, StandardForm, "Variables" :> {$CellContext`th$$ = 0}, 
        "ControllerVariables" :> {
          Hold[$CellContext`th$$, $CellContext`th$7217$$, 0]}, 
        "OtherVariables" :> {
         Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
          Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
          Typeset`specs$$, Typeset`size$$, Typeset`update$$, 
          Typeset`initDone$$, Typeset`skipInitDone$$}, 
        "Body" :> ($CellContext`rot$$ = {{
             Cos[$CellContext`th$$], -Sin[$CellContext`th$$]}, {
             Sin[$CellContext`th$$], 
             Cos[$CellContext`th$$]}}; $CellContext`rotTgt$$ = 
          Map[Dot[$CellContext`rot$$, #]& , $CellContext`xTgt$$]; \
$CellContext`deltaX$$ = Sum[
            Dot[
             Part[$CellContext`rotTgt$$, $CellContext`k], 
             Part[$CellContext`xRef$$, $CellContext`k]], {$CellContext`k, 1, 
             Length[$CellContext`xRef$$]}]; GraphicsRow[{
            Graphics[{White, 
              Line[{{0, -200}, {0, 100}}], Blue, Thick, 
              Line[$CellContext`theCostPlot], 
              PointSize[0.03], 
              Point[{$CellContext`th0$$/Degree, $CellContext`deltaX0$$}], Red, 
              PointSize[0.02], 
              Point[{$CellContext`th$$/Degree, $CellContext`deltaX$$}], Red, 
              
              Line[{{$CellContext`th$$/Degree, -60}, {$CellContext`th$$/
                 Degree, $CellContext`deltaX$$}}], Black, 
              Style[
               Text[
                StringJoin["   Match fcn: ", 
                 ToString[$CellContext`deltaX$$], "\n \[Theta]=", 
                 ToString[
                  N[$CellContext`th$$/Degree]], 
                 "\n \!\(\*SubscriptBox[\(\[Theta]\), \(0\)]\)=", 
                 ToString[
                  N[$CellContext`th0$$/Degree]], "  "], {Center, -100}], Bold,
                16]}, PlotRange -> {{-200, 200}, {-200, 100}}], 
            Graphics[{White, 
              
              Point[{{-$CellContext`b$$, -$CellContext`b$$}, \
{$CellContext`b$$, -$CellContext`b$$}, {$CellContext`b$$, $CellContext`b$$}, \
{-$CellContext`b$$, $CellContext`b$$}}], 
              PointSize[0.01], Blue, 
              Point[$CellContext`rotTgt$$], 
              PointSize[0.015], Red, 
              Point[$CellContext`xRef$$], Thin, 
              Line[
               Table[{
                 Part[$CellContext`rotTgt$$, $CellContext`i], 
                 Part[$CellContext`xRef$$, $CellContext`i]}, {$CellContext`i, 
                 1, 
                 Length[$CellContext`xRef$$]}]]}, 
             ImageSize -> {{-$CellContext`size$$, $CellContext`size$$}, \
{-$CellContext`size$$, $CellContext`size$$}}]}]), 
        "Specifications" :> {{{$CellContext`th$$, 0, "angle"}, -Pi, Pi, 
           Appearance -> "Labeled"}}, 
        "Options" :> {ContentSize -> {800, 460}}, "DefaultOptions" :> {}],
       ImageSizeCache->{816., {259., 266.}},
       SingleEvaluation->True],
      Deinitialization:>None,
      DynamicModuleValues:>{},
      SynchronousInitialization->True,
      UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
      UnsavedVariables:>{Typeset`initDone$$},
      UntrackedVariables:>{Typeset`size$$}], "Manipulate",
     Deployed->True,
     StripOnInput->False],
    Manipulate`InterpretManipulate[1]],
   DynamicModuleValues:>{}],
  DynamicModuleValues:>{}]], "Output",
 CellChangeTimes->{3.7479640492237387`*^9, 3.7480451278169203`*^9, 
  3.74804516397246*^9},
 CellLabel->"Out[44]=",ExpressionUUID->"e1dbc4ef-8741-49c7-ab25-9ee7a45993e2"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["3D dataset", "Section",
 CellChangeTimes->{{3.747964275599884*^9, 
  3.74796427793559*^9}},ExpressionUUID->"38b10479-a403-4429-bddd-\
afca7749a695"],

Cell[CellGroupData[{

Cell["Set up:", "Subsubsection",
 CellChangeTimes->{{3.748045968711318*^9, 
  3.748045971231533*^9}},ExpressionUUID->"4b100faf-9c95-4e3a-94ea-\
f3576e2582ac"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"randomSphere2", "[", "n_", "]"}], ":=", " ", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", " ", 
     RowBox[{
      RowBox[{"out", " ", "=", " ", 
       RowBox[{"{", "}"}]}], ",", 
      RowBox[{"num", "=", "0"}], ",", "test"}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"While", "[", 
      RowBox[{
       RowBox[{"num", "<", "n"}], ",", 
       RowBox[{
        RowBox[{"test", "=", "   ", 
         RowBox[{"RandomReal", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", "3"}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"0.2", "\[LessEqual]", " ", 
           RowBox[{"Norm", "[", "test", "]"}], "\[LessEqual]", "1.0"}], ",", 
          RowBox[{
           RowBox[{"num", "++"}], ";", 
           RowBox[{"AppendTo", "[", 
            RowBox[{"out", ",", " ", 
             RowBox[{"Normalize", "[", "test", "]"}]}], "]"}]}]}], "]"}]}]}], 
      "]"}], ";", "out"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{" "}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.725126678664934*^9, 3.725126747221231*^9}, {
  3.725126784293984*^9, 3.7251268188772497`*^9}, {3.725136303100024*^9, 
  3.725136377027377*^9}, {3.72513641438743*^9, 3.7251365562100897`*^9}, {
  3.739443213984022*^9, 3.7394432207027283`*^9}, {3.7394433159424953`*^9, 
  3.739443319942561*^9}, {3.740242726503377*^9, 3.740242739855081*^9}},
 CellLabel->"In[26]:=",ExpressionUUID->"493ddeb1-9091-4b1d-ba9f-327499c8cf77"],

Cell[BoxData[
 RowBox[{
  RowBox[{"randomBall3CM", "[", 
   RowBox[{"n_", ",", 
    RowBox[{"size_:", "1"}]}], "]"}], ":=", " ", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", " ", 
     RowBox[{
      RowBox[{"out", " ", "=", " ", 
       RowBox[{"{", "}"}]}], ",", 
      RowBox[{"num", "=", "0"}], ",", "test", ",", "cm"}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"While", "[", 
      RowBox[{
       RowBox[{"num", "<", "n"}], ",", 
       RowBox[{
        RowBox[{"test", "=", "   ", 
         RowBox[{"RandomReal", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "size"}], ",", "size"}], "}"}], ",", "3"}], "]"}]}],
         ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Norm", "[", "test", "]"}], "\[LessEqual]", "size"}], ",", 
          
          RowBox[{
           RowBox[{"num", "++"}], ";", 
           RowBox[{"AppendTo", "[", 
            RowBox[{"out", ",", " ", "test"}], "]"}]}]}], "]"}]}]}], "]"}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"cm", " ", "=", " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Plus", "@@", "out"}], ")"}], "/", "n"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"#", "-", "cm"}], "&"}], ")"}], "/@", "out"}]}]}], 
   "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.73944076443102*^9, 3.739440786763439*^9}, {
  3.7394408424202747`*^9, 3.739440857523859*^9}, {3.739460952836001*^9, 
  3.73946101596912*^9}, {3.739473446919948*^9, 3.7394735330063257`*^9}, {
  3.7395528860575743`*^9, 3.739552887102167*^9}, {3.7401621003782663`*^9, 
  3.740162105565789*^9}},
 CellLabel->"In[27]:=",ExpressionUUID->"0b0e5e0d-09c2-4071-a7db-2b84855c6401"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"Match", " ", "order", " ", "of", " ", "makeExxmat"}], ";", " ", 
     "\[IndentingNewLine]", 
     RowBox[{
     "REMEMBER", " ", "move", " ", "to", " ", "center", " ", "of", " ", 
      "mass", " ", "\[IndentingNewLine]", "REMEMBER", " ", "the", " ", "DATA",
       " ", "are", " ", "uniform"}]}], ",", " ", 
    RowBox[{
    "but", " ", "the", " ", "NOISE", " ", "should", " ", "be", " ", 
     "Gaussian"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"build3DPntdataset", "[", 
    RowBox[{"npts_", ",", 
     RowBox[{"quat_:", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Cos", "[", 
         RowBox[{"Pi", "/", "8"}], "]"}], ",", "0", ",", "0", ",", 
        RowBox[{"Sin", "[", 
         RowBox[{"Pi", "/", "8"}], "]"}]}], "}"}]}], ",", 
     RowBox[{"size_:", "1"}], ",", 
     RowBox[{"rmax_:", "0.05"}]}], "]"}], " ", ":=", " ", 
   "\[IndentingNewLine]", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"xRef", " ", "=", "  ", 
        RowBox[{"randomBall3CM", "[", 
         RowBox[{"npts", ",", "size"}], "]"}]}], ",", "xRefCtr", ",", 
       "xTgtCtr", ",", " ", "quatForRot", ",", "\[IndentingNewLine]", 
       RowBox[{"xJitter", "=", 
        RowBox[{"RandomVariate", "[", 
         RowBox[{
          RowBox[{"NormalDistribution", "[", 
           RowBox[{"0", ",", "rmax"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"npts", ",", "3"}], "}"}]}], "]"}]}], ",", "xTgt", ",", 
       "xTgtInit", ",", "th", ",", "rotTgt"}], "}"}], ",", 
     RowBox[{"(*", " ", 
      RowBox[{
       RowBox[{"checkJitter", "=", "xJitter"}], ";"}], "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"xTgtInit", " ", "=", "  ", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"xRef", " ", "[", 
           RowBox[{"[", "i", "]"}], "]"}], "+", " ", 
          RowBox[{"xJitter", "[", 
           RowBox[{"[", "i", "]"}], "]"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "1", ",", "npts"}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{
        RowBox[{
         RowBox[{"to", " ", "ctr", " ", "of", " ", "mass", "  ", "xRefCtr"}], 
         "=", " ", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"Plus", "@@", "xRef"}], ")"}], "/", "npts"}]}], ";", " ", 
        RowBox[{"xRef", " ", "=", " ", 
         RowBox[{"Map", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"#", "-", "xRefCtr"}], " ", ")"}], "&"}], ",", "xRef"}], 
          "]"}]}], ";"}], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{"to", " ", "ctr", " ", "of", " ", "mass"}], " ", "*)"}], " ", 
      RowBox[{"xTgtCtr", "=", 
       RowBox[{
        RowBox[{"(", " ", 
         RowBox[{"Plus", "@@", "xTgtInit"}], ")"}], "/", "npts"}]}], ";", " ", 
      RowBox[{"xTgtInit", " ", "=", " ", 
       RowBox[{"Map", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"#", "-", "xTgtCtr"}], ")"}], " ", "&"}], ",", 
         "xTgtInit"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"quatForRot", " ", "=", " ", 
       RowBox[{"quat", "//", "N"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"rotTgt", " ", "=", 
       RowBox[{"QuatToRot", "[", "quatForRot", "]"}]}], ";", "  ", 
      RowBox[{"xTgt", " ", "=", " ", 
       RowBox[{"Map", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"rotTgt", ".", "#"}], ")"}], "&"}], ",", "xTgtInit"}], 
        "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"xTgt", ",", "xRef", ",", " ", "xTgtInit", ",", "quatForRot"}],
        "}"}]}]}], "]"}]}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.7401566126087313`*^9, 3.740156637764062*^9}, {
   3.740156733131111*^9, 3.740156737806591*^9}, {3.740157022119525*^9, 
   3.740157030000266*^9}, {3.740157367687036*^9, 3.740157392800632*^9}, 
   3.740157437040656*^9, {3.740158070725053*^9, 3.740158089235664*^9}, 
   3.740159586840007*^9, {3.740159642514539*^9, 3.740159690146283*^9}, 
   3.740160005070737*^9, {3.740160196850152*^9, 3.740160199330799*^9}, {
   3.7401602613260727`*^9, 3.74016032610748*^9}, {3.740160486288015*^9, 
   3.7401604871031847`*^9}, {3.740160673001334*^9, 3.740160701017693*^9}, {
   3.740160922060377*^9, 3.740160922258162*^9}, {3.740161414698333*^9, 
   3.7401614169393044`*^9}, {3.740161536127232*^9, 3.740161542060059*^9}, {
   3.740161709918662*^9, 3.740161716226707*^9}, {3.740161908329082*^9, 
   3.740161950137549*^9}, {3.7401621418305063`*^9, 3.740162147535569*^9}, {
   3.740162577812636*^9, 3.7401626889393873`*^9}},
 CellLabel->"In[28]:=",ExpressionUUID->"4ef9bbe6-df1f-460a-99a7-ef5f55709a17"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "Generate", " ", "a", " ", "Gaussian", " ", "distribution", " ", "of", " ",
     "rotation", " ", "angles"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"setsOf3DPntData", " ", "[", 
    RowBox[{
     RowBox[{"npts_:", "100"}], ",", 
     RowBox[{"nsets_:", "1000"}]}], "]"}], " ", ":=", "\[IndentingNewLine]", 
   " ", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"q0th", " ", "=", " ", 
        RowBox[{"RandomVariate", "[", 
         RowBox[{
          RowBox[{"NormalDistribution", "[", 
           RowBox[{
            RowBox[{"Pi", "/", "8"}], ",", 
            RowBox[{"Pi", "/", "32."}]}], "]"}], ",", "nsets"}], "]"}]}], ",",
        "\[IndentingNewLine]", 
       RowBox[{"nhat", " ", "=", " ", 
        RowBox[{"randomSphere2", "[", "nsets", "]"}]}], ",", "quats"}], "}"}],
      ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"quats", "=", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"Join", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"Cos", "[", 
             RowBox[{"q0th", "[", 
              RowBox[{"[", "i", "]"}], "]"}], "]"}], "}"}], ",", 
           RowBox[{
            RowBox[{"Sin", "[", 
             RowBox[{"q0th", "[", 
              RowBox[{"[", "i", "]"}], "]"}], "]"}], "*", 
            RowBox[{"nhat", "[", 
             RowBox[{"[", "i", "]"}], "]"}]}]}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "1", ",", "nsets"}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"build3DPntdataset", "[", 
         RowBox[{"npts", ",", 
          RowBox[{"quats", "[", 
           RowBox[{"[", "i", "]"}], "]"}]}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "1", ",", "nsets"}], "}"}]}], "]"}]}]}], 
    "]"}]}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.740270743390102*^9, 3.7402708426953087`*^9}, {
   3.740270898742909*^9, 3.740270940293716*^9}, 3.740659216120525*^9, 
   3.741703897961986*^9, 3.741703996035247*^9},
 CellLabel->"In[29]:=",ExpressionUUID->"73530372-6d03-4c21-a316-eb1292ee5993"],

Cell[BoxData[
 RowBox[{
  RowBox[{"QuatToRot", "[", "q_List", "]"}], " ", ":=", "\n", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"q0", "=", " ", 
       RowBox[{"q", "[", 
        RowBox[{"[", "1", "]"}], "]"}]}], ",", " ", 
      RowBox[{"q1", "=", 
       RowBox[{"q", "[", 
        RowBox[{"[", "2", "]"}], "]"}]}], ",", " ", 
      RowBox[{"q2", " ", "=", " ", 
       RowBox[{"q", "[", 
        RowBox[{"[", "3", "]"}], "]"}]}], ",", " ", 
      RowBox[{"q3", " ", "=", " ", 
       RowBox[{"q", "[", 
        RowBox[{"[", "4", "]"}], "]"}]}]}], "}"}], ",", "\n", "   ", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"d23", " ", "=", " ", 
         RowBox[{"2", " ", "q2", " ", "q3"}]}], ",", " ", 
        RowBox[{"d1", " ", "=", " ", 
         RowBox[{"2", " ", "q0", " ", "q1"}]}], ",", "\n", "          ", 
        RowBox[{"d31", " ", "=", " ", 
         RowBox[{"2", " ", "q3", " ", "q1"}]}], ",", " ", 
        RowBox[{"d2", " ", "=", " ", 
         RowBox[{"2", " ", "q0", " ", "q2"}]}], ",", "\n", "          ", 
        RowBox[{"d12", " ", "=", " ", 
         RowBox[{"2", " ", "q1", " ", "q2"}]}], ",", " ", 
        RowBox[{"d3", " ", "=", " ", 
         RowBox[{"2", " ", "q0", " ", "q3"}]}], ",", "\n", "          ", 
        RowBox[{"q0sq", " ", "=", " ", 
         RowBox[{"q0", "^", "2"}]}], ",", " ", 
        RowBox[{"q1sq", " ", "=", " ", 
         RowBox[{"q1", "^", "2"}]}], ",", " ", 
        RowBox[{"q2sq", " ", "=", " ", 
         RowBox[{"q2", "^", "2"}]}], ",", " ", 
        RowBox[{"q3sq", " ", "=", " ", 
         RowBox[{"q3", "^", "2"}]}]}], "}"}], ",", "\n", "          ", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{
          "q0sq", " ", "+", " ", "q1sq", " ", "-", " ", "q2sq", " ", "-", " ",
            "q3sq"}], ",", " ", 
          RowBox[{"d12", " ", "-", " ", "d3"}], ",", " ", 
          RowBox[{"d31", " ", "+", " ", "d2"}]}], "}"}], ",", "\n", 
        "           ", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"d12", " ", "+", " ", "d3"}], ",", " ", 
          RowBox[{
          "q0sq", " ", "-", " ", "q1sq", " ", "+", " ", "q2sq", " ", "-", " ",
            "q3sq"}], ",", " ", 
          RowBox[{"d23", " ", "-", " ", "d1"}]}], "}"}], ",", "\n", 
        "           ", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"d31", " ", "-", " ", "d2"}], ",", " ", 
          RowBox[{"d23", " ", "+", " ", "d1"}], ",", " ", 
          RowBox[{
          "q0sq", " ", "-", " ", "q1sq", " ", "-", " ", "q2sq", " ", "+", " ",
            "q3sq"}]}], "}"}]}], "}"}]}], " ", "]"}]}], "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.584375516593762*^9, 3.584375516595628*^9}},
 CellLabel->"In[30]:=",ExpressionUUID->"8d0aed46-5268-44fb-806e-85c9ca5e0aea"],

Cell[BoxData[
 RowBox[{
  RowBox[{"qprod", "[", 
   RowBox[{"q_List", ",", "p_List"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"q", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
       " ", 
       RowBox[{"p", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], 
      "-", 
      RowBox[{
       RowBox[{"q", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
       " ", 
       RowBox[{"p", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}], 
      "-", 
      RowBox[{
       RowBox[{"q", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
       " ", 
       RowBox[{"p", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}]}], 
      "-", 
      RowBox[{
       RowBox[{"q", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}], 
       " ", 
       RowBox[{
       "p", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}]}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"q", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
       " ", 
       RowBox[{"p", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}], 
      "+", 
      RowBox[{
       RowBox[{"q", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
       " ", 
       RowBox[{"p", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], 
      "+", 
      RowBox[{
       RowBox[{"q", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
       " ", 
       RowBox[{"p", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}]}], 
      "-", 
      RowBox[{
       RowBox[{"q", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}], 
       " ", 
       RowBox[{
       "p", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}]}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"q", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
       " ", 
       RowBox[{"p", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}]}], 
      "+", 
      RowBox[{
       RowBox[{"q", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
       " ", 
       RowBox[{"p", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], 
      "+", 
      RowBox[{
       RowBox[{"q", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}], 
       " ", 
       RowBox[{"p", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}], 
      "-", 
      RowBox[{
       RowBox[{"q", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
       " ", 
       RowBox[{
       "p", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}]}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"q", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
       " ", 
       RowBox[{"p", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}]}], 
      "+", 
      RowBox[{
       RowBox[{"q", "\[LeftDoubleBracket]", "4", "\[RightDoubleBracket]"}], 
       " ", 
       RowBox[{"p", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], 
      "+", 
      RowBox[{
       RowBox[{"q", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
       " ", 
       RowBox[{"p", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}]}], 
      "-", 
      RowBox[{
       RowBox[{"q", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
       " ", 
       RowBox[{
       "p", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}]}]}], 
    "}"}], "/;", 
   RowBox[{
    RowBox[{"Length", "[", "q", "]"}], "==", 
    RowBox[{"Length", "[", "p", "]"}], "==", "4"}]}]}]], "Input",
 InitializationCell->True,
 CellLabel->"In[31]:=",ExpressionUUID->"0b287a40-ffd5-463c-bacc-819a00ff2b0c"],

Cell[BoxData[
 RowBox[{
  RowBox[{"slerp", "[", 
   RowBox[{"p0_List", ",", "p1_List", ",", "t_"}], "]"}], " ", ":=", " ", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"costh", " ", "=", " ", 
       RowBox[{
        RowBox[{"p0", " ", ".", " ", "p1"}], "//", "Chop"}]}], ",", " ", "th",
       ",", " ", "sinth"}], "}"}], ",", "\[IndentingNewLine]", "  ", 
    RowBox[{
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"costh", " ", ">", " ", "0.0"}], ",", 
       RowBox[{"costh", " ", "=", " ", 
        RowBox[{
         RowBox[{"Chop", "[", 
          RowBox[{"costh", " ", "-", "1."}], "]"}], " ", "+", "1."}]}]}], 
      "]"}], ";", "\[IndentingNewLine]", "  ", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"costh", " ", "<", " ", "0.0"}], ",", 
       RowBox[{"costh", " ", "=", " ", 
        RowBox[{
         RowBox[{"Chop", "[", 
          RowBox[{"costh", " ", "+", "1."}], "]"}], " ", "-", "1."}]}]}], 
      "]"}], ";", "\[IndentingNewLine]", " ", 
     RowBox[{"th", " ", "=", " ", 
      RowBox[{"N", "[", 
       RowBox[{"ArcCos", "[", "costh", "]"}], "]"}]}], ";", 
     "\[IndentingNewLine]", " ", 
     RowBox[{"sinth", " ", "=", " ", 
      RowBox[{"N", "[", 
       RowBox[{"Sin", "[", "th", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"sinth", " ", "==", " ", "0"}], ",", " ", 
       "\[IndentingNewLine]", " ", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "-", "t"}], ")"}], "*", "p0"}], " ", "+", " ", 
        RowBox[{"t", "*", "p1"}]}], ",", "\[IndentingNewLine]", " ", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"Sin", "[", 
            RowBox[{"th", "*", 
             RowBox[{"(", 
              RowBox[{"1", "-", "t"}], ")"}]}], "]"}], "/", "sinth"}], ")"}], 
         "*", "p0"}], " ", "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"Sin", "[", 
            RowBox[{"th", "*", "t"}], "]"}], "/", "sinth"}], ")"}], "*", 
         "p1"}]}]}], " ", "]"}]}]}], "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{3.721745118486598*^9},
 CellLabel->"In[32]:=",ExpressionUUID->"cee68ab5-2f65-4d3a-a3cc-c3c5d3483994"],

Cell[BoxData[
 RowBox[{
  RowBox[{"makeRotation", "[", 
   RowBox[{
    RowBox[{"angle_:", "0"}], ",", 
    RowBox[{"n_List:", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "1"}], "}"}]}]}], "]"}], " ", ":=", "\n", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"c", " ", "=", " ", 
       RowBox[{
        RowBox[{"Cos", "[", "angle", "]"}], "//", "N"}]}], ",", " ", 
      RowBox[{"s", " ", "=", " ", 
       RowBox[{
        RowBox[{"Sin", "[", "angle", "]"}], "//", "N"}]}], ",", " ", "cm"}], 
     "}"}], ",", "\n", 
    RowBox[{
     RowBox[{"cm", " ", "=", " ", 
      RowBox[{"1", " ", "-", " ", "c"}]}], ";", "\n", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"c", " ", "+", " ", 
           RowBox[{"cm", "*", 
            RowBox[{
             RowBox[{"n", "[", 
              RowBox[{"[", "1", "]"}], "]"}], "^", "2"}]}]}], ",", " ", 
          RowBox[{
           RowBox[{"cm", "*", 
            RowBox[{"n", "[", 
             RowBox[{"[", "2", "]"}], "]"}], "*", 
            RowBox[{"n", "[", 
             RowBox[{"[", "1", "]"}], "]"}]}], " ", "-", " ", 
           RowBox[{"s", "*", 
            RowBox[{"n", "[", 
             RowBox[{"[", "3", "]"}], "]"}]}]}], ",", " ", 
          RowBox[{
           RowBox[{"cm", "*", 
            RowBox[{"n", "[", 
             RowBox[{"[", "3", "]"}], "]"}], "*", 
            RowBox[{"n", "[", 
             RowBox[{"[", "1", "]"}], "]"}]}], " ", "+", " ", 
           RowBox[{"s", "*", 
            RowBox[{"n", "[", 
             RowBox[{"[", "2", "]"}], "]"}]}]}]}], "}"}], ",", "\n", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"cm", "*", 
            RowBox[{"n", "[", 
             RowBox[{"[", "1", "]"}], "]"}], "*", 
            RowBox[{"n", "[", 
             RowBox[{"[", "2", "]"}], "]"}]}], " ", "+", " ", 
           RowBox[{"s", "*", 
            RowBox[{"n", "[", 
             RowBox[{"[", "3", "]"}], "]"}]}]}], ",", " ", 
          RowBox[{"c", " ", "+", " ", 
           RowBox[{"cm", "*", 
            RowBox[{
             RowBox[{"n", "[", 
              RowBox[{"[", "2", "]"}], "]"}], "^", "2"}]}]}], ",", "  ", 
          RowBox[{
           RowBox[{"cm", "*", 
            RowBox[{"n", "[", 
             RowBox[{"[", "3", "]"}], "]"}], "*", 
            RowBox[{"n", "[", 
             RowBox[{"[", "2", "]"}], "]"}]}], " ", "-", " ", 
           RowBox[{"s", "*", 
            RowBox[{"n", "[", 
             RowBox[{"[", "1", "]"}], "]"}]}]}]}], "}"}], ",", "\n", 
        RowBox[{"{", " ", 
         RowBox[{
          RowBox[{
           RowBox[{"cm", "*", 
            RowBox[{"n", "[", 
             RowBox[{"[", "1", "]"}], "]"}], "*", 
            RowBox[{"n", "[", 
             RowBox[{"[", "3", "]"}], "]"}]}], " ", "-", " ", 
           RowBox[{"s", "*", 
            RowBox[{"n", "[", 
             RowBox[{"[", "2", "]"}], "]"}]}]}], ",", " ", "\n", 
          "              ", 
          RowBox[{
           RowBox[{"cm", "*", 
            RowBox[{"n", "[", 
             RowBox[{"[", "2", "]"}], "]"}], "*", 
            RowBox[{"n", "[", 
             RowBox[{"[", "3", "]"}], "]"}]}], " ", "+", " ", 
           RowBox[{"s", "*", 
            RowBox[{"n", "[", 
             RowBox[{"[", "1", "]"}], "]"}]}]}], ",", " ", 
          RowBox[{"c", " ", "+", " ", 
           RowBox[{"cm", "*", 
            RowBox[{
             RowBox[{"n", "[", 
              RowBox[{"[", "3", "]"}], "]"}], "^", "2"}]}]}]}], "}"}]}], 
       "}"}], "//", "N"}]}]}], "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.584375852951816*^9, 3.58437587259674*^9}, {
  3.584375910037079*^9, 3.584375911589164*^9}},
 CellLabel->"In[33]:=",ExpressionUUID->"f3761e6b-5d7d-4f4a-a9ba-f4dc8986a8b9"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
Examine a single data set, then multiple data sets for 3D points:\
\>", "Subsubsection",
 CellChangeTimes->{{3.74804598630394*^9, 
  3.7480460164954157`*^9}},ExpressionUUID->"e82594e2-b5c3-477c-9a36-\
f98d6d6a6ff2"],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{"test3DPnt", " ", "=", " ", 
    RowBox[{"build3DPntdataset", "[", "200", "]"}]}], ";"}]}]], "Input",
 CellChangeTimes->{{3.740162424497295*^9, 3.740162452857421*^9}},
 CellLabel->
  "In[1248]:=",ExpressionUUID->"885f7aeb-d8ce-45ca-9112-a03d3f1a9383"],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{"test3DPnt", " ", "=", " ", 
    RowBox[{"build3DPntdataset", "[", 
     RowBox[{"500", ",", " ", 
      RowBox[{"Normalize", "[", 
       RowBox[{"{", 
        RowBox[{"1", ",", ".2", ",", ".5", ",", ".6"}], "}"}], "]"}]}], 
     "]"}]}], ";"}]}]], "Input",
 CellChangeTimes->{{3.740164005152687*^9, 3.740164014141548*^9}, 
   3.74796497137502*^9},
 CellLabel->"In[23]:=",ExpressionUUID->"ecbdc03e-1fc2-4c13-98d7-f609c8871ee2"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Directory", "[", "]"}]], "Input",
 CellChangeTimes->{{3.748027392350919*^9, 3.748027394788253*^9}},
 CellLabel->
  "In[168]:=",ExpressionUUID->"303931fb-a713-457e-b87b-46d4e715f4f6"],

Cell[BoxData["\<\"/home/hanson/Dropbox/Articles/WTC2018\"\>"], "Output",
 CellChangeTimes->{3.748027395260582*^9},
 CellLabel->
  "Out[168]=",ExpressionUUID->"f23bfd43-855d-4b52-b822-9335937867d9"]
}, Closed]],

Cell[BoxData[
 RowBox[{"Save", "[", 
  RowBox[{"\"\<The3DPnt.m\>\"", ",", "test3DPnt"}], "]"}]], "Input",
 CellChangeTimes->{{3.748027399135454*^9, 3.748027421467955*^9}, {
  3.748027479980571*^9, 3.7480274803800497`*^9}},
 CellLabel->"In[24]:=",ExpressionUUID->"d067a3e1-6deb-4048-966b-d9e55368d353"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Reload test points here:", "Subsubsection",
 CellChangeTimes->{{3.748027435555993*^9, 
  3.748027444571808*^9}},ExpressionUUID->"55a9ef00-6727-4fac-a151-\
b9f6b493ad95"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Get", "[", "\"\<The3DPnt.m\>\"", "]"}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.748027491684217*^9, 3.748027499163897*^9}},
 CellLabel->"In[34]:=",ExpressionUUID->"486e10b2-51b1-4872-8e98-5129017925b9"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Dimensions", "/@", "test3DPnt"}]], "Input",
 CellChangeTimes->{{3.748045215954739*^9, 3.7480452301138277`*^9}},
 CellLabel->"In[45]:=",ExpressionUUID->"c71c372c-86de-4b7c-897a-9f12873d05a2"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"500", ",", "3"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"500", ",", "3"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"500", ",", "3"}], "}"}], ",", 
   RowBox[{"{", "4", "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.7480452316063213`*^9},
 CellLabel->"Out[45]=",ExpressionUUID->"41b23aa3-8ef5-409a-8c78-fbd492515bca"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"test3DPnt", "[", 
  RowBox[{"[", 
   RowBox[{"1", ",", "1"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.748027451380241*^9, 3.748027453619924*^9}},
 CellLabel->
  "In[169]:=",ExpressionUUID->"86605ab6-acbe-4155-97aa-fd651e78bb0d"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", "0.39557856107909284`"}], ",", "0.16321789105335885`", ",", 
   RowBox[{"-", "0.04006368046761105`"}]}], "}"}]], "Output",
 CellChangeTimes->{3.748027454345393*^9},
 CellLabel->
  "Out[169]=",ExpressionUUID->"b31cbd21-de06-4fdc-a4b0-a4e240028fbd"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"exxmat", " ", "=", " ", 
  RowBox[{"makeExxmat", "@@", " ", 
   RowBox[{"test3DPnt", "[", 
    RowBox[{"[", 
     RowBox[{"1", ";;", "2"}], "]"}], "]"}]}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.747964487811962*^9, 3.747964533638155*^9}},
 CellLabel->"In[35]:=",ExpressionUUID->"533d7b80-810d-4364-8756-ba492e43a2ba"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"19.800400871087014`", ",", 
     RowBox[{"-", "65.3287798114948`"}], ",", "76.17307468586164`"}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{
    "85.62636851072034`", ",", "57.87893200818066`", ",", 
     "6.446279834166192`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "44.67782493254218`"}], ",", "56.07462944913717`", ",", 
     "63.95594384251337`"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.74796453510256*^9, 3.74796497695636*^9, 
  3.7480346142368317`*^9, 3.7480444387922583`*^9, 3.748045815739171*^9, 
  3.7480464604098988`*^9, 3.748046624167276*^9},
 CellLabel->"Out[35]=",ExpressionUUID->"83c8067d-5978-49f4-9ea1-18626dbbb253"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"mxxmat", "=", 
   RowBox[{"makeMxxmat", "[", "exxmat", "]"}]}], ";", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"MatrixForm", "[", "exxmat", "]"}], ",", 
    RowBox[{"MatrixForm", "[", "mxxmat", "]"}]}], "}"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.747964569621725*^9, 3.7479645764705153`*^9}, {
  3.7479646584902554`*^9, 3.74796466143795*^9}, {3.747964985806679*^9, 
  3.7479650090265636`*^9}},
 CellLabel->"In[36]:=",ExpressionUUID->"1beef64b-3f05-487a-96cd-3a5cf8794566"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"19.800400871087014`", 
        RowBox[{"-", "65.3287798114948`"}], "76.17307468586164`"},
       {"85.62636851072034`", "57.87893200818066`", "6.446279834166192`"},
       {
        RowBox[{"-", "44.67782493254218`"}], "56.07462944913717`", 
        "63.95594384251337`"}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
        "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]], ",", 
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"141.63527672178105`", 
        RowBox[{"-", "49.62834961497098`"}], 
        RowBox[{"-", "120.85089961840382`"}], 
        RowBox[{"-", "150.95514832221514`"}]},
       {
        RowBox[{"-", "49.62834961497098`"}], 
        RowBox[{"-", "102.03447497960701`"}], "20.297588699225543`", 
        "31.495249753319456`"},
       {
        RowBox[{"-", "120.85089961840382`"}], "20.297588699225543`", 
        RowBox[{"-", "25.877412705419722`"}], "62.52090928330336`"},
       {
        RowBox[{"-", "150.95514832221514`"}], "31.495249753319456`", 
        "62.52090928330336`", 
        RowBox[{"-", "13.723389036754305`"}]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
        "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]]}], "}"}]], "Output",
 CellChangeTimes->{
  3.747964577009281*^9, 3.747964662047175*^9, {3.7479649803499413`*^9, 
   3.747965009482444*^9}, 3.7480346143662024`*^9, 3.748044438853695*^9, 
   3.7480458158221817`*^9, 3.7480464605403147`*^9, 3.748046624225245*^9},
 CellLabel->"Out[36]=",ExpressionUUID->"eb8bb826-195e-4d13-987d-d375e7da2f3b"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Compare:", "Subsubsection",
 CellChangeTimes->{{3.7479646423731403`*^9, 
  3.747964643860817*^9}},ExpressionUUID->"61cd9651-45e5-4d03-831b-\
d66d57de3200"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Usage", "-", " ", 
    RowBox[{"This", " ", "gets", " ", "analytic", " ", "soln"}]}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"xyzMatVals", " ", "=", 
   RowBox[{"makePnNumRule", "[", 
    RowBox[{"makeXYZnumRule", "[", "mxxmat", "]"}], "]"}]}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.726156517993895*^9, 3.726156577118228*^9}, {
   3.726426667763685*^9, 3.726426676323326*^9}, 3.726427142943823*^9, {
   3.740744746017198*^9, 3.740744790208749*^9}, {3.74074485504811*^9, 
   3.740744890775473*^9}, 3.740744995290337*^9, 3.740745046234523*^9, {
   3.747964670630938*^9, 3.747964673533042*^9}},
 CellLabel->"In[37]:=",ExpressionUUID->"3b13816c-b22c-4ca6-b07d-d78f2b32e016"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"p1", "\[Rule]", "0"}], ",", 
   RowBox[{"p2", "\[Rule]", 
    RowBox[{"-", "60832.95558640336`"}]}], ",", 
   RowBox[{"p3", "\[Rule]", 
    RowBox[{"-", "8.043461944362502`*^6"}]}], ",", 
   RowBox[{"p4", "\[Rule]", 
    RowBox[{"-", "2.95141698088778`*^8"}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.747964674884296*^9, 3.747965015293523*^9, 
  3.7480346144457197`*^9, 3.7480444389139967`*^9, 3.7480458158696527`*^9, 
  3.74804646065034*^9, 3.74804662438122*^9},
 CellLabel->"Out[37]=",ExpressionUUID->"5bc5ff1d-dd08-4005-9d73-4b16c3041c9c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"eigvals", " ", "=", 
  RowBox[{
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"xyzEpsN", "[", 
      RowBox[{"k", ",", "0", ",", "p2", ",", "p3", ",", "p4"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", "1", ",", "4"}], "}"}]}], "]"}], "/.", " ", 
   "xyzMatVals"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.7407447164255657`*^9, 3.740744722185274*^9}, {
  3.740744763561153*^9, 3.740744795842988*^9}, {3.7479652826675177`*^9, 
  3.747965286128747*^9}},
 CellLabel->"In[38]:=",ExpressionUUID->"28707444-42a9-4e06-aea8-ab53a9efd06e"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"301.2975282384182`", ",", 
   RowBox[{"-", "80.10017923584066`"}], ",", 
   RowBox[{"-", "108.93459311378142`"}], ",", 
   RowBox[{"-", "112.26275588879614`"}]}], "}"}]], "Output",
 CellChangeTimes->{3.747964679852415*^9, 3.747965018481036*^9, 
  3.747965288735429*^9, 3.7480346145284224`*^9, 3.748044438980587*^9, 
  3.748045815923794*^9, 3.7480464631673803`*^9, 3.7480466244813557`*^9},
 CellLabel->"Out[38]=",ExpressionUUID->"d2585fae-2f21-4e31-9768-1832c6d20dbc"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Sort", "[", 
  RowBox[{
   RowBox[{"Eigenvalues", "[", "mxxmat", "]"}], ",", 
   RowBox[{
    RowBox[{"#1", ">", "#2"}], "&"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.747964590593316*^9, 3.747964592605798*^9}, {
  3.747964714995384*^9, 3.747964716292842*^9}, {3.747964756367323*^9, 
  3.747964761820529*^9}},
 CellLabel->
  "In[117]:=",ExpressionUUID->"ca3b932a-dd0c-4a93-b1da-3bebd545d7a7"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"290.2449603148066`", ",", 
   RowBox[{"-", "84.36731464720023`"}], ",", 
   RowBox[{"-", "95.49205387397173`"}], ",", 
   RowBox[{"-", "110.38559179363465`"}]}], "}"}]], "Output",
 CellChangeTimes->{3.7479645933807373`*^9, 3.747964717008136*^9, 
  3.747964762741809*^9, 3.747965021143359*^9},
 CellLabel->
  "Out[117]=",ExpressionUUID->"73064046-6705-401b-a940-50f0fb8c9329"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Graphics3D", "[", 
   RowBox[{"{", 
    RowBox[{"Blue", ",", 
     RowBox[{"Point", "[", 
      RowBox[{"test3DPnt", "[", 
       RowBox[{"[", "1", "]"}], "]"}], "]"}], ",", "Red", ",", 
     RowBox[{"Point", "[", 
      RowBox[{"test3DPnt", "[", 
       RowBox[{"[", "2", "]"}], "]"}], "]"}], ",", "\[IndentingNewLine]", 
     "Blue", ",", 
     RowBox[{"Line", "[", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"test3DPnt", "[", 
           RowBox[{"[", 
            RowBox[{"1", ",", "k"}], "]"}], "]"}], ",", 
          RowBox[{"test3DPnt", "[", 
           RowBox[{"[", 
            RowBox[{"2", ",", "k"}], "]"}], "]"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"k", ",", "1", ",", 
          RowBox[{"Length", "[", 
           RowBox[{"test3DPnt", "[", 
            RowBox[{"[", "1", "]"}], "]"}], "]"}]}], "}"}]}], "]"}], "]"}]}], 
    "}"}], "]"}], "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.747964775836706*^9, 3.747964924723735*^9}},
 CellLabel->
  "In[118]:=",ExpressionUUID->"08d60430-4a35-48a9-9aad-a8a4b497929a"],

Cell[BoxData[
 Graphics3DBox[{
   {RGBColor[0, 0, 1], Point3DBox[CompressedData["
1:eJwNl2k4FGwUhoUiqchSSSVRUiJR1o5ERJZIRJYkSUKLLGUvyRJ9SkIlIrIk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     "]]}, 
   {RGBColor[1, 0, 0], Point3DBox[CompressedData["
1:eJwNl2c41X8YxiXJn4qykqSU3aKQxJOKlIqGPZKQUSkVoiRFpWHvWWYUZe/H
3vs4x7HPwrGLyCj9vfpd1/ft77nv+/PZY+l4xZqVhYXl1zoWlvVrXwnrlQ93
psJgkxD5238zTVCZGXObmdyNf5U3Thx2owG3YemhlGA6hOYdlJNzKoUHQRyj
4UE0bL2udj/pdD/4XFHJa2glwePT+x+XnRyFEyZGB7h0K+HT0YO54RFDOP6v
TH3kdgF8zdAqSlOhYGZAZ2zSAB2ILg2H84RqwUM+xDbXhgjwMWe9Rcg4sM/1
hLOZdGOK8EC/F4UOEgU6Ne0lHcBKvkyRs+yGz9z+as48NAxcOlc6nNaD2fEr
Jjf3MfDP22w58QetMCxB3/XdpBF3JD12NaINwaWZ7FvyvX1Ar/QpCEqkwgVw
OG3z8hWkcl6u4SfnovFX8bS9T7pwWMLcnKFUDibLrp9q79PBZk4iiEWqE/Ia
t/6EkwRkdrZvGBTIxTchEs5E4zFMm/7VPJhSCqK9LIJKOpNgU2Q9787sgTyX
PNqZ5hKMiU4SPG1JxctlaqkeOSM4rP1dXoxcA3DIRNrjOhWsHlhcTit2gSZn
TfWbCSPIGRVHfmDQj3oXK+/8dmpC310yw/sSCqEHz7Do3hrB2xH+C052mdB6
zm1s6gsZSXrh1r+3kMDbn3mJ7DyG6VPLoU+31mNxffhPTQYFxIee88ZrDOOl
c26TgkkEfMmAnlWpFkya/L0UcLEer9CjAx5z9IBkI387RzET0iLqoj/sLsGk
vpMjwgOVQJE+NMp85w8igi1/A8TG8H7I3g0vmJOQ6Hrg45R3Bd7e0SQ4RcgA
hbDnFcVvKoCX+Wc12WUSiszPpLo79aD5WfP8oOtEbPhyw+p35zBO6LIcuUVq
BWOVaEElqXA8qlqumf6rAadEeHPktWiYPMTrLBLahSL/WZlsFGGit76Wv4hw
K26bIHc/3dEJrhRbJ1/vEkj50V2+oD4CyT4Pb/zIDAZv72u/DV9Oot50j29a
QiWSwiLuduaXYoDPgS+1myh4aWfk+0jB16ix70j4o8hmcCtbf+/P3R4cyczd
vMgcgJVXbQ1T3A1Ybs25nkvPC36v+mrd82PCRc98E/0XY+CwZPfHbzcVpqOP
ZcVOEuAGUyXlJM8EWMlY0GKGm3Cl2Zv19IYa0JvbpmjqXwVnd7360xRIASHL
rikxr2GMEyg6vJOXiWHW46RZpEGrRXPn4QkCCLx2G+AMK8Ll4IjmNPMBzH0W
fCYirg1Di6FormkQlyccWAvqenC1ziLNfwcB1q+zGbxvxEDLjQ9stDf1otVY
rQDP2UdwN0h5iKjYj7VDXEdX33fCVq63YrtVhnHuA7oKCYwiQ/Gh2bxXG8qY
e3JVnMtFakro17SdNHiQLmB76RwFMtjGG2N4BsG9b7eNvcco6p+857PJiATi
d37GvVQoR2/+gcTrp1qhIMky5vfOIigbjHEOWCIAMWu9IqW2BcTPH7/pzEtD
xaRgP/W77UBqv3r0x2gxLll3hu8k09GMT/Pb+kYq6ksSnSVyvqNEXt7ShCAB
Sv88iSzaO4ovroyDEoGBLKXJ6mQbaxxJwhMq20nA6/6Ac+IAHVMIbYedztLh
URr30laHaqzJ2S8CMnQY0A5REmlYu6u3LStaf5qA0/yFW/bhHFgyviBtzKTh
yoZ5Lc2/rTAo9GanREM7ftH/RSGa14P2l2uKiueqIW1VatCABUGa3Of/Z2YC
jSZUHOvdQiG8+YyAUqcHWNWuO6y8uRx3eKbe65UmoT2/ZvHEVD/cFH+oy7tI
g9rGP/WLUu3QOyYho3kuBu9eD5z4MdsB1qJV93n4JvEQ280DfRNjyBf3Lzv4
RB32iglkvB4j4pQ1ycD7bCoGbNv87prlCK4z71uqS6JjJiU0wnUdBeczJjeQ
ehmoIpsaaa5cBXm0Dpn5IySs//Uif+G/UqyxsnK6G12NQcvf4krrkmFHoEuL
63A/9kbapbC6D2DrubvcQbxDmM3032OnPwKdKaFiDnNDKFBoI0TjI+M1i/aj
NmxtWMRb5zZc1Y7Lm0T0Z8J7QN9eUW9dTBeEXol5751GgLS6WxpFbaXwXaKs
pElnGiV55mp9fkXiwNIW+58FdLDd62kj5ZmLnNY+2R7b8pBrd9ETG7VJfGgt
Gao9V40HRR2MMqK7wPhi2cqGfX2QJHjRddWShq/o/CnWQXSgmjYzuEtosOE6
xdp/gY7nZZN6CmS/Y2H060rpohGgGV0qTVQi46SnILefzGdgN+m6SPzYj6OX
rnLHBjHgmiORT00xGS88C3k1WP8eHorG/9lqUYWnglnmtvSRUEnFOaqjmoa9
yZ0GFjwdmH7vXWBvSTWwxwpnRhwaQN/FWi/Z+W5MMyE6bhAjYho5PIZ/WwHo
PLQUFfrIAOEuV7A0bQQltpCf3JsmkJxyInA8vxCSzP9ynTJqQnlOrkOc+QOQ
uukYt+KXQrQcFrsX87Ybvdx0vk3cJ8G7KuP9GU5rfRdB9m9aImPO9Vd7rc68
wBVWCfL4tlHYtT1G61hYB4QMtLiz2TaAYZ3oY+PCXPDiSXTIhm5c4L7OLcFb
iI7XlYVsVWgwgA9LWWtGMGh7n6DVu2GUzy6SeXiuC4NlDRSc/35FpY5sxSVX
CuZtvplS7NELZeklAtJZJLhDVu5bHEpFr4UGmR8fupFwSOJp85Yx+Gq4sVa9
MgFPVfwWCwwewC/rXz151hIPK0fnKnfF1SLLFe91caLGuGF0aSY1pQU7ZhO7
L0TSgDab/U+d2YUC0gsycpGD4MM99XnrZD867x278J9ZH3T8o6ZOOjCxb+XK
x0eECWzdG1hQnU6GcT3r0e1Hc3Dl/OT1ix5U/PZ7Ov/L30Sos/ueJr/CBP7I
xM1v97ZAjIa9hhMPBV9tf76oO0KB53+bPxqfp8Pifj++1pBiuHMu8/nrv6PY
qx2doHZrECijm0+9VIgDOXroNSLnOD4N6OtLeMgAm5OXX15dy2NPue62/2jB
0Cd21z7Hugov4k9Z4wcM5L2fHbWUQYcktXTjlYA20HNnnbz+j46F16NnYr7S
ceWpN1/Bo+a1/36Ub/lkDujFp4eGD01ik2tiRG7PMCb6SDb9nqzDzv1Pjad5
SDj/qvWnU0sl7K2hfS58RoeDd4o0x0TaofVY49+QF91oseL1I+tcCNw54DbW
d2oUfa2a72+kdoHV370hgo+r8Er9xEIzjYjGDRoLwur+2DlnpW0XSUD3vc16
bQmjIHM1SddRvg8ol8zq/6T4g/2/uDpZsy7kd/H0UzncAhZqR9mSaf4QdsxX
8PPuEVC8FpiVdbAQz3toV54GEq5Mu+nNvp0Ea/Oy9dLnWqCevfzy+JMcTI+b
S3G5NA7OxYlvDA4Rsb2cnuL0KgEl5SS/WewKQ/WB9INaxGHY9W/gHO9qD0Qy
1TwGZslYOllVJTXCgAb57NGgaAoaezT8/UQgoPLXQ03StykQnThqc0SqCsqO
/wg2+twJJGnH4bT4flwXFbMz3XYYA2WNd/A69OPKL7tThnYMPMN/Q03QrQ0j
ojf+u3aQhspS/Ce+2zEhT1VwdN33QUhezaix8yKA2f2NuzuO0sFfwzj7Q+ZH
PFSTHxavyACF94X7ZyXXdhj8fm75M77GMcz82ohGlC/nOhIQ2gELmtesN3oT
QY/9SMCMySgqaPV//mDaAk273OuFBBhw/zjzZ+Y1KtokY1r/9yHcXfBqgqAb
gHx+kepPLqTjJ/WKzdwr3aDlNxk+/6oMnecbhq4/yAbnNZg8ON6Dhuaxy9WQ
BXMK17KyeyegV5bmHk8iwsmHs7TKY9748fd6r/qrdBS2bhD79W8EE52UxWn+
rXj+tez4uSt56Jt4NlhEqggY1LNGG/c1Ypgdm4LzZhrIj3C2xpFJsPuN2/PA
zGD8XXukfqvPOORJeudoqXZitLut3XxBA2j3Hc4aChoGxQZJCl9dNoZ2uLwV
jOwDha+zsaSWcvRQSt3Z+7kLO6ucyBwGBJTErlgX12j8L+PxxIIhDQz33K47
ZVII+uw3hkpyisD9MZ4b3j6B5w3YHi8odaN76J/6c8eaYfYwhapxuhvU1HYu
BSa3g7jXoOZh4Xr0mS/ctuTfjTKrGd/EYntxw2b3gOenaMil4+5CNaxF4bbp
bXdOUSDKYBNZ5Xcz3Hhv+TnkDANIEp4Max0i0FSZNxwze9BXZ19DpngH8Njn
Gl04EY9686XiB9nq0MiqcJOrFhXKg67XPb7zHPq0hME9qw5k2kpZqX4k+Ll7
epHvxzheG6hd4XT/jL1/RyMdbkchm3hOmZhaHa4LsSVeqxhDxb9Sv70SivCo
uFklcaAZSY8u7WQUF8AG75+1m8Po4LczLXnQlgl679tGPB7XoPOrXM/mQwSs
vMV+/UPiEF7y8znqz/MGD2rzx0ctD6E0+/sBzWIq2ntsUal4WYoLVrbsISll
SHHloeUshAL7lUdN9fM94NLss3fX1jEkb+5OUv2eA58mrK4EdQ0g7w0f47Hw
YdSkRh7+ZEeGZ9mn8yL+0EFlauWn/P0WfM+UE6/7S8EDFvcdrikykDPC0LKf
awhOcJg0VfBUQGCchJbYDBFNrB88eL23FZWk7n/sd2HCbH9BZ898H15lHLcX
4UmEdzbavFxCLTARJv1Mk0CDjE9LSdfY+nFTpjAL245yMGBVS867ywTFkfMh
HtQe9Ce/SEoc+opXeqdV3tW0o1BwqWr1QSb8GhKw5w6pwEHoftwl1QMHPr/K
dHZPx19dP8cKgpsx4sjvTM9QGrpMrb/frDWBWlMcgWanilH4bo+H4IdykMyt
mplPGsN6izdnFu/kYdmmuErP8QGwX85y/zWXBda9J3OMAodx65mcpwMaDPQ+
cz3s7LVRCLd6Wnm8vgC6rhzpzsyMx8Yeww3KcyXwJqzLrI84iiEfjhks8DXi
VHi1qXzYZ1zeMepTFk/AryXCP6J5R9Eu+u+pMRE6WFeW8uxyG8ZHFU/1K69V
4qqVaKpCYi/+smTL2iBWiTclpHlXdEdgtPig5e81fnU7n2t+ez8JB39X9AnN
tINixm5aU0MhSkz3thx5QILV35Jeg3zd8LYkssGLpRLl1PI59hSMocamZPYV
/QbsVFaKT8vtgQAFvsw9t9Z2hcP4jU0WFfpWDhEbuVowqMj6zOz3cWit2+m5
8IsIhMscR+fOfgUfv1cXX8MgiDq41z75tuZzSbl2JRJVsKkrWf3JrRogBZnn
HInvAOfWWelqgTz0MK3+/gV7QUwkIdWtpBuDWuV993YnA2WX4/lOSjDo7/13
L6iNBHI6Fqd0RIchMo9T8rNBF4a+Hp75md4N578sR6kn5YHIo72qzQLDuKA2
WnLWOhs0d3DOhh4ZwAuvhTZEN9eCT2D5r5972qHH2C72kRQTdizqduwP70I1
pwvzBhv6QJVjMtVTkQ5aGwPUDNsKUP/HnYgftkMgfV727PVTTNCsevzgp/cQ
DP4QjKm51w4OzT+3Kl6k4uIroaFQiSzwEM1YsljuhH+r+j7v7KbwycKmuedX
2iDLzEbenOIFGbmGRBzrQcW3z6+rrQ6Bx+VL6k+LOtb6j12OYd6EOVO8LPIK
a55w1GLNjCn4SXz7xjO8PSDR09Rj4dkF6fFQubLWI3RL1Y4vVRR0qo7iJ2v2
YOMtTiP5/C5ccPh6s+D72j2k7jg38qoFh1ViHPv+1mDj7rOvjTYOAPnT1ITu
iRzoNoo+L6XGhKo8ej7/djo2h/bsH++pBEnSWInGB3/0eL/PN+QAGYuPWJAK
hyZAYeiFi3lnHTr1Ji4JrnE2p8LfkF1uRHzhHm+zfus46IuUdDGVv2Pug6RB
DnYmRj0VUWltaoVGkR7lphslcPRxQvHxbfX44OOhYK6XkyBoFypTfIaOGX9b
bG91DgApIk1F7lM7DJ8M3Rb8nApnbj4/3lbehhIJGmGaGe3Q5yl0VfNhOd5+
Iyhgy2gE52ly9PH5MtjWQfrBSGmHbNoyUZswAW9/Wm+6wCwHlcdMs5L0Ovzz
8uW3mq9t8CBazVa3cxo0qYmk9dbtOF7XtfRKl4zWflEBjPBWDNWGP28/9mKr
sqnwoGIH9AWeaJbaNgah16nj7xx7cPIe1F+yqYE48c1n3w0ywUGx/U/eAzpq
Ra+716+QgzFE7eWmg3RMW/a7GKpYCB6lfx6lUPtAOczib6DSOB6IDvjbZ5eM
Bt09hgcr1vrt4fqTAms+kFIiemIklYoVkkuNFh9pqDDW02+U1YyEDftWbwxR
sL+2+r/msHLIVDI0W/MBUMhvvoSvK+A0bcqmrIoB2yyfFkcc7sSMwtv0xVoC
PhA6qVVpSgHugJujE7w0iDT59a2WnQy1PUVVYw97ICvl9mf9W69ArFI0bfMi
EZ7wJPNEkWvAj9vrpy9Q4NWDY/nNnlQsK6t49WiaDE+7X57V9qejzxsVG5I9
GYNcerftCRqFvoeL900dm4BgbJx7LPwrXHj3adNfnnLwcTHUUAnohFznC8er
7o5CfRTHTHByARInPzY+mWrEK1JTS9O7CdC87+Yc0hpAXfnOnK8QA2V86nTH
7Nsh/OJG9TdcJTAu98Lh9lQJCsxoxdGUSbjuz328V0xD+6EjVxtu5aL4rfSH
OQ+rYKwgJMxYlIJEY+cUwd3l+LXXWHcrSzzG8t3/+tC+H7TlFYpbPlYCwfpd
zl6FDLiobEO0ZZ3CeZY4O+lPDWgze3H8h/4ASkyEspg8GgKzGwk7zu1l4FiM
4T4OizFoV7OjjPt8xQ0aLxmfT9VgnwhRoVa4HBNsAyy8vs8Av8OATdjXBqy0
P5H2x5oMRUca8++u68OpFsvA4tER9GXmmRQ+LYAUBcE207sMsG/dFLSLh4iW
JxNrjh8YgJG7+HRBhQA3nO/FfA+kI7HdlCVXoxksxp6oWxFCIfRsqvMgay94
E+1OyTnNQDD1ZtOvNU/kEzBiGMh8waFtpjP6x6fQlRL9i8O0AARsq/Zv6e0G
67cZ31a/twHb8A0m240WZGdLf7/C7IHlEz3KqQntEOuTvm7/vy44Mh+2s+Yi
ExwVWLWdhsZxR65fUWoTES/F8To7+7xD49Wv5/a0hWFSy7N9at50LHZM7gqP
bAKXqoNbn41Poo3Y67dHwwiQZHn11D6Oehx27Dzg2MgErbo3iu9fFqH8vfPr
WVM7ccEyWVmFsxcnKVKt9yKawOnynmnF/i4Mo+rYH3k+ihK++4Qu85DBj3dG
dpp9bV/ozSyMl03I2Ckty326BZ/esv5k5M1EARsdnmyHbEy+H9vtWTAAXSlX
E8Y+ZCJhx5Y4YKWisUXwFYnLQyhAymq60NUDw8cOsYo/rYTVbkO7p3ntcLdg
bN3DoySoMdj52m6gFiwnszPu3OtAeZ9yfq0bJNz6RuH271g6xDZnVMcvrN1P
1cYZJ1o1jP80Hd0oVABfVDUeLN8oh/GtvQc4t3Xg3LZe0Sf2E9gfBFaXBWuh
hnPljFl+NbqEbc+08GUiG5u2vFx5HWZco7jdl+uBMLraLIviJDKmM8ZTJCqw
ccanWDeRiOM8AbUXXnZDzpNVV+XKGjQJm3jYv7sZNBq20MZsaKCVU5dcrPsN
myhKug2qNFi+puqvHNIObiNege3WBBTwIG8aO/AdxMPN9r8xYwBnU8J92eck
nLy7VEm3/AqCpd5X4hJGcflVRtUtFTKq6TRWtG7rAOHO+/F9tW1YLqGtn+L8
HP5xD+3MmKTC3f7g7Z2f+3FS6e2FGtMK8GktH843JkCnwISf62gvNAo5LQ3e
68bBrJQG17R+4Pwn5Pj7RTG0asorDDCHIKaotfD9LAPt62s62ZVy4aJjY+M1
nzEkSbzxvFlQBCtb6xRHbWpQr/GVzZTvODp3HivbLFUMlvk8C4JRZOCgR/9V
C8pBnfqm3yVqY+Dbf+XloGs2pCvTTflok3DtuGH6TFgibiCtXify1ALw5hzd
kTEK0yMHjpzK6QTbUmXIlXNHvRk+QbOJUbR565eYdIEAhOXtWc+NGEjuzOJg
jS6CLR7/LPf2dUBE6qknNjk0uNMwt3G2YBjdw5YU9r6vhNk9QmNd5mv+Ypol
yj8VgcWXLwz+XuOfGyP7DCozJ4E8YjzVwZsP0ZxbNyruf4KK3ReFz78rw6Fn
2fPd5VSwEeknZNl0g++/WnWf2lwwtXY6ef5TOaz3PutZ+mIGZFkbLjBMGlFk
UNKL/+wwyrtnNj1dIOLdjQl3llW6kTVLSfRSRi86tG2ONWPUQu3mLZx6OT24
OVRy8aMyFUNvaFzJyy6ESnq0jjpLB3zu2teY0TSMeuMmg4V2LTh67K8s9wgF
+ZIOax2cb8Dljg9pQuw9+CDPdnrhOw0/jtu6czVQcNq/7bDHDBlITsJW/rVl
mGt6ya8ij4qTwbpskhXJUEpc9T8nMArHLtS12isVgX6ghff627lA6JY2+8Kb
DJuLdin15U2hxl5Cpc7OBpTQ9Go55tOLER6RlE65YXSe2K0Vm5UP6amcjlQ7
CvqMOyRELPYCIcwx0OwaEy7XhIVGB1NBNP7bEZ5JGniJ8ircDSIiV9TAp51/
mbivY+dsoVcjzt1jGEgnUUFz9IBx/xrXU5NPnSxxGMEapwqp8qFqTPOofX5+
PgvKIw4et1F4C9sqg/SiRzswQumO6Tp9OkjQCeTTT0iwn6jWv/LuC6i479qx
WFuJRcJRF65cHMA5V42hLskRIMZHjTzmLIejDR4a0reasCt3bPvj6xm47UNU
eXkNCTi4v7GH7s/HwerXVqdvdoF91InW8wt5IJjXVKv+YQwWZAird94QofOP
loC3Rg+ceU/LM9NuQgUCgXnyUCWKC5OT33k3wj3UO1yhlwpNN+ZkpV7TYEdH
V8BYcR+MCDwq/LQyBH62kg2L/SMQtpX5mf3GGOZl6LLwrnmWkcJu7ePl0ZAe
+bD2IXsLzr3I+NfvTIfVUOefxaFd4BYVM6oSNAj1A1/lfNUL0exMyMtD6aNo
UdkZGZhlAG/fxbnHV9JAw09djLhERQHGqdeMnYj7Xmre3a/Uiibm3/f8nm8A
fQNTjmXr73iLsrV58PoEZO12/+e50xOWMqDKpXkU0iwjZRsielGsi6ljVNiJ
NZ++CYnYNIPUkfc686plqPd48zPVoQrk/NlFteLMA/VY2NM7Q0HHX86SXiQa
nD/ou3z/TzZMOcx/5Ixj4GXXN0fr7jOwN8KI2rgpHK9EhOVcYGvHF4Uh9o+e
MODxWfPQvos0OPUHJ2g/iaihGci6+1wT1oTckW+xYkLk11rd30NDWDRsemY6
tB3f9p9rNSgfwdszYrFU7kY4btty+mhPF/KbioawvKPAkFqshmzTKBTvzHws
tb4RHDfHhgborHFGUJRcukAvzj8s8tPUasMjLplEvvRhLOx9e8bQnYECAfJH
Lnfkw0KJXPkMO6IDV/1j7TXv3jquVrrZgI6n6fPL8vkM/KLHffFzcTMYbZZL
8Fuh4DjNa2GfciesrPOf1xucgP3zH+X2rk8GgsSX+n0FHyHPdeem7D8dMNDU
yq/wgYYk3YO8Y9eKcMcj51tv2Nc8zlA76tn5QTAa/w3igTSoHTjDLy/fD0Un
gqvOH+/A83Hf41UzC8Fq9Gr2kR91OCFY4np8rh5CzOccztBageGoPpT/ux6d
DDdlaN5qx096O1K5DhDA1qFB1fJvFs6/+GfwKbkGxe2X2xVzauHCGw8pnsvl
kHYlPHPPlhI02Uf1FjpCw7Cux3G6rRQIFb+nZ65XDJfNRZQy7tCA6fC4cuVq
KSpY2RZUxDej+cxg+G++PnRa5r7IJt+OH4TaIqZfDsHdGHYz0fFebBfeX1qo
8xl7CApXeN/Ewfqp2WdRRCpWx6YcTdde43I1V8vBxl7Iq81RCr2dhVMn9/YM
FjCwuLp/4o1FMzhZhnZI+LRDwqxKf2kyBXJ1kvl2eo2h2sm7j19HdaOgzsY2
jv/oQHKtyXv/vhCqmIOqGc4MXNi1L4FwsB/yCwXNvzYwwC6D83CpAQ02vZ5w
KstpgJqDZf8K99Zi5O44t4TrA+Dzt38Ip/rgIHuM587kbtji244bThPx9bXc
LZc3F6OxmJzmnPkAnt4xR/54ahhp9ttg7tsg5s7oqSiV1mNvUW+j/8YgjHVf
omdwk0H4Yb+Y7P42uHOo9XTx0hc88aFVJsuiCX7zXPCcfDgGTw/KlLz4RIUX
GUROLQoNRHsG8s/qUOHR1lX18YVykDJvFwxYzsc0z3tmUU3ZyHmH1PJ2Jh86
zUfvc0p04wPNw34uFVTgL3rP8tKzCkZuDS0ede2CYZJ+75mUKoxwlY/0m5+C
6MUiz/VZ1WAtXcYYelGORsErL/ScaDD4IoRLNYwMKdHk2JMqcRjAbudRnjUG
LNm7vNgVbSBkgud1fUE9er5hU/wDhyE7bsj8j/IUaHhfj+64Wb7m5TLvp44M
4p0dJoN1fSPILnE/p7ecCHpkNcqJ77UgssAVoZswjvoDZL/XX7+Bqrqd39x2
KhRMHWc1zcoFvePX716+Nox/S+r1BTcwwDDt/HxkehnIfMp+yu9WgpoGhS23
1vzTwnXgae3HWAhxAI4Z7QqUSK6udzkUCnHGrEf0ztDg3FDdQVnpEUwPMuR+
tIOO41bOLNXviRiSmS/uRCxHkshRi90GpfiydIdPqnED8vNy6eupD2MpN0hu
X2EAM0FsiCMnCwvdpErG9tHQbddN8i3jAbiXXOD0N/EjmOxW8XmnSofI06Ol
RTu6wIL/8HwUNQrW7Z5Tn8sZxjSDZpFo7w5Yt7Eq7poDExX1UjfJjpRAo7aV
1NLDLggVeeTAW7PmDWLl4VpzvdizHd88/T4Oztylw0+jB0Hg3OY7Dd8L4JyG
92gYGw0oj4gxc9/9YZvoZNYu6QGUjHuJh++MIEjmqh94TQGN6fbj7EnVKGz4
MvnGv0bkGQrW5BBPRIHAH9XsFvkgUro1J3dyEl7OrGgSoyvW+slCsGIlBcri
1aPXBw1i/dHnLlZXvuFKX7N32yMKsH5hu+p6vx2O096ZHckm4ryD+VGHYjpy
ti/oP2kahJtfFNQ0ZMdBPMihsnxbE+ZkWKt6pr9BNq5ThvIsNRjMNaaQmpeO
835lZnxyTeDVx35i4gcBh39ppBM5q1AjzpEj98gMLEqPiPL8KoRG4/+O2V0s
wANvxkfOiTNg0Ifqc/RqB3DJv1TnKGqDRq/gIcuRQlBzcSv8bNIDdVpilzX3
j0M2n0derTUdg2Pno8wvtWLCuqLe7axUOP7jHnX3eTKwjAe5/1I0QpI2LY0z
cQh8j6vKFrMVg9OeGVNTgw4UfqV1xDtiBLYKtRvO1NDBMrZf9NO7fmxUmP/n
c7kDHXaQ6zn5q1Aw1Dl20o4Krea7mOub28Ge+7OaOScZMpzC/qhdJIOYQlPY
CysCtkm02pC30vGXwPaKpcpGdGZztG3zL4Uyg+Vll7Z+9Jp+7+LNQ8JHbj1z
VxzLcbxsi2LjQgkIcKsNsrwmQkrr5zkt1hCsze6nxmZ04HQzUVolkAA7jk5L
vJci4NaYbZZ+d2kQKrBT1VW3A87/kzalZOWgU4n1+Y372+FHhl3XZvVMuBIV
uomYPIBOXFZLd73XfFPy47YJly4Yf1d0W/0cEYMuZhgc/zWC+34aMoNvV+KO
JUaRmQMJA/PT3pmkEqA341TTu++92PTS/49wfgWsWO1FbY9G/OujIqG4cQyN
tpor8LWHAhf56mTsWm5Wz/AGfDxBAGVHsfPfxCi4Z8LCTleCCqZm5bzHZCpA
hj0hGTL6sXP/fu3SuEFYlDsW/yZ3rbcERuwtYobQAPjUo7Vo2C45IMadlYKX
y2qFi5JGccpHpodDcgzymgQjOpmD8Gjk4mvF/mrk99tC4attgkfWR0WPsVFx
l1bujR9r3r+h18O0ObAKmqdJEt0nqqCR086MK74INbfW2uk79COrUuBn360E
vPvW2P96EBmSZR8k+9aSsFXURIX/KwkuiT1T/LVpAMQNa2pUAodh99+3Ih0i
wSjDss9UJ/sbSoTPk75IR0Oc1LGldbVUmLBJvzUw2AiB+32z3p7pBPEoDf2P
Gkw8/+W2ANt/xWgQIycrNDmBiRxikjpHWlH4fZf0VVIjDLyPOeaXMwxdRz4T
How2osy/Ah6XTbm4o3ZximViAL4xHO6l/EiDTL3+TWe7maAhbDtuUkOD+NEf
cg3O4ThD77y5Y42jfCN/fXQqygdC78mqgf+mIe+GrcnmiQ4Y0js43xM7jGoT
2Za7zTrgQAHfmF8yHUOvztGftPdgrBhr9/0vZJi8LSlqrJ4MUets99zjqcTe
gvQHE+kkbHKP5Z4MZoJ3WY7RXmk6qEWE/1vXQVzjS7kLyxt7cE+4s+M7Lgq0
mBriNfkRzHUNtjqiWIEP2haXv06O4rV1Hla3bJvx/Gml+pTrBIzypr4i3KlG
xkdIdNnUhlTzwydvrfmAyhObdp3dVTi997X+v1IiDLNRdM+aV6L9iqisx4Y+
qCgjuXr7j+M18f1t317HY87ALSkbHy/8Z32AM9WaCRuJ/jO/xYbhyjnF+pRT
vVC7JC5hxt8OoS8NPt3vzwaCqvJG1tvxoHxKfTYgZwzfKpnKNe0uhzvoceB+
WDqef6X2K6eChB3pH4q/nKHgBvXYtPgtbfBSUKlgSrccFaqQxFRqwwUmx4ER
0e+o5DQXPG8xCrveX5kw3zMAWQsvzm5fJkHUW3sO4ag1/54YWj0qn4XEvK5L
el7lcOvh7RuzXVRouFwjHSU9hr2ttf69QkHILdtGTgwfhdwvXqvjXsP4lk2C
K1RhDCm60Y6V9qGg/0Q1JWmYDGNKv5v63jEh9RP0biUUoK/CsZbz/xWgvciA
UVEbwm2JO87vWNtg0DktPLSJBFfdLVQFhT+DYuRt4cbqftDQis/tlWlAEQ4J
gfiVYbgY7en/Ip6GtI175vv4CChTjP9J320Hz4TkZ5lZz2Dp9Amyj84kfqD0
WbktrHE0z6CjtAYNtAv1CaEH6oC211SgqGsQ3v07/DQ5sAFiB5xDPa90QQhn
HstG2QbYDwasIrFV8Omm/qZnYf3oFOtwJ9SzE2oSZFdvfBjH29YNlOeBGVCs
Kusf7t2CDz+brQPXSkzfvkNoQqANOJ2X9my41Adkq6CKMnoefFAPHlh81gHO
0ueKXOVzsLPvxjaNF73o/vyAKNuZapC9ONvtr9aGi0Z9EzzBBTDc+PnO1bX8
hY7OXjW0KkQdW2Ero2UGzMuo9NFs1vw00/sv36dIGHCoeR4wNoq7LqvrU2k9
0OeiL7T95xget7OYlxoio8cJuaqZpg5oK2RMiHyl46ldb5Xb+DrxoHv27KFA
IhBSbnOUFn4B0Rpnz21baGC3d/BTwAEq8ub43qQpJsHevGlLIx0GZHX9S/EK
8wKT2J39/XoMPGM8vc/CsQUF7Asb7XuIIHuH3bL9XiN+m/8QwXPrE2SlqOJG
KR8Q9675IPuxGtQmRv7qepDBnBkXf247Gaw/+EjGGzWA+jfRmSuFo9hKffD2
qkU3+AgWdu4yJ2Pxgw6RAdFR+KugXZwRRcMO0xW3Rzup8MmXFho5RsBG9YYz
az2JM4+7Kpuv01HUJOHsqxMUeGTy5ZnKUCXKJB4S8OXOhQQteRm8tPa+WMni
eqceP1z3FjW4SkLx4xHDF0PW8i40pG12rxU5z0rknH7zDTKm7VOf2Q7AVedh
NknXYeB3K3vp/rcWwr9vtZpVL4N0B+XbqlxtEOKcIneZUgWXcxOKb5rQkDPn
pbnsl37cUR7smO/ZDzJWi1OaS/3owJGQeTi5HHSemv1h2UPB/RmKfBKl9eAk
/d9RqSIiul+StFEsbsPITDmOV/N92LMn7NOkHBMl9W5f5bcYxrDtYb7vx9d2
MuOOu9vPAsi3Wa0+ljWBPCc/RAVnJaH1NdHKS3uqUdVD++7ebDrsjElTWL++
FRTddhj+x1jj/J4g2+17BnE766370eo5ELu4a/jFcyJIxL7UOejbiS56hnR/
FgYUBu3dV/KFjtyvEvjZrk5hvOSYKf9QNJLevBMnlyNo1FsE4KMWqHovwp//
dQykJWe4DhyiYCPPn9ojnmQ4qXqjZdrnHXqffah1OnwEG9gji/xEqFDZKDOR
82AASVUqz9VDvgHJK+DN8+Is7N39ZOqM6gAWWv2Z5fajoPj7xH3Byo3Q2fCy
cvVqB/5LcLz9eN0o8BdvsJ5+0gZbA9Z3esyMY0Z/45N1f4iQU34sgP/BB2R5
A84cRj8g9EPSvzStEjDW2X86WDgUY9SfzO4poKNet0pzjWgraspHPeBvJmA4
v6/Yrh25wK/ynrf6TRvGyie+t4nrxhKf7WNZPdUwu6hvKpE7hFyr7R4EnWbc
0++ifmhmFPW52aRDLw4AS1DIHdFfu2H227jWhaku1LYniO3xrYEW8riZ6RkK
xDO2PinaGoWsolYDPeMd+KooDNIvUrA8XVoq98NrMJbPet2bvLYj/uLHJFWp
mHxBUfdcOQG4QJk//VwjWH6Y3y/i0gO7/wPhCkY46oW7fcicbsaEyu8X5JeZ
qGVo9lmzKx8rPA4LMTmoKLsna/lKKAVfp6hNXXuEmPByuaF5rb8FXbawVrQz
UbfFzWPmRTIOyxSQbpQ1o7BbauOG3+WYurp48exsDioOihwo/NQOy6wtLl9/
9UFJu+LR3rlyiLpYkZprWAO92v2rytRo3HY2Pnysvh0bJfUSH7wnYFqH1lL/
+1zQspzxjXmTg+rDDQme4lRsvPrf5r7HvTDzPX5IYc8E8G26MW9r+xVNXk+E
XcuswBrxZX+CyyTKpGqJf8/pQPE+7TsfyaMwHcV/Wp+DCG0KdN8APTqI+PLM
6jRPgNRmsYtKht/wSql0zXPnQdzynczOarvmDb/89D5/pIFg6zmHwJMM4F3P
62qimQnOX3b+dDEhQ5rrJ9WmF4W4ypV/94J1Dwa+391E8unG56bufR5GNHSY
frS/dw8V6xV6qkJ4C7Dxd/q75cVs1CBT6THiwxD2us/h2w8aWDeTxgN3VWPY
fLG3ZR0dBcwGy2trekEmR2Rs879cnL9lyX7LvBbYuimJe+wqMO7uu5GivTQ4
7augqTZJxexNkb9vPh4BlUQ2objQNrg4e0lWOmRtL+cKWzVv0NHXKi/jA0cJ
bnh+IP6QUCOU4GLYOWoz2C/yyLY9ycP1mYq6FFcKfnj765R+wgC0vdxXe2Bx
BLLmmgMPmK9xtlym7H836OD4cHDmWgEDDlYvvBrc1o1pb9lyGpgk9Lt9IO50
+TgEGVW0/Tn+BSxZD2etnunA+ZnC2G89zaia2Jj2qXYYiqZ3jw7wEZGT9mDM
OrIdSe0n9c6PFaGAXHB4GEsHdPWWKN/li0eZ146XOzhLgP8VBPq5jWDR458P
ipN6Mbxg2e5QjzPU68RQM83LUCF3g+70lnr8H3z+UPY=
     "]]}, 
   {RGBColor[0, 0, 1], Line3DBox[CompressedData["
1:eJwUl2cgVu8fhxWpNCgr0vipJC0JDfKlrFKRjCgjIaNSklUkShIhexQle2bv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     "]]}},
  ImageSize->{402.0448650105492, 393.3151955034771},
  ImageSizeRaw->Automatic,
  ViewPoint->{1.4695539579752825`, 1.959179079181083, 2.3349579225969657`},
  ViewVertical->{0.18312294753047148`, 
   1.0028692776415238`, -0.08088203615928853}]], "Output",
 CellChangeTimes->{3.747964925646392*^9, 3.7479650252637577`*^9},
 CellLabel->
  "Out[118]=",ExpressionUUID->"b22487fb-4721-4787-99c0-1a05677830ca"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"xyzRules", " ", "=", 
  RowBox[{"makeXYZnumRule", "[", "mxxmat", "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.747965323887561*^9, 3.747965355672237*^9}},
 CellLabel->"In[39]:=",ExpressionUUID->"e2b10a47-cb5f-41f3-bb41-cdf9e63b480c"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"x", "\[Rule]", "19.80040087108702`"}], ",", 
   RowBox[{"y", "\[Rule]", "57.87893200818067`"}], ",", 
   RowBox[{"z", "\[Rule]", "63.95594384251338`"}], ",", 
   RowBox[{"a", "\[Rule]", 
    RowBox[{"-", "49.62834961497098`"}]}], ",", 
   RowBox[{"b", "\[Rule]", 
    RowBox[{"-", "120.85089961840382`"}]}], ",", 
   RowBox[{"c", "\[Rule]", 
    RowBox[{"-", "150.95514832221514`"}]}], ",", 
   RowBox[{"aa", "\[Rule]", "62.52090928330336`"}], ",", 
   RowBox[{"bb", "\[Rule]", "31.495249753319456`"}], ",", 
   RowBox[{"cc", "\[Rule]", "20.297588699225543`"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.747965334521912*^9, 3.747965361027328*^9}, 
   3.748034628882169*^9, 3.748044439063122*^9, 3.74804581597584*^9, 
   3.748046463300568*^9, 3.748046624509614*^9},
 CellLabel->"Out[39]=",ExpressionUUID->"19481ce8-fef2-4b84-94ba-19e742ad262b"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{"eigenvecRMSD", "[", 
    RowBox[{
     RowBox[{"eigvals", "[", 
      RowBox[{"[", "1", "]"}], "]"}], ",", "x", ",", "y", ",", "z", ",", "a", 
     ",", "b", ",", "c", ",", "aa", ",", "bb", ",", "cc"}], "]"}], "/.", 
   "xyzRules"}]}]], "Input",
 CellChangeTimes->{{3.74796534726342*^9, 3.747965365030573*^9}},
 CellLabel->
  "In[122]:=",ExpressionUUID->"186b6ee6-41a5-4e26-a10a-38288e2c9f01"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", "0.7801817407216136`"}], ",", "0.15589179585019747`", ",", 
   "0.38997334490812374`", ",", "0.4636108170571119`"}], "}"}]], "Output",
 CellChangeTimes->{3.74796536558641*^9},
 CellLabel->
  "Out[122]=",ExpressionUUID->"b2191c0e-a6c0-4caa-8bd0-cd9d82ccdbc5"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"DynamicModule", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"q0", "=", 
      RowBox[{"{", 
       RowBox[{"1", ",", "0", ",", "0", ",", "0"}], "}"}]}], ",", " ", 
     RowBox[{"qopt", " ", "=", " ", 
      RowBox[{
       RowBox[{"eigenvecRMSD", "[", 
        RowBox[{
         RowBox[{"eigvals", "[", 
          RowBox[{"[", "1", "]"}], "]"}], ",", "x", ",", "y", ",", "z", ",", 
         "a", ",", "b", ",", "c", ",", "aa", ",", "bb", ",", "cc"}], "]"}], "/.",
        "xyzRules"}]}]}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Graphics3D", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"Blue", ",", 
         RowBox[{"Point", "[", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"QuatToRot", "[", 
                RowBox[{"slerp", "[", 
                 RowBox[{"q0", ",", "qopt", ",", "t"}], "]"}], "]"}], ".", 
               "#"}], ")"}], "&"}], ")"}], "/@", 
           RowBox[{"test3DPnt", "[", 
            RowBox[{"[", "1", "]"}], "]"}]}], "]"}], ",", "Red", ",", 
         RowBox[{"PointSize", "[", "0.01", "]"}], ",", 
         RowBox[{"Point", "[", 
          RowBox[{"test3DPnt", "[", 
           RowBox[{"[", "2", "]"}], "]"}], "]"}], ",", "  ", "Blue", ",", " ", 
         RowBox[{"Line", "[", 
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{
               RowBox[{"QuatToRot", "[", 
                RowBox[{"slerp", "[", 
                 RowBox[{"q0", ",", "qopt", ",", "t"}], "]"}], "]"}], ".", 
               RowBox[{"test3DPnt", "[", 
                RowBox[{"[", 
                 RowBox[{"1", ",", "k"}], "]"}], "]"}]}], ",", 
              RowBox[{"test3DPnt", "[", 
               RowBox[{"[", 
                RowBox[{"2", ",", "k"}], "]"}], "]"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"k", ",", "1", ",", 
              RowBox[{"Length", "[", 
               RowBox[{"test3DPnt", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "]"}]}], "}"}]}], "]"}], " ", 
          "]"}]}], "}"}], ",", 
       RowBox[{"ImageSize", " ", "\[Rule]", "Large"}], ",", 
       RowBox[{"ViewPoint", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
         "1.1992444069766546`", ",", "2.206755224494861`", ",", 
          "2.2676076008648076`"}], "}"}]}], ",", 
       RowBox[{"ViewVertical", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "0.4012888136356544`"}], ",", "0.8907982556256412`", 
          ",", "0.22426202643107188`"}], "}"}]}]}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"t", ",", ".86"}], "}"}], ",", ".75", ",", "1.2", ",", 
       RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}]}], 
    "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7479650915237093`*^9, 3.7479652154570713`*^9}, {
  3.7479653725037823`*^9, 3.747965506855668*^9}, {3.747965541517078*^9, 
  3.747965601404561*^9}, {3.747965651528837*^9, 3.747965673277687*^9}, {
  3.747965708871049*^9, 3.747965721116973*^9}, {3.747965753516335*^9, 
  3.7479657641547127`*^9}, {3.7479658308107452`*^9, 3.747965885893993*^9}, {
  3.748034710997707*^9, 3.748034745036731*^9}},
 CellLabel->"In[38]:=",ExpressionUUID->"d89683dc-c380-4a88-826f-a7a067403a1c"],

Cell[BoxData[
 DynamicModuleBox[{$CellContext`q0$$ = {1, 0, 0, 
  0}, $CellContext`qopt$$ = {-0.7809114044994601, 0.15196626112577977`, 
  0.38696590537396347`, 0.4661984790625565}}, 
  TagBox[
   StyleBox[
    DynamicModuleBox[{$CellContext`t$$ = 1.006, Typeset`show$$ = True, 
     Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
     Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
     "\"untitled\"", Typeset`specs$$ = {{{
        Hold[$CellContext`t$$], 0.86}, 0.75, 1.2}}, Typeset`size$$ = {
     576., {269., 275.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
     Typeset`skipInitDone$$ = True, $CellContext`t$1277275$$ = 0}, 
     DynamicBox[Manipulate`ManipulateBoxes[
      1, StandardForm, "Variables" :> {$CellContext`t$$ = 0.86}, 
       "ControllerVariables" :> {
         Hold[$CellContext`t$$, $CellContext`t$1277275$$, 0]}, 
       "OtherVariables" :> {
        Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
         Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
         Typeset`specs$$, Typeset`size$$, Typeset`update$$, 
         Typeset`initDone$$, Typeset`skipInitDone$$}, "Body" :> 
       Graphics3D[{Blue, 
          Point[
           Map[Dot[
             $CellContext`QuatToRot[
              $CellContext`slerp[$CellContext`q0$$, $CellContext`qopt$$, \
$CellContext`t$$]], #]& , 
            Part[$CellContext`test3DPnt, 1]]], Red, 
          PointSize[0.01], 
          Point[
           Part[$CellContext`test3DPnt, 2]], Blue, 
          Line[
           Table[{
             Dot[
              $CellContext`QuatToRot[
               $CellContext`slerp[$CellContext`q0$$, $CellContext`qopt$$, \
$CellContext`t$$]], 
              Part[$CellContext`test3DPnt, 1, $CellContext`k]], 
             
             Part[$CellContext`test3DPnt, 
              2, $CellContext`k]}, {$CellContext`k, 1, 
             Length[
              Part[$CellContext`test3DPnt, 1]]}]]}, ImageSize -> Large, 
         ViewPoint -> {1.1992444069766546`, 2.206755224494861, 
          2.2676076008648076`}, 
         ViewVertical -> {-0.4012888136356544, 0.8907982556256412, 
          0.22426202643107188`}], 
       "Specifications" :> {{{$CellContext`t$$, 0.86}, 0.75, 1.2, Appearance -> 
          "Labeled"}}, "Options" :> {}, "DefaultOptions" :> {}],
      ImageSizeCache->{623., {313., 320.}},
      SingleEvaluation->True],
     Deinitialization:>None,
     DynamicModuleValues:>{},
     SynchronousInitialization->True,
     UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
     UnsavedVariables:>{Typeset`initDone$$},
     UntrackedVariables:>{Typeset`size$$}], "Manipulate",
    Deployed->True,
    StripOnInput->False],
   Manipulate`InterpretManipulate[1]],
  DynamicModuleValues:>{}]], "Output",
 CellChangeTimes->{
  3.747965604172617*^9, 3.747965652296897*^9, 3.747965722792598*^9, 
   3.747965755251143*^9, {3.7479658373089*^9, 3.7479658868833523`*^9}, {
   3.748034723246696*^9, 3.74803474786406*^9}},
 CellLabel->"Out[38]=",ExpressionUUID->"6a04059b-0b6b-42db-b840-4d500ff7d195"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Large scale data sets:  1000 random data sets all \
agree:",
 FontSize->24,
 FontSlant->"Italic",
 FontVariations->{"Underline"->True}]], "Subsubsection",
 CellFrame->{{0, 0}, {0, 3}},
 CellChangeTimes->{{3.7407528397253513`*^9, 3.740752844248927*^9}, {
  3.74075294010045*^9, 
  3.740752949838353*^9}},ExpressionUUID->"5633cef2-0f09-480f-9076-\
c5aac8ec7c2a"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{
    RowBox[{"test3DPnts", " ", "=", " ", 
     RowBox[{"build3DPntdataset", "[", "100", "]"}]}], " ", ";", 
    RowBox[{"Dimensions", "/@", "test3DPnts"}]}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"Returns", " ", "a", " ", "Test", " ", "set"}], ",", " ", 
     RowBox[{"a", " ", "Reference", " ", "set"}], ",", " ", 
     RowBox[{
      RowBox[{"the", " ", "TestInit"}], "=", 
      RowBox[{"jitteredReference", " ", "set"}]}], ",", " ", 
     RowBox[{
      RowBox[{
      "and", " ", "the", " ", "global", " ", "quaternion", "  ", "q", "*", 
       "TestInit"}], " ", "\[Rule]", " ", "Test"}]}], " ", 
    "*)"}]}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.741702750378648*^9, 3.741702831601412*^9}},
 CellLabel->"In[40]:=",ExpressionUUID->"8e9cc16e-203c-4fba-a4c2-e0561c8fdf81"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"100", ",", "3"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"100", ",", "3"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"100", ",", "3"}], "}"}], ",", 
   RowBox[{"{", "4", "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.7417027641923723`*^9, 3.747998902464642*^9, 
  3.748034800642084*^9, 3.748044439123995*^9, 3.7480458161727962`*^9, 
  3.748046463365005*^9, 3.748046624615847*^9},
 CellLabel->"Out[40]=",ExpressionUUID->"f7bde9ef-3bc9-4ebc-96ec-462648b30834"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Graphics3D", "[", 
  RowBox[{"{", 
   RowBox[{"Blue", ",", 
    RowBox[{"PointSize", "[", "0.014", "]"}], ",", 
    RowBox[{"Point", "[", 
     RowBox[{"test3DPnts", "[", 
      RowBox[{"[", "1", "]"}], "]"}], "]"}], ",", "Red", ",", 
    RowBox[{"PointSize", "[", "0.02", "]"}], ",", 
    RowBox[{"Point", "[", 
     RowBox[{"test3DPnts", "[", 
      RowBox[{"[", "2", "]"}], "]"}], "]"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.747998873042198*^9, 3.7479988939997253`*^9}, {
  3.747998930123764*^9, 3.747998949093569*^9}, {3.7479990295271482`*^9, 
  3.747999054786581*^9}},
 CellLabel->
  "In[140]:=",ExpressionUUID->"136051aa-71b0-4671-969b-49f0e8365b5f"],

Cell[BoxData[
 Graphics3DBox[{
   {RGBColor[0, 0, 1], PointSize[0.014], Point3DBox[CompressedData["
1:eJwN0/kjFAgfgPFx7qoo2hI6FGoVbffh+k6hSIsmShRCqN6USeiQs9yyOSp0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     "]]}, 
   {RGBColor[1, 0, 0], PointSize[0.02], Point3DBox[CompressedData["
1:eJwNlnkgFIgfxclRlErtkjPr6kdpV1rC8l2kNc5k1JYoFTbHKiUtonVHapew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     "]]}},
  ImageSize->{393.15812262312136`, 343.18295651883165`},
  ImageSizeRaw->Automatic,
  ViewPoint->{1.288889857419656, -3.0654713220788774`, 0.6258182715075677},
  ViewVertical->{0.24655609426470157`, -0.39447529960056466`, 
   0.9727613630513919}]], "Output",
 CellChangeTimes->{
  3.747998905312956*^9, {3.747998944715493*^9, 3.7479989495548353`*^9}, {
   3.747999049914762*^9, 3.747999055403813*^9}},
 CellLabel->
  "Out[140]=",ExpressionUUID->"3175965b-1130-4561-9387-edab6ae69dd8"]
}, Closed]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"large3Dmats", " ", "=", " ", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"makeMxxmat", "[", 
      RowBox[{"makeExxmat", "@@", 
       RowBox[{
        RowBox[{"build3DPntdataset", "[", "100", "]"}], "[", 
        RowBox[{"[", 
         RowBox[{"1", ";;", "2"}], "]"}], "]"}]}], "]"}], ",", "1000"}], 
    "]"}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.747999506613854*^9, 
  3.7479995087214737`*^9}},ExpressionUUID->"34b67f07-bd0a-4fb3-94ce-\
a9bb6c958055"],

Cell[TextData[{
 " ",
 StyleBox["Build 1000 random examples:  3D Data points and their  4x4 Profile \
matrices M.",
  FontSize->16,
  FontWeight->"Bold"]
}], "Text",
 CellChangeTimes->{{3.747999573924474*^9, 3.747999613356421*^9}, {
  3.747999781846671*^9, 
  3.747999806534737*^9}},ExpressionUUID->"d567c3cc-2ab5-41d4-9847-\
34021459fb06"],

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{
    RowBox[{
     RowBox[{"test3DPntSets", " ", "=", "  ", 
      RowBox[{"Table", "[", " ", 
       RowBox[{
        RowBox[{"build3DPntdataset", "[", "100", "]"}], " ", ",", "1000"}], 
       "]"}]}], ";", 
     RowBox[{"large3Dmats", " ", "=", " ", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"makeMxxmat", "[", 
         RowBox[{"makeExxmat", "@@", 
          RowBox[{
           RowBox[{"test3DPntSets", "[", 
            RowBox[{"[", "n", "]"}], "]"}], "[", 
           RowBox[{"[", 
            RowBox[{"1", ";;", "2"}], "]"}], "]"}]}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"n", ",", "1", ",", 
          RowBox[{"Length", "[", "test3DPntSets", "]"}]}], "}"}]}], "]"}]}]}],
     ",", 
    RowBox[{"large3DPnrules", " ", "=", " ", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"makePnNumRule", "[", 
        RowBox[{"makeXYZnumRule", "[", 
         RowBox[{"large3Dmats", "[", 
          RowBox[{"[", "i", "]"}], "]"}], "]"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", 
         RowBox[{"Length", "[", "large3Dmats", "]"}]}], "}"}]}], "]"}]}]}], 
   "}"}], ";"}]], "Input",
 CellChangeTimes->{{3.747999476286375*^9, 3.7479994860899553`*^9}, {
  3.747999521765542*^9, 3.7479995560819817`*^9}, {3.747999631323822*^9, 
  3.7479996892813873`*^9}},
 CellLabel->"In[40]:=",ExpressionUUID->"821de0ef-6dc4-45ce-956b-a5fa6db15805"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Dimensions", "/@", 
  RowBox[{"test3DPntSets", "[", 
   RowBox[{"[", "7", "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.747999408250415*^9, 3.747999415922038*^9}, {
  3.7479997255134697`*^9, 3.747999761712181*^9}},
 CellLabel->"In[41]:=",ExpressionUUID->"a9d95730-c4ab-4fd7-b0fc-ba5154d28e80"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"100", ",", "3"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"100", ",", "3"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"100", ",", "3"}], "}"}], ",", 
   RowBox[{"{", "4", "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.747999416541449*^9, {3.747999738258945*^9, 3.747999762060048*^9}, 
   3.748034823239118*^9},
 CellLabel->"Out[41]=",ExpressionUUID->"17828a5e-3a30-4d1f-8bc5-758917d5f772"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Clear", "[", "large3Dmats", "]"}]], "Input",
 CellChangeTimes->{{3.748034835609612*^9, 3.7480348544242897`*^9}},
 CellLabel->"In[43]:=",ExpressionUUID->"0ff46c66-a2c3-43c5-a824-7483a63c9732"],

Cell[BoxData[
 RowBox[{"Save", "[", 
  RowBox[{"\"\<Many3DPnts.m\>\"", ",", " ", 
   RowBox[{"{", 
    RowBox[{"test3DPntSets", ",", "large3Dmats", ",", "large3DPnrules"}], 
    "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.748027561637319*^9, 3.748027608102839*^9}},
 CellLabel->"In[42]:=",ExpressionUUID->"c0e7bad0-aeab-4314-a64d-2231a4c3b14c"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Get", "[", "\"\<Many3DPnts.m\>\"", "]"}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.748027624583214*^9, 3.748027639154718*^9}},
 CellLabel->"In[41]:=",ExpressionUUID->"69a50375-0715-4c8f-be0c-327d81478cb1"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"large3Dmats", "[", 
  RowBox[{"[", "2", "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.748027618971663*^9, 3.748027620498691*^9}},
 CellLabel->"In[45]:=",ExpressionUUID->"54619296-7bec-4fc3-b587-6efd4a300d2b"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "50.16264004871917`", ",", "1.1712274117640105`", ",", 
     "0.029115874161719124`", ",", 
     RowBox[{"-", "31.201011820172752`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1.1712274117640105`", ",", 
     RowBox[{"-", "23.466597565489906`"}], ",", 
     RowBox[{"-", "1.8992258513013862`"}], ",", "1.6879170232853409`"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0.029115874161719124`", ",", 
     RowBox[{"-", "1.8992258513013862`"}], ",", 
     RowBox[{"-", "12.58598696015676`"}], ",", "0.2577636397463771`"}], "}"}],
    ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "31.201011820172752`"}], ",", "1.6879170232853409`", ",", 
     "0.2577636397463771`", ",", 
     RowBox[{"-", "14.110055523072504`"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.7480276209336157`*^9, 3.7480348650836906`*^9},
 CellLabel->"Out[45]=",ExpressionUUID->"9a9e5c9e-3c11-4505-ab3a-10e46cc7b333"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Plot the data sets", "Subsubsection",
 CellChangeTimes->{{3.747998460538745*^9, 
  3.7479984639948072`*^9}},ExpressionUUID->"6cdeafe9-13c0-441a-8a6e-\
ac1adb4b4320"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"DynamicModule", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"num", " ", "=", " ", 
      RowBox[{"Length", "[", "test3DPntSets", "]"}]}], ",", "testPnts", ",", 
     "refPnts", ",", "startPnts"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"Manipulate", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"testPnts", " ", "=", " ", 
       RowBox[{"test3DPntSets", "[", 
        RowBox[{"[", 
         RowBox[{"n", ",", "1"}], "]"}], "]"}]}], ";", 
      RowBox[{"refPnts", " ", "=", "  ", 
       RowBox[{"test3DPntSets", "[", 
        RowBox[{"[", 
         RowBox[{"n", ",", "2"}], "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
      
      RowBox[{"startPnts", " ", "=", " ", 
       RowBox[{"test3DPntSets", "[", 
        RowBox[{"[", 
         RowBox[{"n", ",", "3"}], "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
      
      RowBox[{"Graphics3D", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Blue", ",", 
          RowBox[{"Point", "[", "testPnts", "]"}], ",", "Red", ",", 
          RowBox[{"PointSize", "[", "0.01", "]"}], ",", 
          RowBox[{"Point", "[", "refPnts", "]"}], ",", "  ", "Blue", ",", " ", 
          RowBox[{"Arrowheads", "[", ".03", "]"}], ",", 
          RowBox[{"Arrow", "[", 
           RowBox[{"Table", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"refPnts", "[", 
                RowBox[{"[", "k", "]"}], "]"}], ",", 
               RowBox[{"testPnts", "[", 
                RowBox[{"[", "k", "]"}], "]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"k", ",", "1", ",", 
               RowBox[{"Length", "[", "testPnts", "]"}]}], "}"}]}], "]"}], 
           "]"}]}], "}"}], ",", 
        RowBox[{"ImageSize", " ", "\[Rule]", "Large"}], ",", 
        RowBox[{"ViewPoint", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
          "1.1992444069766546`", ",", "2.206755224494861`", ",", 
           "2.2676076008648076`"}], "}"}]}], ",", 
        RowBox[{"ViewVertical", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "0.4012888136356544`"}], ",", "0.8907982556256412`", 
           ",", "0.22426202643107188`"}], "}"}]}]}], "]"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"n", ",", "1", ",", "num", ",", "1", ",", 
       RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}]}], 
    "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.747998475858832*^9, 3.7479985039252567`*^9}, {
  3.747998544765345*^9, 3.747998670516369*^9}, {3.7479987919439707`*^9, 
  3.747998848586031*^9}, {3.747998983212715*^9, 3.747998991010298*^9}, {
  3.747999098337411*^9, 3.74799911539986*^9}, {3.747999148399604*^9, 
  3.747999359353816*^9}, {3.747999818128154*^9, 3.747999826036942*^9}, {
  3.747999891217553*^9, 3.747999915290394*^9}, {3.747999948099264*^9, 
  3.748000026908115*^9}},
 CellLabel->
  "In[154]:=",ExpressionUUID->"bd3546e2-9108-488f-87f7-88822df47caa"],

Cell[BoxData[
 DynamicModuleBox[{$CellContext`num$$ = 
  1000, $CellContext`testPnts$$ = CompressedData["
1:eJwN1fkjFAgbAGDXapEOyVHsRiK0PsXKkV6plGNzfUqhJFklrbC5KrXlzBWx
ytHaHKWcucnrvoYxw5hxz5jLjCuE5Gh3f3j+hkfJ7Te760ICAgLu/xH+T/c0
acbvAQl9Kr9OB9d9hGwV041Uaz7Wy9o76Vwjg2ufzHH3IxFgLiXp86tVKxRL
k4JVxEpRaGL4g4UXDdZXg6n3hzkw6S1a9dMcG0kOjZOLB4qxokRwzuUyE9Q4
NVWxlCbYR9g5tEekHZWCatG+m4Q1ylviiEXDMC+lTQj4iQGm35l93VVFhiG1
SmaZ0AA8brj7OVqAATfccr/tMufhKtdbvqojDWy2i6XlLRFwydFsd5IXD66s
aDko3CKgr7M4dasTCfpTykqVLTph96Nm7Q4jJnJ5lGc2eS3wLjepVthzEmpM
Sg1jdNtBMOORLc+vHYy9S3skKyh4ucvP50o+F47cz6c7y43jiX6JpZtubbAr
Z+LKkxKE2jsGXj9o52ByThLtmeYUbMnWJ+6oasODK/obqSep0PFcszKkk4M+
ckLz53+PxYm0fFdv1Q6M8aopDpxsx/AhrTNbWDTsHDFUU1Prh39CEyOCrgdh
ocro1r72EYwqsNj6sI+FfW3VVfSKBCwU0laTKSJCnHvrlvP9bTDHdXlO+icL
G7IV+X+1U4G6QPCRUC6BEA2hY5VZHAxONvhjbJMKJqJ7CGod7ejl8pyqP87E
VWuJI1US5fD3zc+LA54j8KXRckQplIp9wlvtdqWywTOar38imQJ+MxqKZpEM
+Hhd85DtOQ5ojB9ou0qcgPaJ5Wj3sEEM11oyvx7PB8c+VeNTa90QuvPH+hjj
ZpReX89SWGnDx+9YUvcSSDB3RsnbRG0aLS6blVTH5WCKaJjXl+ZykNpxQSHl
wAByF9/Vq8h14PKBx867SI2wVr+QYKiei6ZzrXYc8U7I8E8as7Dphtkb2yvo
t1uw1lWQPl/NQBnZ1Oye7FbULd8i79w7ghtW9IUX6hQIOHCG/LqGgRZPmdzO
GDby49RX0XsCraa5SkChYbD+yqWAxAnQu1VQd/ntEFaK/OVakdAII8TE30sJ
FHx7RDYxTZGJHGZop03TIFCEW6Ln3wzAL8kTus1XmXhQ9OiL9D0ktO+tcRJ3
6EBGEplq2srC0fn9IbO2dfDehtbJiyLDTZfma7UivRjuLLA5JsTHUeEfPGOe
DyAh4okYyZ4Bx83CTHnyCA8v6cWTw9ho3lji08UkwIyP2OHAsQZ8Kfgp19OL
BVVV8X677bmwb2jj09PSJ6CZEW901IqJNJblltahcpxPa+CtmjXB3br13TuW
6BAs4q+rKzSMfJ3Y9IMdbGzo25PJ+jAIMy3bv/zvWQO+3/CbudMThwnGjCjF
tSj0EZ/W9Pv5FZRp3+vxc2TBY/+93+fyuGhzQeGU4aWnqCe9b6dk/ig4UVIv
tjVz4Xh5oYmj7iRk9obmFziPgftU/0O9Aipo0X27lYtoWBbs82HzNQeE/GyV
BFN6MaXptH8JjQb+ainJnx+8hQdsc7sVgwp4U9hZuZn6HhuQQlBUJMJ9Bwl6
0QoHGUaP7nhrvERfBY2Zku8ZuE/JoKlbdRQ/Ov9MuPGZjA0Xzvl8za/DjR/S
D6/ersV7da4iy15svJJfIFtnPYICD461RFkW4ur9LIm9mWVYJFmhaT3GQ7Pj
Gi7P87pwTuC0b4AzDx3JL6JU2dkY1kTeau3Rg9T9PQ07r7XiPY7Wqu6rBgiP
XUiUdZ9GvbziqppKLhgVnTh5OoUEqdWWsuYTEbCVVXpncYQKbNq2grwf6bDz
SIih40kGNCV7VEbF9kFxWpWhHYWJp3N+m/Qq64dwtmrRg1Ii3idF3lWLbYUx
fm7mteZyXDlseTTM9iNQfuyPa14eBLeos9qM6WyM6Ag2mLKmQJdqwVdxFzIM
VDoEaovO4FlWdHH7CzpULE+5BiiOwzuxzusXPFoBZfcrnONzIcXYUirYlIT0
SyfvT9u3gLceJcHPYxK5e7Nd9iURUOLX8atmf+eCzfQRxtmnHHCW4VmtSFMw
MvlmxfzNl/DwMHxaah8CijWBeex8Dn7cLJRKn56DoxdcpT+JjYPRy18tzbva
IFhRWU/QgYsmgSLfbudWgutlyzzJ2Fm0F0qYql7zxyfOIaOLuVNAyfC4Xe9T
i/4/m09l1lEwxLDE3XK9Hx0FfjIe9iVBiNEm9jmNgtY3owBdpWJI9PzkURBQ
jHVvZ3WsxVignq7AafmdCZG8O5LyX9lY+GzbaNgqBebVP6uXnX+KyhMBpS+H
+9BETpMs69uE5/Tj2xbV2XixjDOa/IqObUFKoXauo1Bu2OSlfoYFdrRMzdAz
DHA7NCYiHMICs83IJLmeboynBGhvy2qBXBmx8n8cJjGSGt3Omh6E0v6goHNX
WFhzr75ns7EfpGSoFUV3xtFhvy6DwKdDv38TX3CBAyIGKFCZNghHd2h7s6P4
QAyeCNXYXgL8bfqHSHUUsJEv100PbUVmyZdM8e+44P9YqP5jziSmjhp7vNVq
QVqYx8sDFY2gY7Nfb7fzJOYtpzOUM8iw4FQuN71QC/OdJ1UerHBhXoKouunf
AXGPgtiG6f+95SEhs8OjGVMZ8/G0WiYKvTFLV7GlAVpIFJD96TgjPy2bXZ2H
f6530I3PMmGjppp49gsRcmXvnkhl1yJdiXrolNsEWojeOJrlQMcgq1c20Qtj
KJhIf33w9nt0SCcsEkfYmGHUu2npRMGwCIa6sE0Txl1cucy5NArJh+8ZfzvO
APbIcOn/5yehY33WNkOShgrO5pRHyEPysXG3yJBcePZmqTriGwVUbiUfMzWY
h0gVz1TRlXbsVvRlv3j9AUxk5fSeeVOwiVzcLzbFA/Hw3pXzp9jQQNM6THiU
ir+khRH3jozhhccZymmHuOhqHBi/Rh5AXZ2NZY3lZhQo0jz7Rp6E23qfrNSs
dUFMz0LXrVk+Pm+6MSA9O4Tp5y3X9a5NQGBxXlJkSQz88VBP1mtgCpcY4eOh
yuVoaV2T8P56IwReedHzrWsQsxSszfXyWOh2Kl5dqZqM7/bpHKs9TkKB4lMt
dakfcKd0t/mg1Qy8J2b4xvb24MVzn+UGCeVYV1IrlreNj1fhl7w/1/pAv1ln
c+8OOnp0EC7GFjLhX4+4Hhw=
  "], $CellContext`refPnts$$ = CompressedData["
1:eJwVlHk8FAgfxkdNjjcxFUWr1rWlUjFkZfEjIpRGy7vU7NJBF2J3U5aVZIvo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  "], $CellContext`startPnts$$ = CompressedData["

1:eJwNk2k8FIgfhx1ZhaQbIVQStakcEftTiYQUKcdqW7lKoUM5FlmEaKlEfxRJ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  "]}, 
  TagBox[
   StyleBox[
    DynamicModuleBox[{$CellContext`n$$ = 1, Typeset`show$$ = True, 
     Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
     Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
     "\"untitled\"", Typeset`specs$$ = {{
       Hold[$CellContext`n$$], 1, 1000, 1}}, Typeset`size$$ = {
     576., {270., 277.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
     Typeset`skipInitDone$$ = True, $CellContext`n$921318$$ = 0}, 
     DynamicBox[Manipulate`ManipulateBoxes[
      1, StandardForm, "Variables" :> {$CellContext`n$$ = 1}, 
       "ControllerVariables" :> {
         Hold[$CellContext`n$$, $CellContext`n$921318$$, 0]}, 
       "OtherVariables" :> {
        Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
         Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
         Typeset`specs$$, Typeset`size$$, Typeset`update$$, 
         Typeset`initDone$$, Typeset`skipInitDone$$}, 
       "Body" :> ($CellContext`testPnts$$ = 
         Part[$CellContext`test3DPntSets, $CellContext`n$$, 
           1]; $CellContext`refPnts$$ = 
         Part[$CellContext`test3DPntSets, $CellContext`n$$, 
           2]; $CellContext`startPnts$$ = 
         Part[$CellContext`test3DPntSets, $CellContext`n$$, 3]; 
        Graphics3D[{Blue, 
           Point[$CellContext`testPnts$$], Red, 
           PointSize[0.01], 
           Point[$CellContext`refPnts$$], Blue, 
           Arrowheads[0.03], 
           Arrow[
            Table[{
              Part[$CellContext`refPnts$$, $CellContext`k], 
              Part[$CellContext`testPnts$$, $CellContext`k]}, {$CellContext`k,
               1, 
              Length[$CellContext`testPnts$$]}]]}, ImageSize -> Large, 
          ViewPoint -> {1.1992444069766546`, 2.206755224494861, 
           2.2676076008648076`}, 
          ViewVertical -> {-0.4012888136356544, 0.8907982556256412, 
           0.22426202643107188`}]), 
       "Specifications" :> {{$CellContext`n$$, 1, 1000, 1, Appearance -> 
          "Labeled"}}, "Options" :> {}, "DefaultOptions" :> {}],
      ImageSizeCache->{623., {315., 322.}},
      SingleEvaluation->True],
     Deinitialization:>None,
     DynamicModuleValues:>{},
     SynchronousInitialization->True,
     UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
     UnsavedVariables:>{Typeset`initDone$$},
     UntrackedVariables:>{Typeset`size$$}], "Manipulate",
    Deployed->True,
    StripOnInput->False],
   Manipulate`InterpretManipulate[1]],
  DynamicModuleValues:>{}]], "Output",
 CellChangeTimes->{
  3.7479993780712757`*^9, 3.7479998509455833`*^9, {3.747999893089226*^9, 
   3.747999917861722*^9}, 3.747999963599675*^9, {3.748000001953083*^9, 
   3.748000027403359*^9}, 3.748045334588258*^9},
 CellLabel->
  "Out[154]=",ExpressionUUID->"69a3b33f-d7a9-445a-81fe-c3031d6ce84f"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Check 1000 random samples\[CloseCurlyQuote] eigenvalues:  NUMERICAL  vs our \
ALGEBRAIC:\
\>", "Subsubsection",
 CellChangeTimes->{{3.747998449188052*^9, 3.747998453618819*^9}, {
  3.748000200355541*^9, 
  3.7480002264832582`*^9}},ExpressionUUID->"e3a62aed-486e-471c-8fed-\
4328f0611111"],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"large3Dmats", " ", "=", " ", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"makeMxxmat", "[", 
         RowBox[{"makeExxmat", "@@", 
          RowBox[{"test3DPnts", "[", 
           RowBox[{"[", 
            RowBox[{"1", ";;", "2"}], "]"}], "]"}]}], "]"}], ",", "1000"}], 
       "]"}]}], ",", 
     RowBox[{"large3DPnrules", " ", "=", " ", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"makePnNumRule", "[", 
         RowBox[{"makeXYZnumRule", "[", 
          RowBox[{"large3Dmats", "[", 
           RowBox[{"[", "i", "]"}], "]"}], "]"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "1", ",", 
          RowBox[{"Length", "[", "large3Dmats", "]"}]}], "}"}]}], "]"}]}]}], 
    "}"}], ";"}], "  ", "*)"}]], "Input",
 CellChangeTimes->{{3.728827714768053*^9, 3.7288278204261103`*^9}, {
   3.7290135775148687`*^9, 3.729013581978819*^9}, {3.729013614971999*^9, 
   3.729013708269033*^9}, {3.740752634984182*^9, 3.740752668669935*^9}, {
   3.7417028541385202`*^9, 3.741702855722075*^9}, 3.7479983814666157`*^9, {
   3.748000103854834*^9, 
   3.748000107963995*^9}},ExpressionUUID->"294394ec-bd31-4d85-8e0e-\
1ac1455e79ac"],

Cell[BoxData[
 RowBox[{"MatrixForm", "/@", 
  RowBox[{"large3Dmats", "[", 
   RowBox[{"[", 
    RowBox[{"1", ";;", "2"}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.748045412236655*^9, 3.748045434045246*^9}},
 CellLabel->"In[47]:=",ExpressionUUID->"dbfa0484-1b05-40fa-a7dc-8c0c3f06cd15"],

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Tr", "[", 
       RowBox[{"large3Dmats", "[", 
        RowBox[{"[", "k", "]"}], "]"}], "]"}], ",", 
      RowBox[{"Det", "[", 
       RowBox[{"large3Dmats", "[", 
        RowBox[{"[", "k", "]"}], "]"}], "]"}]}], "}"}], "//", "Chop"}], ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", "1", ",", "2"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.748045473126738*^9, 3.748045495500389*^9}, {
  3.74804556199783*^9, 3.748045563283669*^9}, {3.748045599464055*^9, 
  3.748045616475848*^9}},
 CellLabel->"In[51]:=",ExpressionUUID->"6cbff38a-16d8-4cfb-8cb7-249b1a0f36ca"],

Cell[BoxData[
 RowBox[{"large3DPnrules", "[", 
  RowBox[{"[", 
   RowBox[{"1", ";;", "2"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.748000178547567*^9, 3.748000182243346*^9}},
 CellLabel->"In[49]:=",ExpressionUUID->"039e613f-b6ef-42b1-9734-f6a65abf69ea"]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Compute  numeric  \[OpenCurlyDoubleQuote]Eigenvalues[mat]\
\[CloseCurlyDoubleQuote]  vs algebraic  \[OpenCurlyDoubleQuote]xyzEpsN[label, \
p1,p2,p3,p4]\[CloseCurlyDoubleQuote]\
\>", "Subsubsection",
 CellChangeTimes->{{3.748045717033736*^9, 
  3.748045773010448*^9}},ExpressionUUID->"ec6f4d1d-4a72-4110-8b38-\
8d59438807c2"],

Cell[BoxData[
 RowBox[{
  RowBox[{"numericEigVal4list", " ", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"Sort", "[", 
      RowBox[{"#", ",", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"#1", ">", "#2"}], "&"}], ")"}]}], "]"}], "&"}], "/@", " ", 
    RowBox[{"Map", "[", 
     RowBox[{"Eigenvalues", " ", ",", "large3Dmats"}], "]"}]}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.7290974676372137`*^9, 3.72909753042732*^9}, {
   3.729097565483745*^9, 3.729097642865425*^9}, 3.72909785584921*^9},
 CellLabel->"In[42]:=",ExpressionUUID->"115c6038-52f0-423e-8408-c252e6af1227"],

Cell[BoxData[
 RowBox[{
  RowBox[{"algebraicEpsEigVal4list", " ", "=", " ", 
   RowBox[{
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"xyzEpsN", "[", 
       RowBox[{"k", ",", "0", ",", "p2", ",", "p3", ",", "p4"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"k", ",", "1", ",", "4"}], "}"}]}], "]"}], "/.", 
    "large3DPnrules"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.7290974676372137`*^9, 3.729097578042824*^9}, {
  3.729097895016704*^9, 3.729097981162187*^9}, {3.740741354247929*^9, 
  3.7407413582240067`*^9}, {3.740789959922978*^9, 3.74078996321883*^9}},
 CellLabel->"In[43]:=",ExpressionUUID->"093a5f2d-09f4-4b09-b7f9-c2b72ef52846"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox["This is the  ",
  FontWeight->"Bold"],
 StyleBox[" piece de resistance",
  FontSize->24,
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontVariations->{"Underline"->True}],
 StyleBox[":   the Max Eigenvalue of M, where\np[n] is the numerical \
coefficient of the nth power of  \[OpenCurlyQuote]e\[CloseCurlyQuote]  in \
Det[M- e",
  FontWeight->"Bold"],
 " ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    SubscriptBox["I", "4"],
    FontWeight->"Bold"], TraditionalForm]],
  FormatType->"TraditionalForm",ExpressionUUID->
  "ef4039fc-a63d-49e8-a74a-a7112870f9a3"],
 StyleBox["]:",
  FontWeight->"Bold"]
}], "Subsubsection",
 CellChangeTimes->{{3.748000446400949*^9, 3.748000543210555*^9}, {
  3.748000573539015*^9, 
  3.7480005975123653`*^9}},ExpressionUUID->"73131771-3c6a-4cf9-8ffa-\
aeb13079a3f7"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"xyzEpsN", "[", 
   RowBox[{"1", ",", "0", ",", "p2", ",", "p3", ",", "p4"}], "]"}], "//", 
  "FullSimplify"}]], "Input",
 CellChangeTimes->{{3.748000374081326*^9, 3.748000388644969*^9}},
 CellLabel->
  "In[164]:=",ExpressionUUID->"580a900a-8723-4e24-9b29-d2eb1d24bf7f"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   SqrtBox["6"]], 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"\[Sqrt]", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "p2"}], "+", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"(", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             SuperscriptBox["p2", "2"], "+", 
             RowBox[{"12", " ", "p4"}]}], ")"}], "3"], ")"}], 
         RowBox[{"1", "/", "6"}]], " ", 
        RowBox[{"Cos", "[", 
         RowBox[{
          FractionBox["1", "3"], " ", 
          RowBox[{"ArcTan", "[", 
           RowBox[{
            RowBox[{
             SuperscriptBox["p2", "3"], "+", 
             FractionBox[
              RowBox[{"27", " ", 
               SuperscriptBox["p3", "2"]}], "2"], "-", 
             RowBox[{"36", " ", "p2", " ", "p4"}]}], ",", 
            SqrtBox[
             RowBox[{
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 SuperscriptBox["p2", "2"], "+", 
                 RowBox[{"12", " ", "p4"}]}], ")"}], "3"], "-", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{
                 SuperscriptBox["p2", "3"], "+", 
                 FractionBox[
                  RowBox[{"27", " ", 
                   SuperscriptBox["p3", "2"]}], "2"], "-", 
                 RowBox[{"36", " ", "p2", " ", "p4"}]}], ")"}], "2"]}]]}], 
           "]"}]}], "]"}]}]}], ")"}]}], "+", 
    RowBox[{"\[Sqrt]", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "p2"}], "-", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"(", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             SuperscriptBox["p2", "2"], "+", 
             RowBox[{"12", " ", "p4"}]}], ")"}], "3"], ")"}], 
         RowBox[{"1", "/", "6"}]], " ", 
        RowBox[{"Cos", "[", 
         RowBox[{
          FractionBox["1", "3"], " ", 
          RowBox[{"(", 
           RowBox[{"\[Pi]", "+", 
            RowBox[{"ArcTan", "[", 
             RowBox[{
              RowBox[{
               SuperscriptBox["p2", "3"], "+", 
               FractionBox[
                RowBox[{"27", " ", 
                 SuperscriptBox["p3", "2"]}], "2"], "-", 
               RowBox[{"36", " ", "p2", " ", "p4"}]}], ",", 
              SqrtBox[
               RowBox[{
                SuperscriptBox[
                 RowBox[{"(", 
                  RowBox[{
                   SuperscriptBox["p2", "2"], "+", 
                   RowBox[{"12", " ", "p4"}]}], ")"}], "3"], "-", 
                SuperscriptBox[
                 RowBox[{"(", 
                  RowBox[{
                   SuperscriptBox["p2", "3"], "+", 
                   FractionBox[
                    RowBox[{"27", " ", 
                    SuperscriptBox["p3", "2"]}], "2"], "-", 
                   RowBox[{"36", " ", "p2", " ", "p4"}]}], ")"}], "2"]}]]}], 
             "]"}]}], ")"}]}], "]"}]}]}], ")"}]}], "+", 
    RowBox[{"\[Sqrt]", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "p2"}], "-", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"(", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             SuperscriptBox["p2", "2"], "+", 
             RowBox[{"12", " ", "p4"}]}], ")"}], "3"], ")"}], 
         RowBox[{"1", "/", "6"}]], " ", 
        RowBox[{"Sin", "[", 
         RowBox[{
          FractionBox["1", "6"], " ", 
          RowBox[{"(", 
           RowBox[{"\[Pi]", "+", 
            RowBox[{"2", " ", 
             RowBox[{"ArcTan", "[", 
              RowBox[{
               RowBox[{
                SuperscriptBox["p2", "3"], "+", 
                FractionBox[
                 RowBox[{"27", " ", 
                  SuperscriptBox["p3", "2"]}], "2"], "-", 
                RowBox[{"36", " ", "p2", " ", "p4"}]}], ",", 
               SqrtBox[
                RowBox[{
                 SuperscriptBox[
                  RowBox[{"(", 
                   RowBox[{
                    SuperscriptBox["p2", "2"], "+", 
                    RowBox[{"12", " ", "p4"}]}], ")"}], "3"], "-", 
                 SuperscriptBox[
                  RowBox[{"(", 
                   RowBox[{
                    SuperscriptBox["p2", "3"], "+", 
                    FractionBox[
                    RowBox[{"27", " ", 
                    SuperscriptBox["p3", "2"]}], "2"], "-", 
                    RowBox[{"36", " ", "p2", " ", "p4"}]}], ")"}], "2"]}]]}], 
              "]"}]}]}], ")"}]}], "]"}]}]}], ")"}]}]}], ")"}]}]], "Output",
 CellChangeTimes->{{3.748000375212686*^9, 3.748000400841638*^9}},
 CellLabel->
  "Out[164]=",ExpressionUUID->"f4cc9976-5c44-44dc-bb4c-cd358b29596c"]
}, Open  ]],

Cell[BoxData[" "], "Input",
 CellChangeTimes->{
  3.7480003164143963`*^9},ExpressionUUID->"d8515542-9749-4f2e-b84b-\
a1f4153fc472"],

Cell[TextData[StyleBox["     Compare lists:",
 FontSize->18,
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{{3.748000327273776*^9, 
  3.748000336465918*^9}},ExpressionUUID->"77eabefc-db3d-4442-9acb-\
006c0505a9ae"],

Cell[BoxData[
 RowBox[{"numericEigVal4list", "[", 
  RowBox[{"[", 
   RowBox[{"1", ";;", "10"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{
  3.748000350092711*^9, {3.748000632098032*^9, 3.7480006323996277`*^9}},
 CellLabel->"In[44]:=",ExpressionUUID->"33f69dfb-5c0a-4396-a3f8-2e34f73fcf88"],

Cell[BoxData[
 RowBox[{"algebraicEpsEigVal4list", "[", 
  RowBox[{"[", 
   RowBox[{"1", ";;", "10"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.748000284874299*^9, 3.748000300978333*^9}, 
   3.748000638307917*^9},
 CellLabel->"In[45]:=",ExpressionUUID->"c4a4d48b-f831-4992-874d-461d751b411e"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Tally", "[", 
   RowBox[{
    RowBox[{"numericEigVal4list", "-", " ", "algebraicEpsEigVal4list"}], "//",
     "Chop"}], "]"}], " "}]], "Input",
 CellChangeTimes->{{3.729098004102734*^9, 3.729098074302437*^9}, 
   3.7407899691906233`*^9},
 FontSize->18,
 CellLabel->"In[46]:=",ExpressionUUID->"dd3b8550-7b8e-4146-8ba0-6a7f7555ce69"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
WindowSize->{863, 900},
WindowMargins->{{170, Automatic}, {94, Automatic}},
FrontEndVersion->"11.3 for Linux x86 (64-bit) (March 6, 2018)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 680, 18, 217, "Subchapter",ExpressionUUID->"cd11458e-f56a-4dc8-b11e-58d02343f27a"],
Cell[CellGroupData[{
Cell[1285, 44, 209, 3, 31, "Input",ExpressionUUID->"5ca85a31-f6d3-42ec-b892-081e1ebbe2a1"],
Cell[1497, 49, 217, 2, 35, "Output",ExpressionUUID->"79d8c139-e977-4640-93d7-e85c162dc8f8"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1751, 56, 201, 3, 31, "Input",ExpressionUUID->"7b7cd90a-f2d4-4181-9205-fff4bfd54b24"],
Cell[1955, 61, 179, 2, 35, "Output",ExpressionUUID->"f9898570-ed8c-4bf5-8991-bf816f123c96"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2171, 68, 275, 5, 47, "Input",ExpressionUUID->"bb0e5f02-a60a-40ee-b5e0-3fb6db54dd67",
 InitializationCell->True],
Cell[2449, 75, 233, 3, 35, "Output",ExpressionUUID->"7fa43969-cb6d-4874-aa0a-b8288fcfa139"]
}, Open  ]],
Cell[2697, 81, 197, 4, 47, "Input",ExpressionUUID->"aac2c8f7-b83f-4414-8a03-c69f7605cb38",
 InitializationCell->True],
Cell[2897, 87, 158, 3, 31, "Input",ExpressionUUID->"6c8bcd92-b192-4c03-b293-3c2c0dd5b39f"],
Cell[CellGroupData[{
Cell[3080, 94, 245, 4, 68, "Section",ExpressionUUID->"9db93b9e-38d7-44a7-a208-4ad5b446243a"],
Cell[CellGroupData[{
Cell[3350, 102, 496, 10, 111, "Subsection",ExpressionUUID->"8d345105-8d81-419a-b02c-2ee97b6db077"],
Cell[3849, 114, 879, 26, 78, "Input",ExpressionUUID->"4028d521-41c7-45c7-9059-7e16c23ac190",
 InitializationCell->True],
Cell[4731, 142, 1288, 36, 102, "Input",ExpressionUUID->"9e8793ac-1e8c-43dc-87f4-6473b61877f0",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 InitializationCell->True],
Cell[6022, 180, 437, 10, 47, "Input",ExpressionUUID->"4edf2d84-e36c-46b6-b015-5fdf312de8f2",
 InitializationCell->True],
Cell[CellGroupData[{
Cell[6484, 194, 377, 7, 37, "Text",ExpressionUUID->"8dcf24a2-91a4-4fec-9e17-74f860dae2e2",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[6864, 203, 3598, 92, 475, "Input",ExpressionUUID->"d5a79dc4-6870-4e8e-b665-f55521c21b45",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 InitializationCell->True]
}, Closed]],
Cell[10477, 298, 284, 6, 33, "Text",ExpressionUUID->"fa97a7bd-7984-46a3-9b03-bb17e136b2c9"],
Cell[10764, 306, 4639, 117, 587, "Input",ExpressionUUID->"25f0fb87-a718-4cbe-b468-d7c879ea8191",
 InitializationCell->True],
Cell[CellGroupData[{
Cell[15428, 427, 569, 14, 31, "Input",ExpressionUUID->"74ddf9fd-7043-439f-a123-00713499cca8"],
Cell[16000, 443, 343, 7, 35, "Output",ExpressionUUID->"3c449d77-5ac8-4277-aa0d-be856cefff94"]
}, Open  ]],
Cell[16358, 453, 4209, 99, 292, "Input",ExpressionUUID->"3d5ecc8d-b249-4ba9-a856-40851f4e2183",
 InitializationCell->True],
Cell[CellGroupData[{
Cell[20592, 556, 358, 8, 71, "Subsubsection",ExpressionUUID->"f84ca08f-d5a6-4e8b-8d03-ab31d3446683"],
Cell[CellGroupData[{
Cell[20975, 568, 503, 12, 55, "Input",ExpressionUUID->"bf891269-cabd-40b1-923e-a149f60b1785"],
Cell[21481, 582, 423, 10, 35, "Output",ExpressionUUID->"dd59c374-cc60-4782-9f0b-70a1e99ece8b"]
}, Open  ]],
Cell[21919, 595, 2078, 54, 163, "Input",ExpressionUUID->"9430e113-b064-41e6-bcd1-e749558d02c9",
 InitializationCell->True],
Cell[24000, 651, 3225, 85, 232, "Input",ExpressionUUID->"23550877-88de-4ceb-b94d-1236519222a6",
 InitializationCell->True],
Cell[27228, 738, 2386, 70, 218, "Input",ExpressionUUID->"77888a86-9bd1-43b1-bac2-0b1c690fdee8",
 InitializationCell->True],
Cell[29617, 810, 4943, 132, 196, "Input",ExpressionUUID->"89bfb168-3359-4bbc-9269-c05fa68f9a7a",
 InitializationCell->True],
Cell[34563, 944, 219, 5, 37, "Text",ExpressionUUID->"7948a2ab-d1be-45e3-85a6-412c35549214"],
Cell[34785, 951, 833, 23, 94, "Input",ExpressionUUID->"1c5841cd-9a9a-43b7-bf61-2474c6e21c79",
 InitializationCell->True],
Cell[35621, 976, 1332, 36, 140, "Input",ExpressionUUID->"33eeb32f-949b-4703-9870-050bdbe8c141",
 InitializationCell->True],
Cell[36956, 1014, 1781, 50, 140, "Input",ExpressionUUID->"fa5aaa03-ce4c-4b99-b077-bbadcb18aab5",
 InitializationCell->True],
Cell[38740, 1066, 4873, 119, 370, "Input",ExpressionUUID->"3882a761-07ab-4e0c-ad67-dec3df3ed9ff",
 InitializationCell->True],
Cell[43616, 1187, 1513, 39, 117, "Input",ExpressionUUID->"e2dc058c-8a4f-4535-8b95-6e8263732715",
 InitializationCell->True],
Cell[45132, 1228, 4453, 99, 301, "Input",ExpressionUUID->"203dc0e9-e08a-480f-9453-17c85b77af73",
 InitializationCell->True],
Cell[49588, 1329, 1529, 39, 117, "Input",ExpressionUUID->"3940577c-df7f-4c59-a6fa-9cefe40c01b2",
 InitializationCell->True]
}, Closed]]
}, Open  ]]
}, Open  ]],
Cell[51156, 1373, 195, 4, 68, "Section",ExpressionUUID->"db56f2e5-d2b5-4f41-a2d6-a2672e08e094"],
Cell[CellGroupData[{
Cell[51376, 1381, 211, 4, 54, "Section",ExpressionUUID->"0e5eaaf0-a318-4546-bfc4-f5a6b770274d"],
Cell[51590, 1387, 446, 8, 137, "Text",ExpressionUUID->"a357073f-4f29-4c6b-b450-ac6b46c01abf"],
Cell[52039, 1397, 448, 9, 31, "Input",ExpressionUUID->"33d2cc4e-3abe-4732-9dab-3a20e9a1136c"],
Cell[52490, 1408, 426, 9, 31, "Input",ExpressionUUID->"15fc780c-3ecd-463a-b161-2b0eab8f07e9"],
Cell[52919, 1419, 339, 8, 31, "Input",ExpressionUUID->"5cd89247-cf91-47d3-86a0-8cf1147354e8"],
Cell[53261, 1429, 336, 8, 31, "Input",ExpressionUUID->"87946bbf-7681-429a-9637-fe8df59bf668"],
Cell[53600, 1439, 1068, 28, 71, "Input",ExpressionUUID->"90960038-7bb4-4424-893a-601c57afe8e5",
 InitializationCell->True],
Cell[54671, 1469, 827, 22, 71, "Input",ExpressionUUID->"afe76a3f-5e02-485b-99fe-da9d8023d271",
 InitializationCell->True],
Cell[CellGroupData[{
Cell[55523, 1495, 169, 3, 55, "Subsection",ExpressionUUID->"4deb3a16-aec9-40d3-9f64-9a1d91d51a3c"],
Cell[CellGroupData[{
Cell[55717, 1502, 158, 3, 45, "Subsubsection",ExpressionUUID->"446449a7-af68-4122-b816-4539cbafe8d4"],
Cell[CellGroupData[{
Cell[55900, 1509, 362, 7, 47, "Input",ExpressionUUID->"be3c2e70-2541-4a7a-9bb6-f9a3013a29c9",
 InitializationCell->True],
Cell[56265, 1518, 509, 12, 70, "Output",ExpressionUUID->"080b0a8c-4d2e-477a-a7e7-c0b47db3b7a4"]
}, Open  ]],
Cell[CellGroupData[{
Cell[56811, 1535, 401, 8, 47, "Input",ExpressionUUID->"ad0ee7e0-aa07-4991-9d3e-a74431fff98c",
 InitializationCell->True],
Cell[57215, 1545, 288, 4, 70, "Output",ExpressionUUID->"07c69c6c-ffc7-4577-8b3d-d3c2fefac6f6"]
}, Open  ]],
Cell[CellGroupData[{
Cell[57540, 1554, 546, 11, 71, "Input",ExpressionUUID->"c9d7fd55-1b94-4965-986e-f36841d623e7",
 InitializationCell->True],
Cell[58089, 1567, 302, 5, 70, "Output",ExpressionUUID->"6287b8ac-c336-4f5d-a30d-d733855313bb"]
}, Open  ]],
Cell[58406, 1575, 2046, 54, 163, "Input",ExpressionUUID->"2f7afda8-d58c-4448-8a25-c3d00224da6a",
 InitializationCell->True]
}, Closed]],
Cell[CellGroupData[{
Cell[60489, 1634, 167, 3, 37, "Subsubsection",ExpressionUUID->"b8e5dc3f-ab4c-4068-a1af-d2e51e0e9445"],
Cell[CellGroupData[{
Cell[60681, 1641, 9608, 228, 515, "Input",ExpressionUUID->"4327c433-a8d2-4124-8291-99621ed85c28"],
Cell[70292, 1871, 13565, 244, 544, "Output",ExpressionUUID->"e1dbc4ef-8741-49c7-ab25-9ee7a45993e2"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[83930, 2123, 154, 3, 68, "Section",ExpressionUUID->"38b10479-a403-4429-bddd-afca7749a695"],
Cell[CellGroupData[{
Cell[84109, 2130, 158, 3, 45, "Subsubsection",ExpressionUUID->"4b100faf-9c95-4e3a-94ea-f3576e2582ac"],
Cell[84270, 2135, 1619, 40, 117, "Input",ExpressionUUID->"493ddeb1-9091-4b1d-ba9f-327499c8cf77",
 InitializationCell->True],
Cell[85892, 2177, 1832, 51, 140, "Input",ExpressionUUID->"0b0e5e0d-09c2-4071-a7db-2b84855c6401",
 InitializationCell->True],
Cell[87727, 2230, 4873, 115, 324, "Input",ExpressionUUID->"4ef9bbe6-df1f-460a-99a7-ef5f55709a17",
 InitializationCell->True],
Cell[92603, 2347, 2229, 59, 163, "Input",ExpressionUUID->"73530372-6d03-4c21-a316-eb1292ee5993",
 InitializationCell->True],
Cell[94835, 2408, 2887, 70, 232, "Input",ExpressionUUID->"8d0aed46-5268-44fb-806e-85c9ca5e0aea",
 InitializationCell->True],
Cell[97725, 2480, 3590, 96, 117, "Input",ExpressionUUID->"0b287a40-ffd5-463c-bacc-819a00ff2b0c",
 InitializationCell->True],
Cell[101318, 2578, 2293, 62, 209, "Input",ExpressionUUID->"cee68ab5-2f65-4d3a-a3cc-c3c5d3483994",
 InitializationCell->True],
Cell[103614, 2642, 3842, 105, 186, "Input",ExpressionUUID->"f3761e6b-5d7d-4f4a-a9ba-f4dc8986a8b9",
 InitializationCell->True]
}, Closed]],
Cell[CellGroupData[{
Cell[107493, 2752, 225, 5, 37, "Subsubsection",ExpressionUUID->"e82594e2-b5c3-477c-9a36-f98d6d6a6ff2"],
Cell[107721, 2759, 302, 7, 31, "Input",ExpressionUUID->"885f7aeb-d8ce-45ca-9112-a03d3f1a9383"],
Cell[108026, 2768, 479, 12, 31, "Input",ExpressionUUID->"ecbdc03e-1fc2-4c13-98d7-f609c8871ee2"],
Cell[CellGroupData[{
Cell[108530, 2784, 206, 4, 31, "Input",ExpressionUUID->"303931fb-a713-457e-b87b-46d4e715f4f6"],
Cell[108739, 2790, 197, 3, 35, "Output",ExpressionUUID->"f23bfd43-855d-4b52-b822-9335937867d9"]
}, Closed]],
Cell[108951, 2796, 301, 5, 27, "Input",ExpressionUUID->"d067a3e1-6deb-4048-966b-d9e55368d353"]
}, Open  ]],
Cell[CellGroupData[{
Cell[109289, 2806, 175, 3, 45, "Subsubsection",ExpressionUUID->"55a9ef00-6727-4fac-a151-b9f6b493ad95"],
Cell[109467, 2811, 263, 5, 47, "Input",ExpressionUUID->"486e10b2-51b1-4872-8e98-5129017925b9",
 InitializationCell->True],
Cell[CellGroupData[{
Cell[109755, 2820, 214, 3, 31, "Input",ExpressionUUID->"c71c372c-86de-4b7c-897a-9f12873d05a2"],
Cell[109972, 2825, 393, 11, 35, "Output",ExpressionUUID->"41b23aa3-8ef5-409a-8c78-fbd492515bca"]
}, Open  ]],
Cell[CellGroupData[{
Cell[110402, 2841, 258, 6, 31, "Input",ExpressionUUID->"86605ab6-acbe-4155-97aa-fd651e78bb0d"],
Cell[110663, 2849, 303, 7, 35, "Output",ExpressionUUID->"b31cbd21-de06-4fdc-a4b0-a4e240028fbd"]
}, Open  ]],
Cell[CellGroupData[{
Cell[111003, 2861, 363, 8, 47, "Input",ExpressionUUID->"533d7b80-810d-4364-8756-ba492e43a2ba",
 InitializationCell->True],
Cell[111369, 2871, 739, 18, 35, "Output",ExpressionUUID->"83c8067d-5978-49f4-9ea1-18626dbbb253"]
}, Open  ]],
Cell[CellGroupData[{
Cell[112145, 2894, 530, 12, 47, "Input",ExpressionUUID->"1beef64b-3f05-487a-96cd-3a5cf8794566",
 InitializationCell->True],
Cell[112678, 2908, 2413, 58, 86, "Output",ExpressionUUID->"eb8bb826-195e-4d13-987d-d375e7da2f3b"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[115140, 2972, 161, 3, 45, "Subsubsection",ExpressionUUID->"61cd9651-45e5-4d03-831b-d66d57de3200"],
Cell[CellGroupData[{
Cell[115326, 2979, 757, 15, 71, "Input",ExpressionUUID->"3b13816c-b22c-4ca6-b07d-d78f2b32e016",
 InitializationCell->True],
Cell[116086, 2996, 596, 13, 39, "Output",ExpressionUUID->"5bc5ff1d-dd08-4005-9d73-4b16c3041c9c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[116719, 3014, 594, 14, 47, "Input",ExpressionUUID->"28707444-42a9-4e06-aea8-ab53a9efd06e",
 InitializationCell->True],
Cell[117316, 3030, 507, 9, 35, "Output",ExpressionUUID->"d2585fae-2f21-4e31-9768-1832c6d20dbc"]
}, Open  ]],
Cell[CellGroupData[{
Cell[117860, 3044, 417, 10, 31, "Input",ExpressionUUID->"ca3b932a-dd0c-4a93-b1da-3bebd545d7a7"],
Cell[118280, 3056, 415, 9, 35, "Output",ExpressionUUID->"73064046-6705-401b-a940-50f0fb8c9329"]
}, Open  ]],
Cell[CellGroupData[{
Cell[118732, 3070, 1148, 31, 78, "Input",ExpressionUUID->"08d60430-4a35-48a9-9aad-a8a4b497929a"],
Cell[119883, 3103, 63057, 1040, 410, "Output",ExpressionUUID->"b22487fb-4721-4787-99c0-1a05677830ca"]
}, Open  ]],
Cell[CellGroupData[{
Cell[182977, 4148, 279, 5, 47, "Input",ExpressionUUID->"e2b10a47-cb5f-41f3-bb41-cdf9e63b480c",
 InitializationCell->True],
Cell[183259, 4155, 895, 18, 59, "Output",ExpressionUUID->"19481ce8-fef2-4b84-94ba-19e742ad262b"]
}, Open  ]],
Cell[CellGroupData[{
Cell[184191, 4178, 445, 11, 31, "Input",ExpressionUUID->"186b6ee6-41a5-4e26-a10a-38288e2c9f01"],
Cell[184639, 4191, 314, 7, 35, "Output",ExpressionUUID->"b2191c0e-a6c0-4caa-8bd0-cd9d82ccdbc5"]
}, Open  ]],
Cell[CellGroupData[{
Cell[184990, 4203, 3478, 83, 262, "Input",ExpressionUUID->"d89683dc-c380-4a88-826f-a7a067403a1c"],
Cell[188471, 4288, 3079, 66, 652, "Output",ExpressionUUID->"6a04059b-0b6b-42db-b840-4d500ff7d195"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[191599, 4360, 384, 9, 63, "Subsubsection",ExpressionUUID->"5633cef2-0f09-480f-9076-c5aac8ec7c2a"],
Cell[CellGroupData[{
Cell[192008, 4373, 887, 21, 94, "Input",ExpressionUUID->"8e9cc16e-203c-4fba-a4c2-e0561c8fdf81",
 InitializationCell->True],
Cell[192898, 4396, 533, 13, 35, "Output",ExpressionUUID->"f7bde9ef-3bc9-4ebc-96ec-462648b30834"]
}, Open  ]],
Cell[CellGroupData[{
Cell[193468, 4414, 691, 16, 55, "Input",ExpressionUUID->"136051aa-71b0-4671-969b-49f0e8365b5f"],
Cell[194162, 4432, 7082, 121, 360, "Output",ExpressionUUID->"3175965b-1130-4561-9387-edab6ae69dd8"]
}, Closed]],
Cell[201259, 4556, 520, 14, 27, "Input",ExpressionUUID->"34b67f07-bd0a-4fb3-94ce-a9bb6c958055"],
Cell[201782, 4572, 340, 10, 37, "Text",ExpressionUUID->"d567c3cc-2ab5-41d4-9847-34021459fb06"],
Cell[202125, 4584, 1454, 38, 124, "Input",ExpressionUUID->"821de0ef-6dc4-45ce-956b-a5fa6db15805"],
Cell[CellGroupData[{
Cell[203604, 4626, 319, 6, 31, "Input",ExpressionUUID->"a9d95730-c4ab-4fd7-b0fc-ba5154d28e80"],
Cell[203926, 4634, 466, 13, 35, "Output",ExpressionUUID->"17828a5e-3a30-4d1f-8bc5-758917d5f772"]
}, Open  ]],
Cell[204407, 4650, 215, 3, 31, "Input",ExpressionUUID->"0ff46c66-a2c3-43c5-a824-7483a63c9732"],
Cell[204625, 4655, 348, 7, 31, "Input",ExpressionUUID->"c0e7bad0-aeab-4314-a64d-2231a4c3b14c"],
Cell[204976, 4664, 265, 5, 47, "Input",ExpressionUUID->"69a50375-0715-4c8f-be0c-327d81478cb1",
 InitializationCell->True],
Cell[CellGroupData[{
Cell[205266, 4673, 232, 4, 31, "Input",ExpressionUUID->"54619296-7bec-4fc3-b587-6efd4a300d2b"],
Cell[205501, 4679, 979, 24, 59, "Output",ExpressionUUID->"9a9e5c9e-3c11-4505-ab3a-10e46cc7b333"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[206529, 4709, 171, 3, 45, "Subsubsection",ExpressionUUID->"6cdeafe9-13c0-441a-8a6e-ac1adb4b4320"],
Cell[CellGroupData[{
Cell[206725, 4716, 2986, 70, 262, "Input",ExpressionUUID->"bd3546e2-9108-488f-87f7-88822df47caa"],
Cell[209714, 4788, 12650, 224, 656, "Output",ExpressionUUID->"69a3b33f-d7a9-445a-81fe-c3031d6ce84f"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[222413, 5018, 298, 7, 45, "Subsubsection",ExpressionUUID->"e3a62aed-486e-471c-8fed-4328f0611111"],
Cell[222714, 5027, 1257, 31, 78, "Input",ExpressionUUID->"294394ec-bd31-4d85-8e0e-1ac1455e79ac"],
Cell[223974, 5060, 292, 6, 31, "Input",ExpressionUUID->"dbfa0484-1b05-40fa-a7dc-8c0c3f06cd15"],
Cell[224269, 5068, 672, 17, 31, "Input",ExpressionUUID->"6cbff38a-16d8-4cfb-8cb7-249b1a0f36ca"],
Cell[224944, 5087, 260, 5, 31, "Input",ExpressionUUID->"039e613f-b6ef-42b1-9734-f6a65abf69ea"]
}, Open  ]],
Cell[CellGroupData[{
Cell[225241, 5097, 334, 7, 45, "Subsubsection",ExpressionUUID->"ec6f4d1d-4a72-4110-8b38-8d59438807c2"],
Cell[225578, 5106, 592, 15, 31, "Input",ExpressionUUID->"115c6038-52f0-423e-8408-c252e6af1227"],
Cell[226173, 5123, 658, 14, 31, "Input",ExpressionUUID->"093a5f2d-09f4-4b09-b7f9-c2b72ef52846"]
}, Open  ]],
Cell[CellGroupData[{
Cell[226868, 5142, 826, 26, 78, "Subsubsection",ExpressionUUID->"73131771-3c6a-4cf9-8ffa-aeb13079a3f7"],
Cell[CellGroupData[{
Cell[227719, 5172, 304, 7, 31, "Input",ExpressionUUID->"580a900a-8723-4e24-9b29-d2eb1d24bf7f"],
Cell[228026, 5181, 4693, 133, 333, "Output",ExpressionUUID->"f4cc9976-5c44-44dc-bb4c-cd358b29596c"]
}, Open  ]],
Cell[232734, 5317, 131, 3, 31, "Input",ExpressionUUID->"d8515542-9749-4f2e-b84b-a1f4153fc472"],
Cell[232868, 5322, 217, 5, 39, "Text",ExpressionUUID->"77eabefc-db3d-4442-9acb-006c0505a9ae"],
Cell[233088, 5329, 292, 6, 31, "Input",ExpressionUUID->"33f69dfb-5c0a-4396-a3f8-2e34f73fcf88"],
Cell[233383, 5337, 296, 6, 31, "Input",ExpressionUUID->"c4a4d48b-f831-4992-874d-461d751b411e"],
Cell[233682, 5345, 366, 9, 37, "Input",ExpressionUUID->"dd3b8550-7b8e-4146-8ba0-6a7f7555ce69"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)

