(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 11.3' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    148349,       3803]
NotebookOptionsPosition[    136929,       3596]
NotebookOutlinePosition[    137283,       3612]
CellTagsIndexPosition[    137240,       3609]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Examples of Issues with Direct Solutions of RMSD", "Subchapter",
 CellChangeTimes->{{3.74848511266223*^9, 
  3.748485140666436*^9}},ExpressionUUID->"7cd83b94-db46-4cff-a80d-\
84e17cb7c323"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"NotebookDirectory", "[", "]"}]], "Input",
 CellChangeTimes->{{3.7487455669308643`*^9, 3.748745575522209*^9}},
 CellLabel->"In[49]:=",ExpressionUUID->"28ee7222-f2ec-4c43-b37a-0f9a3dda471b"],

Cell[BoxData["\<\"/Users/ajhanson/Dropbox/Articles/\"\>"], "Output",
 CellChangeTimes->{3.748745576381618*^9},
 CellLabel->"Out[49]=",ExpressionUUID->"685e0299-dd8d-4f54-b778-4a2e0def055c"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Utilities", "Section",
 CellChangeTimes->{{3.7484881582106533`*^9, 
  3.74848815984951*^9}},ExpressionUUID->"0f2360e9-3f12-4d70-836c-\
112badbe6238"],

Cell[BoxData[
 RowBox[{
  RowBox[{"randomBall3CM", "[", 
   RowBox[{"n_", ",", 
    RowBox[{"size_:", "1"}]}], "]"}], ":=", " ", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", " ", 
     RowBox[{
      RowBox[{"out", " ", "=", " ", 
       RowBox[{"{", "}"}]}], ",", 
      RowBox[{"num", "=", "0"}], ",", "test", ",", "cm"}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"While", "[", 
      RowBox[{
       RowBox[{"num", "<", "n"}], ",", 
       RowBox[{
        RowBox[{"test", "=", "   ", 
         RowBox[{"RandomReal", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "size"}], ",", "size"}], "}"}], ",", "3"}], "]"}]}],
         ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Norm", "[", "test", "]"}], "\[LessEqual]", "size"}], ",", 
          
          RowBox[{
           RowBox[{"num", "++"}], ";", 
           RowBox[{"AppendTo", "[", 
            RowBox[{"out", ",", " ", "test"}], "]"}]}]}], "]"}]}]}], "]"}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"cm", " ", "=", " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Plus", "@@", "out"}], ")"}], "/", "n"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"#", "-", "cm"}], "&"}], ")"}], "/@", "out"}]}]}], 
   "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.73944076443102*^9, 3.739440786763439*^9}, {
  3.7394408424202747`*^9, 3.739440857523859*^9}, {3.739460952836001*^9, 
  3.73946101596912*^9}, {3.739473446919948*^9, 3.7394735330063257`*^9}, {
  3.7395528860575743`*^9, 3.739552887102167*^9}, {3.7401621003782663`*^9, 
  3.740162105565789*^9}},
 CellLabel->"In[47]:=",ExpressionUUID->"6a4609a5-8134-4256-8d24-9894fd8971f0"],

Cell[BoxData[
 RowBox[{
  RowBox[{"QuatToRot", "[", "q_List", "]"}], " ", ":=", "\n", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"q0", "=", " ", 
       RowBox[{"q", "[", 
        RowBox[{"[", "1", "]"}], "]"}]}], ",", " ", 
      RowBox[{"q1", "=", 
       RowBox[{"q", "[", 
        RowBox[{"[", "2", "]"}], "]"}]}], ",", " ", 
      RowBox[{"q2", " ", "=", " ", 
       RowBox[{"q", "[", 
        RowBox[{"[", "3", "]"}], "]"}]}], ",", " ", 
      RowBox[{"q3", " ", "=", " ", 
       RowBox[{"q", "[", 
        RowBox[{"[", "4", "]"}], "]"}]}]}], "}"}], ",", "\n", "   ", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"d23", " ", "=", " ", 
         RowBox[{"2", " ", "q2", " ", "q3"}]}], ",", " ", 
        RowBox[{"d1", " ", "=", " ", 
         RowBox[{"2", " ", "q0", " ", "q1"}]}], ",", "\n", "          ", 
        RowBox[{"d31", " ", "=", " ", 
         RowBox[{"2", " ", "q3", " ", "q1"}]}], ",", " ", 
        RowBox[{"d2", " ", "=", " ", 
         RowBox[{"2", " ", "q0", " ", "q2"}]}], ",", "\n", "          ", 
        RowBox[{"d12", " ", "=", " ", 
         RowBox[{"2", " ", "q1", " ", "q2"}]}], ",", " ", 
        RowBox[{"d3", " ", "=", " ", 
         RowBox[{"2", " ", "q0", " ", "q3"}]}], ",", "\n", "          ", 
        RowBox[{"q0sq", " ", "=", " ", 
         RowBox[{"q0", "^", "2"}]}], ",", " ", 
        RowBox[{"q1sq", " ", "=", " ", 
         RowBox[{"q1", "^", "2"}]}], ",", " ", 
        RowBox[{"q2sq", " ", "=", " ", 
         RowBox[{"q2", "^", "2"}]}], ",", " ", 
        RowBox[{"q3sq", " ", "=", " ", 
         RowBox[{"q3", "^", "2"}]}]}], "}"}], ",", "\n", "          ", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{
          "q0sq", " ", "+", " ", "q1sq", " ", "-", " ", "q2sq", " ", "-", " ",
            "q3sq"}], ",", " ", 
          RowBox[{"d12", " ", "-", " ", "d3"}], ",", " ", 
          RowBox[{"d31", " ", "+", " ", "d2"}]}], "}"}], ",", "\n", 
        "           ", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"d12", " ", "+", " ", "d3"}], ",", " ", 
          RowBox[{
          "q0sq", " ", "-", " ", "q1sq", " ", "+", " ", "q2sq", " ", "-", " ",
            "q3sq"}], ",", " ", 
          RowBox[{"d23", " ", "-", " ", "d1"}]}], "}"}], ",", "\n", 
        "           ", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"d31", " ", "-", " ", "d2"}], ",", " ", 
          RowBox[{"d23", " ", "+", " ", "d1"}], ",", " ", 
          RowBox[{
          "q0sq", " ", "-", " ", "q1sq", " ", "-", " ", "q2sq", " ", "+", " ",
            "q3sq"}]}], "}"}]}], "}"}]}], " ", "]"}]}], "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.584375516593762*^9, 3.584375516595628*^9}},
 CellLabel->"In[48]:=",ExpressionUUID->"c3178a73-c840-4099-a24c-aaf7cbdc0ef7"],

Cell[BoxData[
 RowBox[{
  RowBox[{"makeRotation", "[", 
   RowBox[{
    RowBox[{"angle_:", "0"}], ",", 
    RowBox[{"n_List:", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "1"}], "}"}]}]}], "]"}], " ", ":=", "\n", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"c", " ", "=", " ", 
       RowBox[{
        RowBox[{"Cos", "[", "angle", "]"}], "//", "N"}]}], ",", " ", 
      RowBox[{"s", " ", "=", " ", 
       RowBox[{
        RowBox[{"Sin", "[", "angle", "]"}], "//", "N"}]}], ",", " ", "cm"}], 
     "}"}], ",", "\n", 
    RowBox[{
     RowBox[{"cm", " ", "=", " ", 
      RowBox[{"1", " ", "-", " ", "c"}]}], ";", "\n", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"c", " ", "+", " ", 
           RowBox[{"cm", "*", 
            RowBox[{
             RowBox[{"n", "[", 
              RowBox[{"[", "1", "]"}], "]"}], "^", "2"}]}]}], ",", " ", 
          RowBox[{
           RowBox[{"cm", "*", 
            RowBox[{"n", "[", 
             RowBox[{"[", "2", "]"}], "]"}], "*", 
            RowBox[{"n", "[", 
             RowBox[{"[", "1", "]"}], "]"}]}], " ", "-", " ", 
           RowBox[{"s", "*", 
            RowBox[{"n", "[", 
             RowBox[{"[", "3", "]"}], "]"}]}]}], ",", " ", 
          RowBox[{
           RowBox[{"cm", "*", 
            RowBox[{"n", "[", 
             RowBox[{"[", "3", "]"}], "]"}], "*", 
            RowBox[{"n", "[", 
             RowBox[{"[", "1", "]"}], "]"}]}], " ", "+", " ", 
           RowBox[{"s", "*", 
            RowBox[{"n", "[", 
             RowBox[{"[", "2", "]"}], "]"}]}]}]}], "}"}], ",", "\n", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"cm", "*", 
            RowBox[{"n", "[", 
             RowBox[{"[", "1", "]"}], "]"}], "*", 
            RowBox[{"n", "[", 
             RowBox[{"[", "2", "]"}], "]"}]}], " ", "+", " ", 
           RowBox[{"s", "*", 
            RowBox[{"n", "[", 
             RowBox[{"[", "3", "]"}], "]"}]}]}], ",", " ", 
          RowBox[{"c", " ", "+", " ", 
           RowBox[{"cm", "*", 
            RowBox[{
             RowBox[{"n", "[", 
              RowBox[{"[", "2", "]"}], "]"}], "^", "2"}]}]}], ",", "  ", 
          RowBox[{
           RowBox[{"cm", "*", 
            RowBox[{"n", "[", 
             RowBox[{"[", "3", "]"}], "]"}], "*", 
            RowBox[{"n", "[", 
             RowBox[{"[", "2", "]"}], "]"}]}], " ", "-", " ", 
           RowBox[{"s", "*", 
            RowBox[{"n", "[", 
             RowBox[{"[", "1", "]"}], "]"}]}]}]}], "}"}], ",", "\n", 
        RowBox[{"{", " ", 
         RowBox[{
          RowBox[{
           RowBox[{"cm", "*", 
            RowBox[{"n", "[", 
             RowBox[{"[", "1", "]"}], "]"}], "*", 
            RowBox[{"n", "[", 
             RowBox[{"[", "3", "]"}], "]"}]}], " ", "-", " ", 
           RowBox[{"s", "*", 
            RowBox[{"n", "[", 
             RowBox[{"[", "2", "]"}], "]"}]}]}], ",", " ", "\n", 
          "              ", 
          RowBox[{
           RowBox[{"cm", "*", 
            RowBox[{"n", "[", 
             RowBox[{"[", "2", "]"}], "]"}], "*", 
            RowBox[{"n", "[", 
             RowBox[{"[", "3", "]"}], "]"}]}], " ", "+", " ", 
           RowBox[{"s", "*", 
            RowBox[{"n", "[", 
             RowBox[{"[", "1", "]"}], "]"}]}]}], ",", " ", 
          RowBox[{"c", " ", "+", " ", 
           RowBox[{"cm", "*", 
            RowBox[{
             RowBox[{"n", "[", 
              RowBox[{"[", "3", "]"}], "]"}], "^", "2"}]}]}]}], "}"}]}], 
       "}"}], "//", "N"}]}]}], "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.584375852951816*^9, 3.58437587259674*^9}, {
  3.584375910037079*^9, 3.584375911589164*^9}},
 CellLabel->"In[49]:=",ExpressionUUID->"a5dd220d-ef93-4e28-9bbe-4686ed5c93cf"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"Match", " ", "order", " ", "of", " ", "makeExxmat"}], ";", " ", 
     "\[IndentingNewLine]", 
     RowBox[{
     "REMEMBER", " ", "move", " ", "to", " ", "center", " ", "of", " ", 
      "mass", " ", "\[IndentingNewLine]", "REMEMBER", " ", "the", " ", "DATA",
       " ", "are", " ", "uniform"}]}], ",", " ", 
    RowBox[{
    "but", " ", "the", " ", "NOISE", " ", "should", " ", "be", " ", 
     "Gaussian"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"build3DPntdataset", "[", 
    RowBox[{"npts_", ",", 
     RowBox[{"quat_:", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Cos", "[", 
         RowBox[{"Pi", "/", "8"}], "]"}], ",", "0", ",", "0", ",", 
        RowBox[{"Sin", "[", 
         RowBox[{"Pi", "/", "8"}], "]"}]}], "}"}]}], ",", 
     RowBox[{"size_:", "1"}], ",", 
     RowBox[{"rmax_:", "0.05"}]}], "]"}], " ", ":=", " ", 
   "\[IndentingNewLine]", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"xRef", " ", "=", "  ", 
        RowBox[{"randomBall3CM", "[", 
         RowBox[{"npts", ",", "size"}], "]"}]}], ",", "xRefCtr", ",", 
       "xTgtCtr", ",", " ", "quatForRot", ",", "\[IndentingNewLine]", 
       RowBox[{"xJitter", "=", 
        RowBox[{"RandomVariate", "[", 
         RowBox[{
          RowBox[{"NormalDistribution", "[", 
           RowBox[{"0", ",", "rmax"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"npts", ",", "3"}], "}"}]}], "]"}]}], ",", "xTgt", ",", 
       "xTgtInit", ",", "th", ",", "rotTgt"}], "}"}], ",", 
     RowBox[{"(*", " ", 
      RowBox[{
       RowBox[{"checkJitter", "=", "xJitter"}], ";"}], "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"xTgtInit", " ", "=", "  ", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"xRef", " ", "[", 
           RowBox[{"[", "i", "]"}], "]"}], "+", " ", 
          RowBox[{"xJitter", "[", 
           RowBox[{"[", "i", "]"}], "]"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "1", ",", "npts"}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{
        RowBox[{
         RowBox[{"to", " ", "ctr", " ", "of", " ", "mass", "  ", "xRefCtr"}], 
         "=", " ", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"Plus", "@@", "xRef"}], ")"}], "/", "npts"}]}], ";", " ", 
        RowBox[{"xRef", " ", "=", " ", 
         RowBox[{"Map", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"#", "-", "xRefCtr"}], " ", ")"}], "&"}], ",", "xRef"}], 
          "]"}]}], ";"}], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{"to", " ", "ctr", " ", "of", " ", "mass"}], " ", "*)"}], " ", 
      RowBox[{"xTgtCtr", "=", 
       RowBox[{
        RowBox[{"(", " ", 
         RowBox[{"Plus", "@@", "xTgtInit"}], ")"}], "/", "npts"}]}], ";", " ", 
      RowBox[{"xTgtInit", " ", "=", " ", 
       RowBox[{"Map", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"#", "-", "xTgtCtr"}], ")"}], " ", "&"}], ",", 
         "xTgtInit"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"quatForRot", " ", "=", " ", 
       RowBox[{"quat", "//", "N"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"rotTgt", " ", "=", 
       RowBox[{"QuatToRot", "[", "quatForRot", "]"}]}], ";", "  ", 
      RowBox[{"xTgt", " ", "=", " ", 
       RowBox[{"Map", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"rotTgt", ".", "#"}], ")"}], "&"}], ",", "xTgtInit"}], 
        "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"xTgt", ",", "xRef", ",", " ", "xTgtInit", ",", "quatForRot"}],
        "}"}]}]}], "]"}]}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.7401566126087313`*^9, 3.740156637764062*^9}, {
   3.740156733131111*^9, 3.740156737806591*^9}, {3.740157022119525*^9, 
   3.740157030000266*^9}, {3.740157367687036*^9, 3.740157392800632*^9}, 
   3.740157437040656*^9, {3.740158070725053*^9, 3.740158089235664*^9}, 
   3.740159586840007*^9, {3.740159642514539*^9, 3.740159690146283*^9}, 
   3.740160005070737*^9, {3.740160196850152*^9, 3.740160199330799*^9}, {
   3.7401602613260727`*^9, 3.74016032610748*^9}, {3.740160486288015*^9, 
   3.7401604871031847`*^9}, {3.740160673001334*^9, 3.740160701017693*^9}, {
   3.740160922060377*^9, 3.740160922258162*^9}, {3.740161414698333*^9, 
   3.7401614169393044`*^9}, {3.740161536127232*^9, 3.740161542060059*^9}, {
   3.740161709918662*^9, 3.740161716226707*^9}, {3.740161908329082*^9, 
   3.740161950137549*^9}, {3.7401621418305063`*^9, 3.740162147535569*^9}, {
   3.740162577812636*^9, 3.7401626889393873`*^9}},
 CellLabel->"In[50]:=",ExpressionUUID->"e148934d-1b70-48ff-9ba3-633b68784700"],

Cell[BoxData[
 RowBox[{
  RowBox[{"randomBall4CM", "[", 
   RowBox[{"n_", ",", 
    RowBox[{"size_:", "1"}]}], "]"}], ":=", " ", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", " ", 
     RowBox[{
      RowBox[{"out", " ", "=", " ", 
       RowBox[{"{", "}"}]}], ",", 
      RowBox[{"num", "=", "0"}], ",", "test", ",", "cm"}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"While", "[", 
      RowBox[{
       RowBox[{"num", "<", "n"}], ",", 
       RowBox[{
        RowBox[{"test", "=", "   ", 
         RowBox[{"RandomReal", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "size"}], ",", "size"}], "}"}], ",", "4"}], "]"}]}],
         ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Norm", "[", "test", "]"}], "\[LessEqual]", "size"}], ",", 
          
          RowBox[{
           RowBox[{"num", "++"}], ";", 
           RowBox[{"AppendTo", "[", 
            RowBox[{"out", ",", " ", "test"}], "]"}]}]}], "]"}]}]}], "]"}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"cm", " ", "=", " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Plus", "@@", "out"}], ")"}], "/", "n"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"#", "-", "cm"}], "&"}], ")"}], "/@", "out"}]}]}], 
   "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.73944076443102*^9, 3.739440786763439*^9}, {
  3.7394408424202747`*^9, 3.739440857523859*^9}, {3.739460952836001*^9, 
  3.73946101596912*^9}, {3.739473446919948*^9, 3.7394735330063257`*^9}, {
  3.7395528860575743`*^9, 3.739552887102167*^9}, {3.7401621003782663`*^9, 
  3.740162105565789*^9}, {3.740322452231859*^9, 3.7403224774320707`*^9}},
 CellLabel->"In[51]:=",ExpressionUUID->"64073b97-f3fa-414b-aa23-2df002d9f259"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{
     "This", " ", "is", " ", "the", " ", "\"\<new correct\>\"", " ", 
      "version", " ", "of", " ", "SO", 
      RowBox[{"(", "4", ")"}]}], " ", "=", " ", "SU2xSU2"}], ",", "  ", 
    RowBox[{
    "p", "*", "X", "*", "qbar", "\[IndentingNewLine]", "     ", "and", " ", 
     "is", " ", "PRECISELY", " ", "Eq", " ", "29.2"}], ",", "  ", 
    RowBox[{
    "so", " ", "29.2", " ", "is", " ", "NOT", " ", "matching", " ", "the", 
     " ", "preceding", " ", "q", "*", "V", "*", "pbar", " ", 
     RowBox[{"eqn", "."}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"PQbTo4DRot", "[", 
    RowBox[{"p_List", ",", "q_List"}], "]"}], " ", ":=", "\n", "  ", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"p0", "=", " ", 
        RowBox[{"p", "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], ",", " ", 
       RowBox[{"p1", "=", 
        RowBox[{"p", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}], ",", " ", 
       RowBox[{"p2", " ", "=", " ", 
        RowBox[{"p", "[", 
         RowBox[{"[", "3", "]"}], "]"}]}], ",", " ", 
       RowBox[{"p3", " ", "=", " ", 
        RowBox[{"p", "[", 
         RowBox[{"[", "4", "]"}], "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"q0", "=", " ", 
        RowBox[{"q", "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], ",", " ", 
       RowBox[{"q1", "=", 
        RowBox[{"q", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}], ",", " ", 
       RowBox[{"q2", " ", "=", " ", 
        RowBox[{"q", "[", 
         RowBox[{"[", "3", "]"}], "]"}]}], ",", " ", 
       RowBox[{"q3", " ", "=", " ", 
        RowBox[{"q", "[", 
         RowBox[{"[", "4", "]"}], "]"}]}]}], "}"}], ",", "\n", "        ", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"p0", " ", "q0"}], "+", 
          RowBox[{"p1", " ", "q1"}], "+", 
          RowBox[{"p2", " ", "q2"}], "+", 
          RowBox[{"p3", " ", "q3"}]}], ",", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "p1"}], " ", "q0"}], "+", 
          RowBox[{"p0", " ", "q1"}], "+", 
          RowBox[{"p3", " ", "q2"}], "-", 
          RowBox[{"p2", " ", "q3"}]}], ",", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "p2"}], " ", "q0"}], "-", 
          RowBox[{"p3", " ", "q1"}], "+", 
          RowBox[{"p0", " ", "q2"}], "+", 
          RowBox[{"p1", " ", "q3"}]}], ",", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "p3"}], " ", "q0"}], "+", 
          RowBox[{"p2", " ", "q1"}], "-", 
          RowBox[{"p1", " ", "q2"}], "+", 
          RowBox[{"p0", " ", "q3"}]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"p1", " ", "q0"}], "-", 
          RowBox[{"p0", " ", "q1"}], "+", 
          RowBox[{"p3", " ", "q2"}], "-", 
          RowBox[{"p2", " ", "q3"}]}], ",", 
         RowBox[{
          RowBox[{"p0", " ", "q0"}], "+", 
          RowBox[{"p1", " ", "q1"}], "-", 
          RowBox[{"p2", " ", "q2"}], "-", 
          RowBox[{"p3", " ", "q3"}]}], ",", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "p3"}], " ", "q0"}], "+", 
          RowBox[{"p2", " ", "q1"}], "+", 
          RowBox[{"p1", " ", "q2"}], "-", 
          RowBox[{"p0", " ", "q3"}]}], ",", 
         RowBox[{
          RowBox[{"p2", " ", "q0"}], "+", 
          RowBox[{"p3", " ", "q1"}], "+", 
          RowBox[{"p0", " ", "q2"}], "+", 
          RowBox[{"p1", " ", "q3"}]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"p2", " ", "q0"}], "-", 
          RowBox[{"p3", " ", "q1"}], "-", 
          RowBox[{"p0", " ", "q2"}], "+", 
          RowBox[{"p1", " ", "q3"}]}], ",", 
         RowBox[{
          RowBox[{"p3", " ", "q0"}], "+", 
          RowBox[{"p2", " ", "q1"}], "+", 
          RowBox[{"p1", " ", "q2"}], "+", 
          RowBox[{"p0", " ", "q3"}]}], ",", 
         RowBox[{
          RowBox[{"p0", " ", "q0"}], "-", 
          RowBox[{"p1", " ", "q1"}], "+", 
          RowBox[{"p2", " ", "q2"}], "-", 
          RowBox[{"p3", " ", "q3"}]}], ",", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "p1"}], " ", "q0"}], "-", 
          RowBox[{"p0", " ", "q1"}], "+", 
          RowBox[{"p3", " ", "q2"}], "+", 
          RowBox[{"p2", " ", "q3"}]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"p3", " ", "q0"}], "+", 
          RowBox[{"p2", " ", "q1"}], "-", 
          RowBox[{"p1", " ", "q2"}], "-", 
          RowBox[{"p0", " ", "q3"}]}], ",", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "p2"}], " ", "q0"}], "+", 
          RowBox[{"p3", " ", "q1"}], "-", 
          RowBox[{"p0", " ", "q2"}], "+", 
          RowBox[{"p1", " ", "q3"}]}], ",", 
         RowBox[{
          RowBox[{"p1", " ", "q0"}], "+", 
          RowBox[{"p0", " ", "q1"}], "+", 
          RowBox[{"p3", " ", "q2"}], "+", 
          RowBox[{"p2", " ", "q3"}]}], ",", 
         RowBox[{
          RowBox[{"p0", " ", "q0"}], "-", 
          RowBox[{"p1", " ", "q1"}], "-", 
          RowBox[{"p2", " ", "q2"}], "+", 
          RowBox[{"p3", " ", "q3"}]}]}], "}"}]}], "}"}]}], "]"}]}]}]], "Input",\

 InitializationCell->True,
 CellChangeTimes->{{3.726367301148354*^9, 3.7263673339817343`*^9}, {
  3.726368675528162*^9, 3.726368740479024*^9}},
 CellLabel->"In[52]:=",ExpressionUUID->"e5dbe8c3-3f75-4ab2-a492-f5ee9450711c"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"Match", " ", "order", " ", "of", " ", "makeExxmat"}], ";", " ", 
     "\[IndentingNewLine]", 
     RowBox[{
     "REMEMBER", " ", "move", " ", "to", " ", "center", " ", "of", " ", 
      "mass"}], ";", "  ", 
     RowBox[{
      RowBox[{"And", " ", "you", " ", "need", " ", "SO4", " ", "Global"}], 
      " ", "\[Rule]", " ", 
      RowBox[{"2", " ", 
       RowBox[{"quaternions", ".", "\[IndentingNewLine]", 
        RowBox[{"--", "how"}]}], " ", "do", " ", "you", " ", "randomize", " ", 
       RowBox[{"that", "?", "\[IndentingNewLine]", "REMEMBER"}], " ", "the", 
       " ", "DATA", " ", "are", " ", "uniform"}]}]}], ",", " ", 
    RowBox[{
    "but", " ", "the", " ", "NOISE", " ", "should", " ", "be", " ", 
     "Gaussian"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"build4DPntdataset", "[", 
    RowBox[{"npts_", ",", 
     RowBox[{"pqquats_:", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Cos", "[", 
           RowBox[{"Pi", "/", "8"}], "]"}], ",", "0", ",", "0", ",", 
          RowBox[{"Sin", "[", 
           RowBox[{"Pi", "/", "8"}], "]"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Cos", "[", 
           RowBox[{"Pi", "/", "8"}], "]"}], ",", "0", ",", "0", ",", 
          RowBox[{"Sin", "[", 
           RowBox[{"Pi", "/", "8"}], "]"}]}], "}"}]}], "}"}]}], ",", 
     RowBox[{"size_:", "1"}], ",", 
     RowBox[{"rmax_:", "0.05"}]}], "]"}], " ", ":=", " ", 
   "\[IndentingNewLine]", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"xRef", " ", "=", "  ", 
        RowBox[{"randomBall4CM", "[", 
         RowBox[{"npts", ",", "size"}], "]"}]}], ",", "xRefCtr", ",", 
       "xTgtCtr", ",", " ", "pquat", ",", "qquat", ",", " ", 
       "\[IndentingNewLine]", 
       RowBox[{"xJitter", " ", "=", 
        RowBox[{"RandomVariate", "[", 
         RowBox[{
          RowBox[{"NormalDistribution", "[", 
           RowBox[{"0", ",", "rmax"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"npts", ",", "4"}], "}"}]}], "]"}]}], ",", 
       "\[IndentingNewLine]", "xTgt", ",", "xTgtInit", ",", "th", ",", 
       "rotTgt"}], "}"}], ",", 
     RowBox[{"(*", " ", 
      RowBox[{
       RowBox[{"checkJitter", "=", "xJitter"}], ";"}], "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"xTgtInit", " ", "=", "  ", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"xRef", " ", "[", 
           RowBox[{"[", "i", "]"}], "]"}], "+", " ", 
          RowBox[{"xJitter", "[", 
           RowBox[{"[", "i", "]"}], "]"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "1", ",", "npts"}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{
        RowBox[{
         RowBox[{"to", " ", "ctr", " ", "of", " ", "mass", "  ", "xRefCtr"}], 
         "=", " ", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"Plus", "@@", "xRef"}], ")"}], "/", "npts"}]}], ";", " ", 
        RowBox[{"xRef", " ", "=", " ", 
         RowBox[{"Map", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"#", "-", "xRefCtr"}], " ", ")"}], "&"}], ",", "xRef"}], 
          "]"}]}], ";"}], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{"to", " ", "ctr", " ", "of", " ", "mass"}], " ", "*)"}], " ", 
      RowBox[{"xTgtCtr", "=", 
       RowBox[{
        RowBox[{"(", " ", 
         RowBox[{"Plus", "@@", "xTgtInit"}], ")"}], "/", "npts"}]}], ";", " ", 
      RowBox[{"xTgtInit", " ", "=", " ", 
       RowBox[{"Map", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"#", "-", "xTgtCtr"}], ")"}], " ", "&"}], ",", 
         "xTgtInit"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"pquat", ",", "qquat"}], "}"}], "=", 
       RowBox[{"pqquats", "//", "N"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"rotTgt", " ", "=", 
       RowBox[{"PQbTo4DRot", "[", 
        RowBox[{"pquat", ",", "qquat"}], "]"}]}], ";", "  ", 
      RowBox[{"xTgt", " ", "=", " ", 
       RowBox[{"Map", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"rotTgt", ".", "#"}], ")"}], "&"}], ",", "xTgtInit"}], 
        "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"xTgt", ",", "xRef", ",", " ", "xTgtInit", ",", 
        RowBox[{"{", 
         RowBox[{"pquat", ",", "qquat"}], "}"}]}], "}"}]}]}], 
    "]"}]}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.7401566126087313`*^9, 3.740156637764062*^9}, {
   3.740156733131111*^9, 3.740156737806591*^9}, {3.740157022119525*^9, 
   3.740157030000266*^9}, {3.740157367687036*^9, 3.740157392800632*^9}, 
   3.740157437040656*^9, {3.740158070725053*^9, 3.740158089235664*^9}, 
   3.740159586840007*^9, {3.740159642514539*^9, 3.740159690146283*^9}, 
   3.740160005070737*^9, {3.740160196850152*^9, 3.740160199330799*^9}, {
   3.7401602613260727`*^9, 3.74016032610748*^9}, {3.740160486288015*^9, 
   3.7401604871031847`*^9}, {3.740160673001334*^9, 3.740160701017693*^9}, {
   3.740160922060377*^9, 3.740160922258162*^9}, {3.740161414698333*^9, 
   3.7401614169393044`*^9}, {3.740161536127232*^9, 3.740161542060059*^9}, {
   3.740161709918662*^9, 3.740161716226707*^9}, {3.740161908329082*^9, 
   3.740161950137549*^9}, {3.7401621418305063`*^9, 3.740162147535569*^9}, {
   3.740162577812636*^9, 3.7401626889393873`*^9}, {3.74070578348046*^9, 
   3.740705810718364*^9}, {3.740705989108055*^9, 3.740706033659021*^9}, {
   3.740706199593499*^9, 3.740706215025917*^9}, {3.740706256882056*^9, 
   3.740706262817651*^9}, {3.7407062956491413`*^9, 3.740706480818746*^9}},
 CellLabel->"In[53]:=",ExpressionUUID->"b978a17b-69c2-4432-89de-58cb7bf97ef8"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Output", " ", "=", " ", 
    RowBox[{"3", "x3", " ", "numerical", " ", "matrix", " ", 
     RowBox[{"E", "[", "ij", "]"}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"makeExxmat", "[", 
    RowBox[{"targetList_", ",", "refList_"}], "]"}], ":=", " ", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"len", "=", 
       RowBox[{"Length", "[", "refList", "]"}]}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "Exx", ",", "Exy", ",", "Exz", ",", "Eyx", ",", "Eyy", ",", "Eyz", 
         ",", "Ezx", ",", "Ezy", ",", "Ezz", ",", "n", ",", "i", ",", "j"}], 
        "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"Exx", ",", "Exy", ",", "Exz"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"Eyx", ",", "Eyy", ",", "Eyz"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"Ezx", ",", "Ezy", ",", "Ezz"}], "}"}]}], "}"}], " ", "=", 
        "\[IndentingNewLine]", 
        RowBox[{"Table", "[", " ", 
         RowBox[{
          RowBox[{"Sum", " ", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"targetList", "[", 
              RowBox[{"[", 
               RowBox[{"n", ",", "i"}], "]"}], "]"}], " ", 
             RowBox[{"refList", "[", 
              RowBox[{"[", 
               RowBox[{"n", ",", "j"}], "]"}], "]"}]}], ",", 
            RowBox[{"{", 
             RowBox[{"n", ",", "1", ",", "len"}], "}"}]}], "]"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{"i", ",", "1", ",", "3"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"j", ",", "1", ",", "3"}], "}"}]}], "]"}]}]}], "]"}]}], 
    "]"}]}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.725625081905693*^9, 3.725625121223707*^9}, 
   3.725625324043811*^9},
 CellLabel->"In[54]:=",ExpressionUUID->"6e7fdc80-3f94-4e81-b8a1-099681260eb7"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"Input", ":", " ", 
     RowBox[{"any", " ", "4", "D", " ", "data"}]}], ",", " ", 
    RowBox[{
     RowBox[{"quat", " ", "or", " ", 
      RowBox[{"space", ".", " ", "Output"}]}], " ", "=", " ", 
     RowBox[{"4", "x4", " ", "numerical", " ", "matrix", " ", 
      RowBox[{"E", "[", "ij", "]"}]}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"makeEwwmat", "[", 
    RowBox[{"qtargetList_", ",", "qrefList_"}], "]"}], ":=", " ", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"len", "=", 
       RowBox[{"Length", "[", "qrefList", "]"}]}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "Eww", ",", "Ewx", ",", "Ewy", ",", "Ewz", ",", "Exw", ",", "Exx", 
         ",", "Exy", ",", "Exz", ",", "Eyw", ",", "Eyx", ",", "Eyy", ",", 
         "Eyz", ",", "Ezw", ",", "Ezx", ",", "Ezy", ",", "Ezz", ",", "n", ",",
          "i", ",", "j"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"Eww", ",", "Ewx", ",", "Ewy", ",", "Ewz"}], "}"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{"Exw", ",", "Exx", ",", "Exy", ",", "Exz"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"Eyw", ",", "Eyx", ",", "Eyy", ",", "Eyz"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"Ezw", ",", "Ezx", ",", "Ezy", ",", "Ezz"}], "}"}]}], 
         "}"}], "=", "\[IndentingNewLine]", 
        RowBox[{"Table", "[", " ", 
         RowBox[{
          RowBox[{"Sum", " ", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"qtargetList", "[", 
              RowBox[{"[", 
               RowBox[{"n", ",", "i"}], "]"}], "]"}], " ", 
             RowBox[{"qrefList", "[", 
              RowBox[{"[", 
               RowBox[{"n", ",", "j"}], "]"}], "]"}]}], ",", 
            RowBox[{"{", 
             RowBox[{"n", ",", "1", ",", "len"}], "}"}]}], "]"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{"i", ",", "1", ",", "4"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"j", ",", "1", ",", "4"}], "}"}]}], "]"}]}]}], "]"}]}], 
    "]"}]}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.725625081905693*^9, 3.725625121223707*^9}, 
   3.725625324043811*^9, {3.7258203358129387`*^9, 3.7258203452435303`*^9}, {
   3.725820514339226*^9, 3.7258205675155163`*^9}, {3.725821365162904*^9, 
   3.725821379419127*^9}, {3.7258219228319893`*^9, 3.725821950678454*^9}, {
   3.726323168183408*^9, 3.726323183831029*^9}},
 CellLabel->"In[55]:=",ExpressionUUID->"485a9f8d-0fa8-4a03-bb94-17babf4702bd"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Output", " ", "=", " ", 
    RowBox[{
    "4", "x4", " ", "numerical", " ", "Horn", " ", "3", "D", " ", "matrix", 
     " ", 
     RowBox[{"M3", "[", "ab", "]"}]}]}], "  ", "*)"}], "\[IndentingNewLine]", 
  
  RowBox[{
   RowBox[{"makeMxxmat", "[", "Exxmat_", "]"}], " ", ":=", " ", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Exx", "=", 
        RowBox[{"Exxmat", "[", 
         RowBox[{"[", 
          RowBox[{"1", ",", "1"}], "]"}], "]"}]}], ",", 
       RowBox[{"Exy", "=", 
        RowBox[{"Exxmat", "[", 
         RowBox[{"[", 
          RowBox[{"1", ",", "2"}], "]"}], "]"}]}], ",", 
       RowBox[{"Exz", "=", 
        RowBox[{"Exxmat", "[", 
         RowBox[{"[", 
          RowBox[{"1", ",", "3"}], "]"}], "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"Eyx", "=", 
        RowBox[{"Exxmat", "[", 
         RowBox[{"[", 
          RowBox[{"2", ",", "1"}], "]"}], "]"}]}], ",", 
       RowBox[{"Eyy", "=", 
        RowBox[{"Exxmat", "[", 
         RowBox[{"[", 
          RowBox[{"2", ",", "2"}], "]"}], "]"}]}], ",", 
       RowBox[{"Eyz", "=", 
        RowBox[{"Exxmat", "[", 
         RowBox[{"[", 
          RowBox[{"2", ",", "3"}], "]"}], "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"Ezx", "=", 
        RowBox[{"Exxmat", "[", 
         RowBox[{"[", 
          RowBox[{"3", ",", "1"}], "]"}], "]"}]}], ",", 
       RowBox[{"Ezy", "=", 
        RowBox[{"Exxmat", "[", 
         RowBox[{"[", 
          RowBox[{"3", ",", "2"}], "]"}], "]"}]}], ",", 
       RowBox[{"Ezz", "=", 
        RowBox[{"Exxmat", "[", 
         RowBox[{"[", 
          RowBox[{"3", ",", "3"}], "]"}], "]"}]}]}], " ", "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", " ", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Exx", "+", "Eyy", "+", "Ezz"}], ",", 
         RowBox[{"Eyz", " ", "-", "Ezy"}], ",", " ", 
         RowBox[{"Ezx", " ", "-", " ", "Exz"}], ",", 
         RowBox[{"Exy", "-", "Eyx"}]}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", " ", 
        RowBox[{
         RowBox[{"Eyz", " ", "-", "Ezy"}], ",", 
         RowBox[{"Exx", "-", "Eyy", "-", "Ezz"}], ",", 
         RowBox[{"Exy", " ", "+", " ", "Eyx"}], ",", " ", 
         RowBox[{"Ezx", "+", "Exz"}]}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Ezx", " ", "-", " ", "Exz"}], ",", 
         RowBox[{"Exy", " ", "+", " ", "Eyx"}], " ", ",", 
         RowBox[{
          RowBox[{"-", "Exx"}], "+", "Eyy", "-", "Ezz"}], ",", 
         RowBox[{"Eyz", "+", "Ezy"}]}], " ", "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"{", " ", 
        RowBox[{
         RowBox[{"Exy", "-", "Eyx"}], ",", " ", 
         RowBox[{"Ezx", "+", "Exz"}], " ", ",", 
         RowBox[{"Eyz", "+", "Ezy"}], " ", ",", 
         RowBox[{
          RowBox[{"-", "Exx"}], "-", "Eyy", "+", "Ezz"}]}], " ", "}"}]}], 
      "}"}]}], "]"}]}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.725625081905693*^9, 3.725625177255262*^9}, {
  3.72562537895212*^9, 3.725625480685306*^9}},
 CellLabel->"In[56]:=",ExpressionUUID->"5d995891-4617-4c9f-b196-70923022be35"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Output", " ", "=", " ", 
    RowBox[{
    "4", "x4", " ", "numerical", " ", "Horn", " ", "4", "D", " ", "matrix", 
     " ", 
     RowBox[{"M4", "[", "ab", "]"}]}]}], "  ", "*)"}], "\[IndentingNewLine]", 
  
  RowBox[{
   RowBox[{"makeMwwmat", "[", "Ewwmat_", "]"}], " ", ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Eww", "=", 
        RowBox[{"Ewwmat", "[", 
         RowBox[{"[", 
          RowBox[{"1", ",", "1"}], "]"}], "]"}]}], ",", 
       RowBox[{"Ewx", "=", 
        RowBox[{"Ewwmat", "[", 
         RowBox[{"[", 
          RowBox[{"1", ",", "2"}], "]"}], "]"}]}], ",", " ", 
       RowBox[{"Ewy", "=", 
        RowBox[{"Ewwmat", "[", 
         RowBox[{"[", 
          RowBox[{"1", ",", "3"}], "]"}], "]"}]}], ",", " ", 
       RowBox[{"Ewz", "=", 
        RowBox[{"Ewwmat", "[", 
         RowBox[{"[", 
          RowBox[{"1", ",", "4"}], "]"}], "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"Exw", "=", 
        RowBox[{"Ewwmat", "[", 
         RowBox[{"[", 
          RowBox[{"2", ",", "1"}], "]"}], "]"}]}], ",", 
       RowBox[{"Exx", " ", "=", 
        RowBox[{"Ewwmat", "[", 
         RowBox[{"[", 
          RowBox[{"2", ",", "2"}], "]"}], "]"}]}], ",", 
       RowBox[{"Exy", "=", 
        RowBox[{"Ewwmat", "[", 
         RowBox[{"[", 
          RowBox[{"2", ",", "3"}], "]"}], "]"}]}], ",", 
       RowBox[{"Exz", "=", 
        RowBox[{"Ewwmat", "[", 
         RowBox[{"[", 
          RowBox[{"2", ",", "4"}], "]"}], "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"Eyw", "=", 
        RowBox[{"Ewwmat", "[", 
         RowBox[{"[", 
          RowBox[{"3", ",", "1"}], "]"}], "]"}]}], ",", 
       RowBox[{"Eyx", "=", 
        RowBox[{"Ewwmat", "[", 
         RowBox[{"[", 
          RowBox[{"3", ",", "2"}], "]"}], "]"}]}], ",", 
       RowBox[{"Eyy", "=", 
        RowBox[{"Ewwmat", "[", 
         RowBox[{"[", 
          RowBox[{"3", ",", "3"}], "]"}], "]"}]}], ",", 
       RowBox[{"Eyz", "=", 
        RowBox[{"Ewwmat", "[", 
         RowBox[{"[", 
          RowBox[{"3", ",", "4"}], "]"}], "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"Ezw", "=", 
        RowBox[{"Ewwmat", "[", 
         RowBox[{"[", 
          RowBox[{"4", ",", "1"}], "]"}], "]"}]}], ",", 
       RowBox[{"Ezx", "=", 
        RowBox[{"Ewwmat", "[", 
         RowBox[{"[", 
          RowBox[{"4", ",", "2"}], "]"}], "]"}]}], ",", 
       RowBox[{"Ezy", "=", 
        RowBox[{"Ewwmat", "[", 
         RowBox[{"[", 
          RowBox[{"4", ",", "3"}], "]"}], "]"}]}], ",", 
       RowBox[{"Ezz", "=", 
        RowBox[{"Ewwmat", "[", 
         RowBox[{"[", 
          RowBox[{"4", ",", "4"}], "]"}], "]"}]}]}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Eww", "+", "Exx", "+", "Eyy", "+", "Ezz"}], ",", 
         RowBox[{
          RowBox[{"-", "Ewx"}], "+", "Exw", "+", "Eyz", "-", "Ezy"}], ",", 
         RowBox[{
          RowBox[{"-", "Ewy"}], "-", "Exz", "+", "Eyw", "+", "Ezx"}], ",", 
         RowBox[{
          RowBox[{"-", "Ewz"}], "+", "Exy", "-", "Eyx", "+", "Ezw"}]}], "}"}],
        ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Ewx", "-", "Exw", "+", "Eyz", "-", "Ezy"}], ",", 
         RowBox[{"Eww", "+", "Exx", "-", "Eyy", "-", "Ezz"}], ",", 
         RowBox[{
          RowBox[{"-", "Ewz"}], "+", "Exy", "+", "Eyx", "-", "Ezw"}], ",", 
         RowBox[{"Ewy", "+", "Exz", "+", "Eyw", "+", "Ezx"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Ewy", "-", "Exz", "-", "Eyw", "+", "Ezx"}], ",", 
         RowBox[{"Ewz", "+", "Exy", "+", "Eyx", "+", "Ezw"}], ",", 
         RowBox[{"Eww", "-", "Exx", "+", "Eyy", "-", "Ezz"}], ",", 
         RowBox[{
          RowBox[{"-", "Ewx"}], "-", "Exw", "+", "Eyz", "+", "Ezy"}]}], "}"}],
        ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Ewz", "+", "Exy", "-", "Eyx", "-", "Ezw"}], ",", 
         RowBox[{
          RowBox[{"-", "Ewy"}], "+", "Exz", "-", "Eyw", "+", "Ezx"}], ",", 
         RowBox[{"Ewx", "+", "Exw", "+", "Eyz", "+", "Ezy"}], ",", 
         RowBox[{"Eww", "-", "Exx", "-", "Eyy", "+", "Ezz"}]}], "}"}]}], 
      "}"}]}], "]"}]}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.725625081905693*^9, 3.725625177255262*^9}, {
   3.72562537895212*^9, 3.725625480685306*^9}, {3.7263235825017433`*^9, 
   3.72632359349949*^9}, {3.726323738251397*^9, 3.726323777629982*^9}, {
   3.726323819738735*^9, 3.726323864347767*^9}, 3.742998257691111*^9},
 CellLabel->"In[57]:=",ExpressionUUID->"3397862c-6a45-4e40-8b50-57657305752c"]
}, Closed]],

Cell[CellGroupData[{

Cell["      Symbolic and numeric 3D point-pair data", "Section",
 CellChangeTimes->{{3.748736784947404*^9, 
  3.748736801126296*^9}},ExpressionUUID->"ea764d82-f3fe-4c84-8f6b-\
17d22dfc522f"],

Cell[BoxData[
 RowBox[{
  RowBox[{"theEmatrix", " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"Exx", ",", "Exy", ",", "Exz"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"Eyx", ",", "Eyy", ",", "Eyz"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"Ezx", ",", "Ezy", ",", "Ezz"}], "}"}]}], "}"}]}], 
  ";"}]], "Code",
 CellChangeTimes->{{3.748485353903935*^9, 3.748485358662114*^9}, {
  3.748485438226763*^9, 3.748485474830468*^9}, {3.74848759839149*^9, 
  3.7484876186982517`*^9}},
 CellLabel->"In[58]:=",ExpressionUUID->"77567cbf-6a3e-4b31-a3c8-0c18ff9a379f"],

Cell[BoxData[
 RowBox[{
  RowBox[{"theMmatrix", " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Exx", "+", "Eyy", "+", "Ezz"}], ",", 
       RowBox[{"Eyz", "-", "Ezy"}], ",", 
       RowBox[{
        RowBox[{"-", "Exz"}], "+", "Ezx"}], ",", 
       RowBox[{"Exy", "-", "Eyx"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Eyz", "-", "Ezy"}], ",", 
       RowBox[{"Exx", "-", "Eyy", "-", "Ezz"}], ",", 
       RowBox[{"Exy", "+", "Eyx"}], ",", 
       RowBox[{"Exz", "+", "Ezx"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "Exz"}], "+", "Ezx"}], ",", 
       RowBox[{"Exy", "+", "Eyx"}], ",", 
       RowBox[{
        RowBox[{"-", "Exx"}], "+", "Eyy", "-", "Ezz"}], ",", 
       RowBox[{"Eyz", "+", "Ezy"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Exy", "-", "Eyx"}], ",", 
       RowBox[{"Exz", "+", "Ezx"}], ",", 
       RowBox[{"Eyz", "+", "Ezy"}], ",", 
       RowBox[{
        RowBox[{"-", "Exx"}], "-", "Eyy", "+", "Ezz"}]}], "}"}]}], "}"}]}], 
  ";"}]], "Code",
 CellChangeTimes->{{3.748485328693684*^9, 3.748485347256428*^9}, 
   3.748485487279829*^9, {3.7484875349700727`*^9, 3.7484875381842613`*^9}, {
   3.748487589211094*^9, 3.7484875916662207`*^9}},
 CellLabel->"In[59]:=",ExpressionUUID->"94361d19-0061-4767-a97d-db6f6224c593"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"numEmatrix", "=", 
  RowBox[{"makeExxmat", "@@", 
   RowBox[{
    RowBox[{"build3DPntdataset", "[", "100", "]"}], "[", 
    RowBox[{"[", 
     RowBox[{"1", ";;", "2"}], "]"}], "]"}]}]}]], "Code",
 CellChangeTimes->{{3.7484883333197937`*^9, 3.748488334925974*^9}, {
   3.748488491988289*^9, 3.7484885183400393`*^9}, 3.748488685868037*^9},
 CellLabel->"In[60]:=",ExpressionUUID->"985068d0-a738-44ae-80f6-985c7a09af21"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"11.270948906723552`", ",", 
     RowBox[{"-", "13.915460747875613`"}], ",", 
     RowBox[{"-", "0.17097018946511375`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "11.061323313183667`", ",", "13.475305589174928`", ",", 
     "2.9036885061923066`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "1.7175984899097028`", ",", "1.823660548352927`", ",", 
     "21.291956522689123`"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.74848851955033*^9, {3.7484886709951897`*^9, 3.748488686578148*^9}, {
   3.7485265311834507`*^9, 3.748526531790271*^9}, 3.748770501293742*^9},
 CellLabel->"Out[60]=",ExpressionUUID->"27b4862d-92ec-4b8d-bc6f-21dfbdca1193"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", "Canonical", " ", "*)"}], 
  RowBox[{"numericSubRule", " ", "=", 
   RowBox[{"Flatten", "[", " ", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"theEmatrix", " ", "[", 
        RowBox[{"[", 
         RowBox[{"i", ",", "j"}], "]"}], "]"}], "\[Rule]", 
       RowBox[{"numEmatrix", "[", 
        RowBox[{"[", 
         RowBox[{"i", ",", "j"}], "]"}], "]"}]}], ",", "\n", 
      RowBox[{"{", 
       RowBox[{"i", ",", "1", ",", "3"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"j", ",", "1", ",", "3"}], "}"}]}], "]"}], "]"}]}]}]], "Code",
 CellChangeTimes->{{3.748486361115594*^9, 3.748486412556491*^9}, {
  3.748488748543817*^9, 3.748488768941887*^9}, {3.748488812556245*^9, 
  3.748488815451951*^9}, {3.748488846111451*^9, 3.748488858480048*^9}, {
  3.748488895543132*^9, 3.748488905766595*^9}, {3.748736842801259*^9, 
  3.748736858382084*^9}},
 CellLabel->"In[61]:=",ExpressionUUID->"60dbed6d-f7d1-49d1-82cc-213b9b950e57"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"Exx", "\[Rule]", "11.270948906723552`"}], ",", 
   RowBox[{"Exy", "\[Rule]", 
    RowBox[{"-", "13.915460747875613`"}]}], ",", 
   RowBox[{"Exz", "\[Rule]", 
    RowBox[{"-", "0.17097018946511375`"}]}], ",", 
   RowBox[{"Eyx", "\[Rule]", "11.061323313183667`"}], ",", 
   RowBox[{"Eyy", "\[Rule]", "13.475305589174928`"}], ",", 
   RowBox[{"Eyz", "\[Rule]", "2.9036885061923066`"}], ",", 
   RowBox[{"Ezx", "\[Rule]", "1.7175984899097028`"}], ",", 
   RowBox[{"Ezy", "\[Rule]", "1.823660548352927`"}], ",", 
   RowBox[{"Ezz", "\[Rule]", "21.291956522689123`"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.748488906329832*^9, {3.748526531281776*^9, 3.748526531882667*^9}, 
   3.748770501358593*^9},
 CellLabel->"Out[61]=",ExpressionUUID->"7ac0958e-1f38-4335-ab90-54208a7821b7"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"numMmatrix", "=", " ", 
  RowBox[{"theMmatrix", " ", "/.", "numericSubRule"}]}]], "Code",
 CellChangeTimes->{{3.748486456806753*^9, 3.748486488072501*^9}},
 CellLabel->"In[62]:=",ExpressionUUID->"fa9a89e9-f30b-4123-b568-825ac870d43b"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "46.0382110185876`", ",", "1.0800279578393797`", ",", 
     "1.8885686793748164`", ",", 
     RowBox[{"-", "24.97678406105928`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1.0800279578393797`", ",", 
     RowBox[{"-", "23.4963132051405`"}], ",", 
     RowBox[{"-", "2.854137434691946`"}], ",", "1.546628300444589`"}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{"1.8885686793748164`", ",", 
     RowBox[{"-", "2.854137434691946`"}], ",", 
     RowBox[{"-", "19.087599840237747`"}], ",", "4.7273490545452335`"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "24.97678406105928`"}], ",", "1.546628300444589`", ",", 
     "4.7273490545452335`", ",", 
     RowBox[{"-", "3.454297973209357`"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.748486588715529*^9, {3.748487687851245*^9, 3.748487702730986*^9}, 
   3.7484889375782013`*^9, {3.748526531364987*^9, 3.748526531980905*^9}, 
   3.748770501420147*^9},
 CellLabel->"Out[62]=",ExpressionUUID->"6a8a8287-c0e5-4068-bf37-b2d55ef618af"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Numerical: Obtain the optimal rotation directly from 
   {U,S,V} = SVD[E],
and verify that  with E = U.S.V^t,  R = V.U^t,
  Tr[R.E]=Tr[S]    is the maximal Eigenvalue of M.\
\>", "Section",
 CellChangeTimes->{{3.748486337938847*^9, 3.7484863399141903`*^9}, {
  3.7484890012662973`*^9, 
  3.74848919792549*^9}},ExpressionUUID->"44e4667c-8eb7-482b-89da-\
e28011782114"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Timing", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"Umat", ",", "Smat", ",", "Vmat"}], "}"}], "=", 
    RowBox[{"SingularValueDecomposition", "[", "numEmatrix", "]"}]}], "]"}], 
  "[", 
  RowBox[{"[", "1", "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.748485500573378*^9, 3.7484855288884897`*^9}, {
   3.748485574545197*^9, 3.748485619415986*^9}, 3.748486602597973*^9},
 CellLabel->"In[71]:=",ExpressionUUID->"e1c1e5ba-87c1-436e-b5ef-9eab65dec4d3"],

Cell[BoxData["0.000514`"], "Output",
 CellChangeTimes->{3.748485620450886*^9, 3.748486614830173*^9, 
  3.748487713770241*^9, 3.748488944178514*^9, 3.74852653988968*^9, 
  3.7487705131489763`*^9},
 CellLabel->"Out[71]=",ExpressionUUID->"ce2ebf4a-f131-4052-89b3-f6791f5c9bd1"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ByteCount", "/@", 
  RowBox[{"{", 
   RowBox[{"Umat", ",", "Smat", ",", "Vmat"}], "}"}]}]], "Input",
 CellChangeTimes->{{3.7484856247049103`*^9, 3.748485637988282*^9}},
 CellLabel->
  "In[260]:=",ExpressionUUID->"02ba465d-c35c-492d-bed8-fb20786a9bd5"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"184", ",", "184", ",", "184"}], "}"}]], "Output",
 CellChangeTimes->{3.7484856390857687`*^9, 3.7484866188036623`*^9, 
  3.7484877179833107`*^9, 3.7484889468802958`*^9},
 CellLabel->
  "Out[260]=",ExpressionUUID->"b66828d5-f648-4c0b-8b45-206d8a3891cf"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"Tr", "[", "Smat", "]"}], ",", "Smat"}], "}"}]], "Input",
 CellChangeTimes->{{3.7484868691115093`*^9, 3.74848687204723*^9}, {
  3.748487727672729*^9, 3.7484877341767197`*^9}},
 CellLabel->"In[72]:=",ExpressionUUID->"9a943c8c-0653-4a59-afd7-2c1285461bfa"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"56.45395867786375`", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"22.848464470157165`", ",", "0.`", ",", "0.`"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0.`", ",", "18.531627493998354`", ",", "0.`"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0.`", ",", "0.`", ",", "15.073866713708234`"}], "}"}]}], 
    "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.748487734571863*^9, 3.748488950943893*^9, 
  3.748526544405073*^9, 3.748770519492388*^9},
 CellLabel->"Out[72]=",ExpressionUUID->"4cb618e6-e9d2-4606-b3b1-cd70431e32f8"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Umat", ".", "Smat", ".", 
    RowBox[{"Transpose", "[", "Vmat", "]"}]}], "-", "numEmatrix"}], "//", 
  "Chop"}]], "Input",
 CellChangeTimes->{{3.748485657731845*^9, 3.748485685050434*^9}, {
  3.7484866357248507`*^9, 3.748486644265813*^9}},
 CellLabel->"In[73]:=",ExpressionUUID->"4349d6bc-9bbb-4d43-bfc8-e1273f7c4e02"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.748485773303833*^9, {3.7484866233865213`*^9, 3.74848664475434*^9}, 
   3.7484877515147123`*^9, 3.748488957772346*^9, 3.748526547784066*^9, 
   3.748770525075839*^9},
 CellLabel->"Out[73]=",ExpressionUUID->"813cf826-2a31-4da8-89d6-7066b8bebcc4"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"optRot", " ", "=", " ", 
  RowBox[{"Vmat", ".", 
   RowBox[{"Transpose", "[", "Umat", "]"}]}]}]], "Input",
 CellChangeTimes->{{3.7484866771825333`*^9, 3.7484867028273582`*^9}},
 CellLabel->"In[74]:=",ExpressionUUID->"0bd5e751-4f13-49a5-8230-ec0c79246bae"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0.7038918360572165`", ",", "0.7102809267988435`", ",", 
     RowBox[{"-", "0.006106403014472239`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.7103051567037777`"}], ",", "0.703843329723319`", ",", 
     RowBox[{"-", "0.008435138648094448`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.0016933670663067113`"}], ",", "0.010274834780495568`", 
     ",", "0.9999457786691294`"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.7484867109287567`*^9, 3.74848780186427*^9, 
  3.748488961720986*^9, 3.748526563406445*^9, 3.7487705286179943`*^9},
 CellLabel->"Out[74]=",ExpressionUUID->"d63c4cf9-8115-4602-95b1-7dfb5ad2635c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "The Answer: Trace [R.E] with the optimal-Rotation from SVD  ",
 Cell[BoxData[
  FormBox[
   RowBox[{"R", "=", 
    RowBox[{"V", ".", 
     SuperscriptBox["U", "t"]}]}], TraditionalForm]],
  FormatType->"TraditionalForm",ExpressionUUID->
  "929bde45-23cd-4f23-b7b7-98a5357b72ea"],
 "  \n      is exactly the maximal eigenvalue of  \[OpenCurlyDoubleQuote]M\
\[CloseCurlyDoubleQuote] obtained numerically:"
}], "Subsubsection",
 CellChangeTimes->{{3.748737662747851*^9, 
  3.7487377747307177`*^9}},ExpressionUUID->"9f842909-1ef4-4aff-8969-\
03d9e791b03b"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Tr", "[", 
  RowBox[{"optRot", ".", "numEmatrix"}], "]"}]], "Input",
 CellChangeTimes->{{3.748486714333983*^9, 3.7484867246521473`*^9}},
 CellLabel->"In[75]:=",ExpressionUUID->"ea87dc16-f32c-465a-a8aa-363e758d395f"],

Cell[BoxData["56.45395867786373`"], "Output",
 CellChangeTimes->{3.748486725248817*^9, 3.748487816400031*^9, 
  3.748488965009761*^9, 3.748526566807166*^9, 3.748770533742506*^9},
 CellLabel->"Out[75]=",ExpressionUUID->"eb8a04ce-010b-439f-9846-4adedd9ef334"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Sort", "[", 
  RowBox[{
   RowBox[{"Eigenvalues", "[", "numMmatrix", "]"}], ",", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"#1", ">", "#2"}], "&"}], ")"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7484867597353086`*^9, 3.748486813501795*^9}},
 CellLabel->"In[76]:=",ExpressionUUID->"7939a222-1b09-49bb-895e-dfa7b45ca8bc"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"56.45395867786375`", ",", 
   RowBox[{"-", "10.757029737549448`"}], ",", 
   RowBox[{"-", "19.390703689867035`"}], ",", 
   RowBox[{"-", "26.306225250447287`"}]}], "}"}]], "Output",
 CellChangeTimes->{3.748486815004992*^9, 3.748487811810267*^9, 
  3.74848896942776*^9, 3.7485265700812674`*^9, 3.748770538142556*^9},
 CellLabel->"Out[76]=",ExpressionUUID->"140719b4-e828-4ba7-aeba-2edf0990b6c0"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Symbolic 3D case:
      Do SVD  symbolically - \
\>", "Section",
 CellChangeTimes->{{3.7484863451144743`*^9, 3.748486347114273*^9}, {
  3.748526025489294*^9, 3.7485260277038116`*^9}, {3.748737880034144*^9, 
  3.748737894218068*^9}},ExpressionUUID->"9beebe13-1a57-44f2-b4d4-\
aa094418a50c"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Timing", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"Umats", ",", "Smats", ",", "Vmats"}], "}"}], "=", 
    RowBox[{
     RowBox[{"SingularValueDecomposition", "[", "theEmatrix", "]"}], "/.", 
     RowBox[{"Conjugate", "\[Rule]", "Identity"}]}]}], "]"}], "[", 
  RowBox[{"[", "1", "]"}], "]"}]], "Code",
 CellChangeTimes->{{3.748485500573378*^9, 3.7484855288884897`*^9}, {
   3.748485574545197*^9, 3.748485619415986*^9}, 3.748486602597973*^9, {
   3.748526034201442*^9, 3.748526034937393*^9}, {3.748526080237652*^9, 
   3.748526088510792*^9}, {3.748526591545477*^9, 3.748526601380962*^9}},
 CellLabel->"In[63]:=",ExpressionUUID->"f19b34c8-a380-4c8b-82c5-0f46a51b5c3e"],

Cell[BoxData["1.338847`"], "Output",
 CellChangeTimes->{3.748526042578273*^9, 3.748526092565194*^9, 
  3.7485266776985893`*^9, 3.748770502785768*^9},
 CellLabel->"Out[63]=",ExpressionUUID->"29b7f9a1-b2ef-4090-bb6d-8c9361e2229e"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ByteCount", "/@", 
  RowBox[{"{", 
   RowBox[{"Umats", ",", "Smats", ",", "Vmats"}], "}"}]}]], "Code",
 CellChangeTimes->{{3.7484856247049103`*^9, 3.748485637988282*^9}, {
  3.7485266035699663`*^9, 3.74852660675733*^9}},
 CellLabel->"In[64]:=",ExpressionUUID->"9e3ad989-e05f-4f12-91c1-38b7fed7a692"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"2231536", ",", "33736", ",", "744568"}], "}"}]], "Output",
 CellChangeTimes->{3.748526047216937*^9, 3.74852609547157*^9, 
  3.748526677846952*^9, 3.74877050292253*^9},
 CellLabel->"Out[64]=",ExpressionUUID->"0fa2cbea-4e6c-413b-94ac-3a612cd4ff73"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Smats", "//", "Simplify"}]], "Code",
 CellChangeTimes->{{3.748526156239544*^9, 3.748526179045061*^9}, 
   3.748526608543477*^9},
 CellLabel->"In[65]:=",ExpressionUUID->"581ee705-d940-48ee-87db-95eeb1d2bf1e"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"\[Sqrt]", 
      RowBox[{"Root", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"-", 
            SuperscriptBox["Exz", "2"]}], " ", 
           SuperscriptBox["Eyy", "2"], " ", 
           SuperscriptBox["Ezx", "2"]}], "+", 
          RowBox[{"2", " ", "Exy", " ", "Exz", " ", "Eyy", " ", "Eyz", " ", 
           SuperscriptBox["Ezx", "2"]}], "-", 
          RowBox[{
           SuperscriptBox["Exy", "2"], " ", 
           SuperscriptBox["Eyz", "2"], " ", 
           SuperscriptBox["Ezx", "2"]}], "+", 
          RowBox[{"2", " ", 
           SuperscriptBox["Exz", "2"], " ", "Eyx", " ", "Eyy", " ", "Ezx", 
           " ", "Ezy"}], "-", 
          RowBox[{
          "2", " ", "Exy", " ", "Exz", " ", "Eyx", " ", "Eyz", " ", "Ezx", 
           " ", "Ezy"}], "-", 
          RowBox[{
          "2", " ", "Exx", " ", "Exz", " ", "Eyy", " ", "Eyz", " ", "Ezx", 
           " ", "Ezy"}], "+", 
          RowBox[{"2", " ", "Exx", " ", "Exy", " ", 
           SuperscriptBox["Eyz", "2"], " ", "Ezx", " ", "Ezy"}], "-", 
          RowBox[{
           SuperscriptBox["Exz", "2"], " ", 
           SuperscriptBox["Eyx", "2"], " ", 
           SuperscriptBox["Ezy", "2"]}], "+", 
          RowBox[{"2", " ", "Exx", " ", "Exz", " ", "Eyx", " ", "Eyz", " ", 
           SuperscriptBox["Ezy", "2"]}], "-", 
          RowBox[{
           SuperscriptBox["Exx", "2"], " ", 
           SuperscriptBox["Eyz", "2"], " ", 
           SuperscriptBox["Ezy", "2"]}], "-", 
          RowBox[{
          "2", " ", "Exy", " ", "Exz", " ", "Eyx", " ", "Eyy", " ", "Ezx", 
           " ", "Ezz"}], "+", 
          RowBox[{"2", " ", "Exx", " ", "Exz", " ", 
           SuperscriptBox["Eyy", "2"], " ", "Ezx", " ", "Ezz"}], "+", 
          RowBox[{"2", " ", 
           SuperscriptBox["Exy", "2"], " ", "Eyx", " ", "Eyz", " ", "Ezx", 
           " ", "Ezz"}], "-", 
          RowBox[{
          "2", " ", "Exx", " ", "Exy", " ", "Eyy", " ", "Eyz", " ", "Ezx", 
           " ", "Ezz"}], "+", 
          RowBox[{"2", " ", "Exy", " ", "Exz", " ", 
           SuperscriptBox["Eyx", "2"], " ", "Ezy", " ", "Ezz"}], "-", 
          RowBox[{
          "2", " ", "Exx", " ", "Exz", " ", "Eyx", " ", "Eyy", " ", "Ezy", 
           " ", "Ezz"}], "-", 
          RowBox[{
          "2", " ", "Exx", " ", "Exy", " ", "Eyx", " ", "Eyz", " ", "Ezy", 
           " ", "Ezz"}], "+", 
          RowBox[{"2", " ", 
           SuperscriptBox["Exx", "2"], " ", "Eyy", " ", "Eyz", " ", "Ezy", 
           " ", "Ezz"}], "-", 
          RowBox[{
           SuperscriptBox["Exy", "2"], " ", 
           SuperscriptBox["Eyx", "2"], " ", 
           SuperscriptBox["Ezz", "2"]}], "+", 
          RowBox[{"2", " ", "Exx", " ", "Exy", " ", "Eyx", " ", "Eyy", " ", 
           SuperscriptBox["Ezz", "2"]}], "-", 
          RowBox[{
           SuperscriptBox["Exx", "2"], " ", 
           SuperscriptBox["Eyy", "2"], " ", 
           SuperscriptBox["Ezz", "2"]}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              SuperscriptBox["Exy", "2"], " ", 
              SuperscriptBox["Eyx", "2"]}], "+", 
             RowBox[{
              SuperscriptBox["Exz", "2"], " ", 
              SuperscriptBox["Eyx", "2"]}], "-", 
             RowBox[{"2", " ", "Exx", " ", "Exy", " ", "Eyx", " ", "Eyy"}], 
             "+", 
             RowBox[{
              SuperscriptBox["Exx", "2"], " ", 
              SuperscriptBox["Eyy", "2"]}], "+", 
             RowBox[{
              SuperscriptBox["Exz", "2"], " ", 
              SuperscriptBox["Eyy", "2"]}], "-", 
             RowBox[{"2", " ", "Exx", " ", "Exz", " ", "Eyx", " ", "Eyz"}], 
             "-", 
             RowBox[{"2", " ", "Exy", " ", "Exz", " ", "Eyy", " ", "Eyz"}], 
             "+", 
             RowBox[{
              SuperscriptBox["Exx", "2"], " ", 
              SuperscriptBox["Eyz", "2"]}], "+", 
             RowBox[{
              SuperscriptBox["Exy", "2"], " ", 
              SuperscriptBox["Eyz", "2"]}], "+", 
             RowBox[{
              SuperscriptBox["Exy", "2"], " ", 
              SuperscriptBox["Ezx", "2"]}], "+", 
             RowBox[{
              SuperscriptBox["Exz", "2"], " ", 
              SuperscriptBox["Ezx", "2"]}], "+", 
             RowBox[{
              SuperscriptBox["Eyy", "2"], " ", 
              SuperscriptBox["Ezx", "2"]}], "+", 
             RowBox[{
              SuperscriptBox["Eyz", "2"], " ", 
              SuperscriptBox["Ezx", "2"]}], "-", 
             RowBox[{"2", " ", "Exx", " ", "Exy", " ", "Ezx", " ", "Ezy"}], 
             "-", 
             RowBox[{"2", " ", "Eyx", " ", "Eyy", " ", "Ezx", " ", "Ezy"}], 
             "+", 
             RowBox[{
              SuperscriptBox["Exx", "2"], " ", 
              SuperscriptBox["Ezy", "2"]}], "+", 
             RowBox[{
              SuperscriptBox["Exz", "2"], " ", 
              SuperscriptBox["Ezy", "2"]}], "+", 
             RowBox[{
              SuperscriptBox["Eyx", "2"], " ", 
              SuperscriptBox["Ezy", "2"]}], "+", 
             RowBox[{
              SuperscriptBox["Eyz", "2"], " ", 
              SuperscriptBox["Ezy", "2"]}], "-", 
             RowBox[{"2", " ", "Exx", " ", "Exz", " ", "Ezx", " ", "Ezz"}], 
             "-", 
             RowBox[{"2", " ", "Eyx", " ", "Eyz", " ", "Ezx", " ", "Ezz"}], 
             "-", 
             RowBox[{"2", " ", "Exy", " ", "Exz", " ", "Ezy", " ", "Ezz"}], 
             "-", 
             RowBox[{"2", " ", "Eyy", " ", "Eyz", " ", "Ezy", " ", "Ezz"}], 
             "+", 
             RowBox[{
              SuperscriptBox["Exx", "2"], " ", 
              SuperscriptBox["Ezz", "2"]}], "+", 
             RowBox[{
              SuperscriptBox["Exy", "2"], " ", 
              SuperscriptBox["Ezz", "2"]}], "+", 
             RowBox[{
              SuperscriptBox["Eyx", "2"], " ", 
              SuperscriptBox["Ezz", "2"]}], "+", 
             RowBox[{
              SuperscriptBox["Eyy", "2"], " ", 
              SuperscriptBox["Ezz", "2"]}]}], ")"}], " ", "#1"}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", 
              SuperscriptBox["Exx", "2"]}], "-", 
             SuperscriptBox["Exy", "2"], "-", 
             SuperscriptBox["Exz", "2"], "-", 
             SuperscriptBox["Eyx", "2"], "-", 
             SuperscriptBox["Eyy", "2"], "-", 
             SuperscriptBox["Eyz", "2"], "-", 
             SuperscriptBox["Ezx", "2"], "-", 
             SuperscriptBox["Ezy", "2"], "-", 
             SuperscriptBox["Ezz", "2"]}], ")"}], " ", 
           SuperscriptBox["#1", "2"]}], "+", 
          SuperscriptBox["#1", "3"]}], "&"}], ",", "1"}], "]"}]}], ",", "0", 
     ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     RowBox[{"\[Sqrt]", 
      RowBox[{"Root", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"-", 
            SuperscriptBox["Exz", "2"]}], " ", 
           SuperscriptBox["Eyy", "2"], " ", 
           SuperscriptBox["Ezx", "2"]}], "+", 
          RowBox[{"2", " ", "Exy", " ", "Exz", " ", "Eyy", " ", "Eyz", " ", 
           SuperscriptBox["Ezx", "2"]}], "-", 
          RowBox[{
           SuperscriptBox["Exy", "2"], " ", 
           SuperscriptBox["Eyz", "2"], " ", 
           SuperscriptBox["Ezx", "2"]}], "+", 
          RowBox[{"2", " ", 
           SuperscriptBox["Exz", "2"], " ", "Eyx", " ", "Eyy", " ", "Ezx", 
           " ", "Ezy"}], "-", 
          RowBox[{
          "2", " ", "Exy", " ", "Exz", " ", "Eyx", " ", "Eyz", " ", "Ezx", 
           " ", "Ezy"}], "-", 
          RowBox[{
          "2", " ", "Exx", " ", "Exz", " ", "Eyy", " ", "Eyz", " ", "Ezx", 
           " ", "Ezy"}], "+", 
          RowBox[{"2", " ", "Exx", " ", "Exy", " ", 
           SuperscriptBox["Eyz", "2"], " ", "Ezx", " ", "Ezy"}], "-", 
          RowBox[{
           SuperscriptBox["Exz", "2"], " ", 
           SuperscriptBox["Eyx", "2"], " ", 
           SuperscriptBox["Ezy", "2"]}], "+", 
          RowBox[{"2", " ", "Exx", " ", "Exz", " ", "Eyx", " ", "Eyz", " ", 
           SuperscriptBox["Ezy", "2"]}], "-", 
          RowBox[{
           SuperscriptBox["Exx", "2"], " ", 
           SuperscriptBox["Eyz", "2"], " ", 
           SuperscriptBox["Ezy", "2"]}], "-", 
          RowBox[{
          "2", " ", "Exy", " ", "Exz", " ", "Eyx", " ", "Eyy", " ", "Ezx", 
           " ", "Ezz"}], "+", 
          RowBox[{"2", " ", "Exx", " ", "Exz", " ", 
           SuperscriptBox["Eyy", "2"], " ", "Ezx", " ", "Ezz"}], "+", 
          RowBox[{"2", " ", 
           SuperscriptBox["Exy", "2"], " ", "Eyx", " ", "Eyz", " ", "Ezx", 
           " ", "Ezz"}], "-", 
          RowBox[{
          "2", " ", "Exx", " ", "Exy", " ", "Eyy", " ", "Eyz", " ", "Ezx", 
           " ", "Ezz"}], "+", 
          RowBox[{"2", " ", "Exy", " ", "Exz", " ", 
           SuperscriptBox["Eyx", "2"], " ", "Ezy", " ", "Ezz"}], "-", 
          RowBox[{
          "2", " ", "Exx", " ", "Exz", " ", "Eyx", " ", "Eyy", " ", "Ezy", 
           " ", "Ezz"}], "-", 
          RowBox[{
          "2", " ", "Exx", " ", "Exy", " ", "Eyx", " ", "Eyz", " ", "Ezy", 
           " ", "Ezz"}], "+", 
          RowBox[{"2", " ", 
           SuperscriptBox["Exx", "2"], " ", "Eyy", " ", "Eyz", " ", "Ezy", 
           " ", "Ezz"}], "-", 
          RowBox[{
           SuperscriptBox["Exy", "2"], " ", 
           SuperscriptBox["Eyx", "2"], " ", 
           SuperscriptBox["Ezz", "2"]}], "+", 
          RowBox[{"2", " ", "Exx", " ", "Exy", " ", "Eyx", " ", "Eyy", " ", 
           SuperscriptBox["Ezz", "2"]}], "-", 
          RowBox[{
           SuperscriptBox["Exx", "2"], " ", 
           SuperscriptBox["Eyy", "2"], " ", 
           SuperscriptBox["Ezz", "2"]}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              SuperscriptBox["Exy", "2"], " ", 
              SuperscriptBox["Eyx", "2"]}], "+", 
             RowBox[{
              SuperscriptBox["Exz", "2"], " ", 
              SuperscriptBox["Eyx", "2"]}], "-", 
             RowBox[{"2", " ", "Exx", " ", "Exy", " ", "Eyx", " ", "Eyy"}], 
             "+", 
             RowBox[{
              SuperscriptBox["Exx", "2"], " ", 
              SuperscriptBox["Eyy", "2"]}], "+", 
             RowBox[{
              SuperscriptBox["Exz", "2"], " ", 
              SuperscriptBox["Eyy", "2"]}], "-", 
             RowBox[{"2", " ", "Exx", " ", "Exz", " ", "Eyx", " ", "Eyz"}], 
             "-", 
             RowBox[{"2", " ", "Exy", " ", "Exz", " ", "Eyy", " ", "Eyz"}], 
             "+", 
             RowBox[{
              SuperscriptBox["Exx", "2"], " ", 
              SuperscriptBox["Eyz", "2"]}], "+", 
             RowBox[{
              SuperscriptBox["Exy", "2"], " ", 
              SuperscriptBox["Eyz", "2"]}], "+", 
             RowBox[{
              SuperscriptBox["Exy", "2"], " ", 
              SuperscriptBox["Ezx", "2"]}], "+", 
             RowBox[{
              SuperscriptBox["Exz", "2"], " ", 
              SuperscriptBox["Ezx", "2"]}], "+", 
             RowBox[{
              SuperscriptBox["Eyy", "2"], " ", 
              SuperscriptBox["Ezx", "2"]}], "+", 
             RowBox[{
              SuperscriptBox["Eyz", "2"], " ", 
              SuperscriptBox["Ezx", "2"]}], "-", 
             RowBox[{"2", " ", "Exx", " ", "Exy", " ", "Ezx", " ", "Ezy"}], 
             "-", 
             RowBox[{"2", " ", "Eyx", " ", "Eyy", " ", "Ezx", " ", "Ezy"}], 
             "+", 
             RowBox[{
              SuperscriptBox["Exx", "2"], " ", 
              SuperscriptBox["Ezy", "2"]}], "+", 
             RowBox[{
              SuperscriptBox["Exz", "2"], " ", 
              SuperscriptBox["Ezy", "2"]}], "+", 
             RowBox[{
              SuperscriptBox["Eyx", "2"], " ", 
              SuperscriptBox["Ezy", "2"]}], "+", 
             RowBox[{
              SuperscriptBox["Eyz", "2"], " ", 
              SuperscriptBox["Ezy", "2"]}], "-", 
             RowBox[{"2", " ", "Exx", " ", "Exz", " ", "Ezx", " ", "Ezz"}], 
             "-", 
             RowBox[{"2", " ", "Eyx", " ", "Eyz", " ", "Ezx", " ", "Ezz"}], 
             "-", 
             RowBox[{"2", " ", "Exy", " ", "Exz", " ", "Ezy", " ", "Ezz"}], 
             "-", 
             RowBox[{"2", " ", "Eyy", " ", "Eyz", " ", "Ezy", " ", "Ezz"}], 
             "+", 
             RowBox[{
              SuperscriptBox["Exx", "2"], " ", 
              SuperscriptBox["Ezz", "2"]}], "+", 
             RowBox[{
              SuperscriptBox["Exy", "2"], " ", 
              SuperscriptBox["Ezz", "2"]}], "+", 
             RowBox[{
              SuperscriptBox["Eyx", "2"], " ", 
              SuperscriptBox["Ezz", "2"]}], "+", 
             RowBox[{
              SuperscriptBox["Eyy", "2"], " ", 
              SuperscriptBox["Ezz", "2"]}]}], ")"}], " ", "#1"}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", 
              SuperscriptBox["Exx", "2"]}], "-", 
             SuperscriptBox["Exy", "2"], "-", 
             SuperscriptBox["Exz", "2"], "-", 
             SuperscriptBox["Eyx", "2"], "-", 
             SuperscriptBox["Eyy", "2"], "-", 
             SuperscriptBox["Eyz", "2"], "-", 
             SuperscriptBox["Ezx", "2"], "-", 
             SuperscriptBox["Ezy", "2"], "-", 
             SuperscriptBox["Ezz", "2"]}], ")"}], " ", 
           SuperscriptBox["#1", "2"]}], "+", 
          SuperscriptBox["#1", "3"]}], "&"}], ",", "2"}], "]"}]}], ",", "0"}],
     "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     RowBox[{"\[Sqrt]", 
      RowBox[{"Root", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"-", 
            SuperscriptBox["Exz", "2"]}], " ", 
           SuperscriptBox["Eyy", "2"], " ", 
           SuperscriptBox["Ezx", "2"]}], "+", 
          RowBox[{"2", " ", "Exy", " ", "Exz", " ", "Eyy", " ", "Eyz", " ", 
           SuperscriptBox["Ezx", "2"]}], "-", 
          RowBox[{
           SuperscriptBox["Exy", "2"], " ", 
           SuperscriptBox["Eyz", "2"], " ", 
           SuperscriptBox["Ezx", "2"]}], "+", 
          RowBox[{"2", " ", 
           SuperscriptBox["Exz", "2"], " ", "Eyx", " ", "Eyy", " ", "Ezx", 
           " ", "Ezy"}], "-", 
          RowBox[{
          "2", " ", "Exy", " ", "Exz", " ", "Eyx", " ", "Eyz", " ", "Ezx", 
           " ", "Ezy"}], "-", 
          RowBox[{
          "2", " ", "Exx", " ", "Exz", " ", "Eyy", " ", "Eyz", " ", "Ezx", 
           " ", "Ezy"}], "+", 
          RowBox[{"2", " ", "Exx", " ", "Exy", " ", 
           SuperscriptBox["Eyz", "2"], " ", "Ezx", " ", "Ezy"}], "-", 
          RowBox[{
           SuperscriptBox["Exz", "2"], " ", 
           SuperscriptBox["Eyx", "2"], " ", 
           SuperscriptBox["Ezy", "2"]}], "+", 
          RowBox[{"2", " ", "Exx", " ", "Exz", " ", "Eyx", " ", "Eyz", " ", 
           SuperscriptBox["Ezy", "2"]}], "-", 
          RowBox[{
           SuperscriptBox["Exx", "2"], " ", 
           SuperscriptBox["Eyz", "2"], " ", 
           SuperscriptBox["Ezy", "2"]}], "-", 
          RowBox[{
          "2", " ", "Exy", " ", "Exz", " ", "Eyx", " ", "Eyy", " ", "Ezx", 
           " ", "Ezz"}], "+", 
          RowBox[{"2", " ", "Exx", " ", "Exz", " ", 
           SuperscriptBox["Eyy", "2"], " ", "Ezx", " ", "Ezz"}], "+", 
          RowBox[{"2", " ", 
           SuperscriptBox["Exy", "2"], " ", "Eyx", " ", "Eyz", " ", "Ezx", 
           " ", "Ezz"}], "-", 
          RowBox[{
          "2", " ", "Exx", " ", "Exy", " ", "Eyy", " ", "Eyz", " ", "Ezx", 
           " ", "Ezz"}], "+", 
          RowBox[{"2", " ", "Exy", " ", "Exz", " ", 
           SuperscriptBox["Eyx", "2"], " ", "Ezy", " ", "Ezz"}], "-", 
          RowBox[{
          "2", " ", "Exx", " ", "Exz", " ", "Eyx", " ", "Eyy", " ", "Ezy", 
           " ", "Ezz"}], "-", 
          RowBox[{
          "2", " ", "Exx", " ", "Exy", " ", "Eyx", " ", "Eyz", " ", "Ezy", 
           " ", "Ezz"}], "+", 
          RowBox[{"2", " ", 
           SuperscriptBox["Exx", "2"], " ", "Eyy", " ", "Eyz", " ", "Ezy", 
           " ", "Ezz"}], "-", 
          RowBox[{
           SuperscriptBox["Exy", "2"], " ", 
           SuperscriptBox["Eyx", "2"], " ", 
           SuperscriptBox["Ezz", "2"]}], "+", 
          RowBox[{"2", " ", "Exx", " ", "Exy", " ", "Eyx", " ", "Eyy", " ", 
           SuperscriptBox["Ezz", "2"]}], "-", 
          RowBox[{
           SuperscriptBox["Exx", "2"], " ", 
           SuperscriptBox["Eyy", "2"], " ", 
           SuperscriptBox["Ezz", "2"]}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              SuperscriptBox["Exy", "2"], " ", 
              SuperscriptBox["Eyx", "2"]}], "+", 
             RowBox[{
              SuperscriptBox["Exz", "2"], " ", 
              SuperscriptBox["Eyx", "2"]}], "-", 
             RowBox[{"2", " ", "Exx", " ", "Exy", " ", "Eyx", " ", "Eyy"}], 
             "+", 
             RowBox[{
              SuperscriptBox["Exx", "2"], " ", 
              SuperscriptBox["Eyy", "2"]}], "+", 
             RowBox[{
              SuperscriptBox["Exz", "2"], " ", 
              SuperscriptBox["Eyy", "2"]}], "-", 
             RowBox[{"2", " ", "Exx", " ", "Exz", " ", "Eyx", " ", "Eyz"}], 
             "-", 
             RowBox[{"2", " ", "Exy", " ", "Exz", " ", "Eyy", " ", "Eyz"}], 
             "+", 
             RowBox[{
              SuperscriptBox["Exx", "2"], " ", 
              SuperscriptBox["Eyz", "2"]}], "+", 
             RowBox[{
              SuperscriptBox["Exy", "2"], " ", 
              SuperscriptBox["Eyz", "2"]}], "+", 
             RowBox[{
              SuperscriptBox["Exy", "2"], " ", 
              SuperscriptBox["Ezx", "2"]}], "+", 
             RowBox[{
              SuperscriptBox["Exz", "2"], " ", 
              SuperscriptBox["Ezx", "2"]}], "+", 
             RowBox[{
              SuperscriptBox["Eyy", "2"], " ", 
              SuperscriptBox["Ezx", "2"]}], "+", 
             RowBox[{
              SuperscriptBox["Eyz", "2"], " ", 
              SuperscriptBox["Ezx", "2"]}], "-", 
             RowBox[{"2", " ", "Exx", " ", "Exy", " ", "Ezx", " ", "Ezy"}], 
             "-", 
             RowBox[{"2", " ", "Eyx", " ", "Eyy", " ", "Ezx", " ", "Ezy"}], 
             "+", 
             RowBox[{
              SuperscriptBox["Exx", "2"], " ", 
              SuperscriptBox["Ezy", "2"]}], "+", 
             RowBox[{
              SuperscriptBox["Exz", "2"], " ", 
              SuperscriptBox["Ezy", "2"]}], "+", 
             RowBox[{
              SuperscriptBox["Eyx", "2"], " ", 
              SuperscriptBox["Ezy", "2"]}], "+", 
             RowBox[{
              SuperscriptBox["Eyz", "2"], " ", 
              SuperscriptBox["Ezy", "2"]}], "-", 
             RowBox[{"2", " ", "Exx", " ", "Exz", " ", "Ezx", " ", "Ezz"}], 
             "-", 
             RowBox[{"2", " ", "Eyx", " ", "Eyz", " ", "Ezx", " ", "Ezz"}], 
             "-", 
             RowBox[{"2", " ", "Exy", " ", "Exz", " ", "Ezy", " ", "Ezz"}], 
             "-", 
             RowBox[{"2", " ", "Eyy", " ", "Eyz", " ", "Ezy", " ", "Ezz"}], 
             "+", 
             RowBox[{
              SuperscriptBox["Exx", "2"], " ", 
              SuperscriptBox["Ezz", "2"]}], "+", 
             RowBox[{
              SuperscriptBox["Exy", "2"], " ", 
              SuperscriptBox["Ezz", "2"]}], "+", 
             RowBox[{
              SuperscriptBox["Eyx", "2"], " ", 
              SuperscriptBox["Ezz", "2"]}], "+", 
             RowBox[{
              SuperscriptBox["Eyy", "2"], " ", 
              SuperscriptBox["Ezz", "2"]}]}], ")"}], " ", "#1"}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", 
              SuperscriptBox["Exx", "2"]}], "-", 
             SuperscriptBox["Exy", "2"], "-", 
             SuperscriptBox["Exz", "2"], "-", 
             SuperscriptBox["Eyx", "2"], "-", 
             SuperscriptBox["Eyy", "2"], "-", 
             SuperscriptBox["Eyz", "2"], "-", 
             SuperscriptBox["Ezx", "2"], "-", 
             SuperscriptBox["Ezy", "2"], "-", 
             SuperscriptBox["Ezz", "2"]}], ")"}], " ", 
           SuperscriptBox["#1", "2"]}], "+", 
          SuperscriptBox["#1", "3"]}], "&"}], ",", "3"}], "]"}]}]}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.748526159712388*^9, 3.748526179499607*^9}, 
   3.74852667794796*^9, 3.748770502994295*^9},
 CellLabel->"Out[65]=",ExpressionUUID->"1ed6bcd4-5a14-4222-bc19-9c118e21aba7"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Tr", "[", "Smats", "]"}], "//", "Simplify"}]], "Code",
 CellChangeTimes->{{3.748526126104968*^9, 3.748526128149737*^9}, {
   3.748526610520265*^9, 3.748526630893285*^9}, 3.748526718077796*^9},
 CellLabel->"In[66]:=",ExpressionUUID->"5fa769f4-48ff-45e5-a3fe-41f74fbc1bb9"],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[Sqrt]", 
   RowBox[{"Root", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"-", 
         SuperscriptBox["Exz", "2"]}], " ", 
        SuperscriptBox["Eyy", "2"], " ", 
        SuperscriptBox["Ezx", "2"]}], "+", 
       RowBox[{"2", " ", "Exy", " ", "Exz", " ", "Eyy", " ", "Eyz", " ", 
        SuperscriptBox["Ezx", "2"]}], "-", 
       RowBox[{
        SuperscriptBox["Exy", "2"], " ", 
        SuperscriptBox["Eyz", "2"], " ", 
        SuperscriptBox["Ezx", "2"]}], "+", 
       RowBox[{"2", " ", 
        SuperscriptBox["Exz", "2"], " ", "Eyx", " ", "Eyy", " ", "Ezx", " ", 
        "Ezy"}], "-", 
       RowBox[{
       "2", " ", "Exy", " ", "Exz", " ", "Eyx", " ", "Eyz", " ", "Ezx", " ", 
        "Ezy"}], "-", 
       RowBox[{
       "2", " ", "Exx", " ", "Exz", " ", "Eyy", " ", "Eyz", " ", "Ezx", " ", 
        "Ezy"}], "+", 
       RowBox[{"2", " ", "Exx", " ", "Exy", " ", 
        SuperscriptBox["Eyz", "2"], " ", "Ezx", " ", "Ezy"}], "-", 
       RowBox[{
        SuperscriptBox["Exz", "2"], " ", 
        SuperscriptBox["Eyx", "2"], " ", 
        SuperscriptBox["Ezy", "2"]}], "+", 
       RowBox[{"2", " ", "Exx", " ", "Exz", " ", "Eyx", " ", "Eyz", " ", 
        SuperscriptBox["Ezy", "2"]}], "-", 
       RowBox[{
        SuperscriptBox["Exx", "2"], " ", 
        SuperscriptBox["Eyz", "2"], " ", 
        SuperscriptBox["Ezy", "2"]}], "-", 
       RowBox[{
       "2", " ", "Exy", " ", "Exz", " ", "Eyx", " ", "Eyy", " ", "Ezx", " ", 
        "Ezz"}], "+", 
       RowBox[{"2", " ", "Exx", " ", "Exz", " ", 
        SuperscriptBox["Eyy", "2"], " ", "Ezx", " ", "Ezz"}], "+", 
       RowBox[{"2", " ", 
        SuperscriptBox["Exy", "2"], " ", "Eyx", " ", "Eyz", " ", "Ezx", " ", 
        "Ezz"}], "-", 
       RowBox[{
       "2", " ", "Exx", " ", "Exy", " ", "Eyy", " ", "Eyz", " ", "Ezx", " ", 
        "Ezz"}], "+", 
       RowBox[{"2", " ", "Exy", " ", "Exz", " ", 
        SuperscriptBox["Eyx", "2"], " ", "Ezy", " ", "Ezz"}], "-", 
       RowBox[{
       "2", " ", "Exx", " ", "Exz", " ", "Eyx", " ", "Eyy", " ", "Ezy", " ", 
        "Ezz"}], "-", 
       RowBox[{
       "2", " ", "Exx", " ", "Exy", " ", "Eyx", " ", "Eyz", " ", "Ezy", " ", 
        "Ezz"}], "+", 
       RowBox[{"2", " ", 
        SuperscriptBox["Exx", "2"], " ", "Eyy", " ", "Eyz", " ", "Ezy", " ", 
        "Ezz"}], "-", 
       RowBox[{
        SuperscriptBox["Exy", "2"], " ", 
        SuperscriptBox["Eyx", "2"], " ", 
        SuperscriptBox["Ezz", "2"]}], "+", 
       RowBox[{"2", " ", "Exx", " ", "Exy", " ", "Eyx", " ", "Eyy", " ", 
        SuperscriptBox["Ezz", "2"]}], "-", 
       RowBox[{
        SuperscriptBox["Exx", "2"], " ", 
        SuperscriptBox["Eyy", "2"], " ", 
        SuperscriptBox["Ezz", "2"]}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           SuperscriptBox["Exy", "2"], " ", 
           SuperscriptBox["Eyx", "2"]}], "+", 
          RowBox[{
           SuperscriptBox["Exz", "2"], " ", 
           SuperscriptBox["Eyx", "2"]}], "-", 
          RowBox[{"2", " ", "Exx", " ", "Exy", " ", "Eyx", " ", "Eyy"}], "+", 
          
          RowBox[{
           SuperscriptBox["Exx", "2"], " ", 
           SuperscriptBox["Eyy", "2"]}], "+", 
          RowBox[{
           SuperscriptBox["Exz", "2"], " ", 
           SuperscriptBox["Eyy", "2"]}], "-", 
          RowBox[{"2", " ", "Exx", " ", "Exz", " ", "Eyx", " ", "Eyz"}], "-", 
          
          RowBox[{"2", " ", "Exy", " ", "Exz", " ", "Eyy", " ", "Eyz"}], "+", 
          
          RowBox[{
           SuperscriptBox["Exx", "2"], " ", 
           SuperscriptBox["Eyz", "2"]}], "+", 
          RowBox[{
           SuperscriptBox["Exy", "2"], " ", 
           SuperscriptBox["Eyz", "2"]}], "+", 
          RowBox[{
           SuperscriptBox["Exy", "2"], " ", 
           SuperscriptBox["Ezx", "2"]}], "+", 
          RowBox[{
           SuperscriptBox["Exz", "2"], " ", 
           SuperscriptBox["Ezx", "2"]}], "+", 
          RowBox[{
           SuperscriptBox["Eyy", "2"], " ", 
           SuperscriptBox["Ezx", "2"]}], "+", 
          RowBox[{
           SuperscriptBox["Eyz", "2"], " ", 
           SuperscriptBox["Ezx", "2"]}], "-", 
          RowBox[{"2", " ", "Exx", " ", "Exy", " ", "Ezx", " ", "Ezy"}], "-", 
          
          RowBox[{"2", " ", "Eyx", " ", "Eyy", " ", "Ezx", " ", "Ezy"}], "+", 
          
          RowBox[{
           SuperscriptBox["Exx", "2"], " ", 
           SuperscriptBox["Ezy", "2"]}], "+", 
          RowBox[{
           SuperscriptBox["Exz", "2"], " ", 
           SuperscriptBox["Ezy", "2"]}], "+", 
          RowBox[{
           SuperscriptBox["Eyx", "2"], " ", 
           SuperscriptBox["Ezy", "2"]}], "+", 
          RowBox[{
           SuperscriptBox["Eyz", "2"], " ", 
           SuperscriptBox["Ezy", "2"]}], "-", 
          RowBox[{"2", " ", "Exx", " ", "Exz", " ", "Ezx", " ", "Ezz"}], "-", 
          
          RowBox[{"2", " ", "Eyx", " ", "Eyz", " ", "Ezx", " ", "Ezz"}], "-", 
          
          RowBox[{"2", " ", "Exy", " ", "Exz", " ", "Ezy", " ", "Ezz"}], "-", 
          
          RowBox[{"2", " ", "Eyy", " ", "Eyz", " ", "Ezy", " ", "Ezz"}], "+", 
          
          RowBox[{
           SuperscriptBox["Exx", "2"], " ", 
           SuperscriptBox["Ezz", "2"]}], "+", 
          RowBox[{
           SuperscriptBox["Exy", "2"], " ", 
           SuperscriptBox["Ezz", "2"]}], "+", 
          RowBox[{
           SuperscriptBox["Eyx", "2"], " ", 
           SuperscriptBox["Ezz", "2"]}], "+", 
          RowBox[{
           SuperscriptBox["Eyy", "2"], " ", 
           SuperscriptBox["Ezz", "2"]}]}], ")"}], " ", "#1"}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", 
           SuperscriptBox["Exx", "2"]}], "-", 
          SuperscriptBox["Exy", "2"], "-", 
          SuperscriptBox["Exz", "2"], "-", 
          SuperscriptBox["Eyx", "2"], "-", 
          SuperscriptBox["Eyy", "2"], "-", 
          SuperscriptBox["Eyz", "2"], "-", 
          SuperscriptBox["Ezx", "2"], "-", 
          SuperscriptBox["Ezy", "2"], "-", 
          SuperscriptBox["Ezz", "2"]}], ")"}], " ", 
        SuperscriptBox["#1", "2"]}], "+", 
       SuperscriptBox["#1", "3"]}], "&"}], ",", "1"}], "]"}]}], "+", 
  RowBox[{"\[Sqrt]", 
   RowBox[{"Root", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"-", 
         SuperscriptBox["Exz", "2"]}], " ", 
        SuperscriptBox["Eyy", "2"], " ", 
        SuperscriptBox["Ezx", "2"]}], "+", 
       RowBox[{"2", " ", "Exy", " ", "Exz", " ", "Eyy", " ", "Eyz", " ", 
        SuperscriptBox["Ezx", "2"]}], "-", 
       RowBox[{
        SuperscriptBox["Exy", "2"], " ", 
        SuperscriptBox["Eyz", "2"], " ", 
        SuperscriptBox["Ezx", "2"]}], "+", 
       RowBox[{"2", " ", 
        SuperscriptBox["Exz", "2"], " ", "Eyx", " ", "Eyy", " ", "Ezx", " ", 
        "Ezy"}], "-", 
       RowBox[{
       "2", " ", "Exy", " ", "Exz", " ", "Eyx", " ", "Eyz", " ", "Ezx", " ", 
        "Ezy"}], "-", 
       RowBox[{
       "2", " ", "Exx", " ", "Exz", " ", "Eyy", " ", "Eyz", " ", "Ezx", " ", 
        "Ezy"}], "+", 
       RowBox[{"2", " ", "Exx", " ", "Exy", " ", 
        SuperscriptBox["Eyz", "2"], " ", "Ezx", " ", "Ezy"}], "-", 
       RowBox[{
        SuperscriptBox["Exz", "2"], " ", 
        SuperscriptBox["Eyx", "2"], " ", 
        SuperscriptBox["Ezy", "2"]}], "+", 
       RowBox[{"2", " ", "Exx", " ", "Exz", " ", "Eyx", " ", "Eyz", " ", 
        SuperscriptBox["Ezy", "2"]}], "-", 
       RowBox[{
        SuperscriptBox["Exx", "2"], " ", 
        SuperscriptBox["Eyz", "2"], " ", 
        SuperscriptBox["Ezy", "2"]}], "-", 
       RowBox[{
       "2", " ", "Exy", " ", "Exz", " ", "Eyx", " ", "Eyy", " ", "Ezx", " ", 
        "Ezz"}], "+", 
       RowBox[{"2", " ", "Exx", " ", "Exz", " ", 
        SuperscriptBox["Eyy", "2"], " ", "Ezx", " ", "Ezz"}], "+", 
       RowBox[{"2", " ", 
        SuperscriptBox["Exy", "2"], " ", "Eyx", " ", "Eyz", " ", "Ezx", " ", 
        "Ezz"}], "-", 
       RowBox[{
       "2", " ", "Exx", " ", "Exy", " ", "Eyy", " ", "Eyz", " ", "Ezx", " ", 
        "Ezz"}], "+", 
       RowBox[{"2", " ", "Exy", " ", "Exz", " ", 
        SuperscriptBox["Eyx", "2"], " ", "Ezy", " ", "Ezz"}], "-", 
       RowBox[{
       "2", " ", "Exx", " ", "Exz", " ", "Eyx", " ", "Eyy", " ", "Ezy", " ", 
        "Ezz"}], "-", 
       RowBox[{
       "2", " ", "Exx", " ", "Exy", " ", "Eyx", " ", "Eyz", " ", "Ezy", " ", 
        "Ezz"}], "+", 
       RowBox[{"2", " ", 
        SuperscriptBox["Exx", "2"], " ", "Eyy", " ", "Eyz", " ", "Ezy", " ", 
        "Ezz"}], "-", 
       RowBox[{
        SuperscriptBox["Exy", "2"], " ", 
        SuperscriptBox["Eyx", "2"], " ", 
        SuperscriptBox["Ezz", "2"]}], "+", 
       RowBox[{"2", " ", "Exx", " ", "Exy", " ", "Eyx", " ", "Eyy", " ", 
        SuperscriptBox["Ezz", "2"]}], "-", 
       RowBox[{
        SuperscriptBox["Exx", "2"], " ", 
        SuperscriptBox["Eyy", "2"], " ", 
        SuperscriptBox["Ezz", "2"]}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           SuperscriptBox["Exy", "2"], " ", 
           SuperscriptBox["Eyx", "2"]}], "+", 
          RowBox[{
           SuperscriptBox["Exz", "2"], " ", 
           SuperscriptBox["Eyx", "2"]}], "-", 
          RowBox[{"2", " ", "Exx", " ", "Exy", " ", "Eyx", " ", "Eyy"}], "+", 
          
          RowBox[{
           SuperscriptBox["Exx", "2"], " ", 
           SuperscriptBox["Eyy", "2"]}], "+", 
          RowBox[{
           SuperscriptBox["Exz", "2"], " ", 
           SuperscriptBox["Eyy", "2"]}], "-", 
          RowBox[{"2", " ", "Exx", " ", "Exz", " ", "Eyx", " ", "Eyz"}], "-", 
          
          RowBox[{"2", " ", "Exy", " ", "Exz", " ", "Eyy", " ", "Eyz"}], "+", 
          
          RowBox[{
           SuperscriptBox["Exx", "2"], " ", 
           SuperscriptBox["Eyz", "2"]}], "+", 
          RowBox[{
           SuperscriptBox["Exy", "2"], " ", 
           SuperscriptBox["Eyz", "2"]}], "+", 
          RowBox[{
           SuperscriptBox["Exy", "2"], " ", 
           SuperscriptBox["Ezx", "2"]}], "+", 
          RowBox[{
           SuperscriptBox["Exz", "2"], " ", 
           SuperscriptBox["Ezx", "2"]}], "+", 
          RowBox[{
           SuperscriptBox["Eyy", "2"], " ", 
           SuperscriptBox["Ezx", "2"]}], "+", 
          RowBox[{
           SuperscriptBox["Eyz", "2"], " ", 
           SuperscriptBox["Ezx", "2"]}], "-", 
          RowBox[{"2", " ", "Exx", " ", "Exy", " ", "Ezx", " ", "Ezy"}], "-", 
          
          RowBox[{"2", " ", "Eyx", " ", "Eyy", " ", "Ezx", " ", "Ezy"}], "+", 
          
          RowBox[{
           SuperscriptBox["Exx", "2"], " ", 
           SuperscriptBox["Ezy", "2"]}], "+", 
          RowBox[{
           SuperscriptBox["Exz", "2"], " ", 
           SuperscriptBox["Ezy", "2"]}], "+", 
          RowBox[{
           SuperscriptBox["Eyx", "2"], " ", 
           SuperscriptBox["Ezy", "2"]}], "+", 
          RowBox[{
           SuperscriptBox["Eyz", "2"], " ", 
           SuperscriptBox["Ezy", "2"]}], "-", 
          RowBox[{"2", " ", "Exx", " ", "Exz", " ", "Ezx", " ", "Ezz"}], "-", 
          
          RowBox[{"2", " ", "Eyx", " ", "Eyz", " ", "Ezx", " ", "Ezz"}], "-", 
          
          RowBox[{"2", " ", "Exy", " ", "Exz", " ", "Ezy", " ", "Ezz"}], "-", 
          
          RowBox[{"2", " ", "Eyy", " ", "Eyz", " ", "Ezy", " ", "Ezz"}], "+", 
          
          RowBox[{
           SuperscriptBox["Exx", "2"], " ", 
           SuperscriptBox["Ezz", "2"]}], "+", 
          RowBox[{
           SuperscriptBox["Exy", "2"], " ", 
           SuperscriptBox["Ezz", "2"]}], "+", 
          RowBox[{
           SuperscriptBox["Eyx", "2"], " ", 
           SuperscriptBox["Ezz", "2"]}], "+", 
          RowBox[{
           SuperscriptBox["Eyy", "2"], " ", 
           SuperscriptBox["Ezz", "2"]}]}], ")"}], " ", "#1"}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", 
           SuperscriptBox["Exx", "2"]}], "-", 
          SuperscriptBox["Exy", "2"], "-", 
          SuperscriptBox["Exz", "2"], "-", 
          SuperscriptBox["Eyx", "2"], "-", 
          SuperscriptBox["Eyy", "2"], "-", 
          SuperscriptBox["Eyz", "2"], "-", 
          SuperscriptBox["Ezx", "2"], "-", 
          SuperscriptBox["Ezy", "2"], "-", 
          SuperscriptBox["Ezz", "2"]}], ")"}], " ", 
        SuperscriptBox["#1", "2"]}], "+", 
       SuperscriptBox["#1", "3"]}], "&"}], ",", "2"}], "]"}]}], "+", 
  RowBox[{"\[Sqrt]", 
   RowBox[{"Root", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"-", 
         SuperscriptBox["Exz", "2"]}], " ", 
        SuperscriptBox["Eyy", "2"], " ", 
        SuperscriptBox["Ezx", "2"]}], "+", 
       RowBox[{"2", " ", "Exy", " ", "Exz", " ", "Eyy", " ", "Eyz", " ", 
        SuperscriptBox["Ezx", "2"]}], "-", 
       RowBox[{
        SuperscriptBox["Exy", "2"], " ", 
        SuperscriptBox["Eyz", "2"], " ", 
        SuperscriptBox["Ezx", "2"]}], "+", 
       RowBox[{"2", " ", 
        SuperscriptBox["Exz", "2"], " ", "Eyx", " ", "Eyy", " ", "Ezx", " ", 
        "Ezy"}], "-", 
       RowBox[{
       "2", " ", "Exy", " ", "Exz", " ", "Eyx", " ", "Eyz", " ", "Ezx", " ", 
        "Ezy"}], "-", 
       RowBox[{
       "2", " ", "Exx", " ", "Exz", " ", "Eyy", " ", "Eyz", " ", "Ezx", " ", 
        "Ezy"}], "+", 
       RowBox[{"2", " ", "Exx", " ", "Exy", " ", 
        SuperscriptBox["Eyz", "2"], " ", "Ezx", " ", "Ezy"}], "-", 
       RowBox[{
        SuperscriptBox["Exz", "2"], " ", 
        SuperscriptBox["Eyx", "2"], " ", 
        SuperscriptBox["Ezy", "2"]}], "+", 
       RowBox[{"2", " ", "Exx", " ", "Exz", " ", "Eyx", " ", "Eyz", " ", 
        SuperscriptBox["Ezy", "2"]}], "-", 
       RowBox[{
        SuperscriptBox["Exx", "2"], " ", 
        SuperscriptBox["Eyz", "2"], " ", 
        SuperscriptBox["Ezy", "2"]}], "-", 
       RowBox[{
       "2", " ", "Exy", " ", "Exz", " ", "Eyx", " ", "Eyy", " ", "Ezx", " ", 
        "Ezz"}], "+", 
       RowBox[{"2", " ", "Exx", " ", "Exz", " ", 
        SuperscriptBox["Eyy", "2"], " ", "Ezx", " ", "Ezz"}], "+", 
       RowBox[{"2", " ", 
        SuperscriptBox["Exy", "2"], " ", "Eyx", " ", "Eyz", " ", "Ezx", " ", 
        "Ezz"}], "-", 
       RowBox[{
       "2", " ", "Exx", " ", "Exy", " ", "Eyy", " ", "Eyz", " ", "Ezx", " ", 
        "Ezz"}], "+", 
       RowBox[{"2", " ", "Exy", " ", "Exz", " ", 
        SuperscriptBox["Eyx", "2"], " ", "Ezy", " ", "Ezz"}], "-", 
       RowBox[{
       "2", " ", "Exx", " ", "Exz", " ", "Eyx", " ", "Eyy", " ", "Ezy", " ", 
        "Ezz"}], "-", 
       RowBox[{
       "2", " ", "Exx", " ", "Exy", " ", "Eyx", " ", "Eyz", " ", "Ezy", " ", 
        "Ezz"}], "+", 
       RowBox[{"2", " ", 
        SuperscriptBox["Exx", "2"], " ", "Eyy", " ", "Eyz", " ", "Ezy", " ", 
        "Ezz"}], "-", 
       RowBox[{
        SuperscriptBox["Exy", "2"], " ", 
        SuperscriptBox["Eyx", "2"], " ", 
        SuperscriptBox["Ezz", "2"]}], "+", 
       RowBox[{"2", " ", "Exx", " ", "Exy", " ", "Eyx", " ", "Eyy", " ", 
        SuperscriptBox["Ezz", "2"]}], "-", 
       RowBox[{
        SuperscriptBox["Exx", "2"], " ", 
        SuperscriptBox["Eyy", "2"], " ", 
        SuperscriptBox["Ezz", "2"]}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           SuperscriptBox["Exy", "2"], " ", 
           SuperscriptBox["Eyx", "2"]}], "+", 
          RowBox[{
           SuperscriptBox["Exz", "2"], " ", 
           SuperscriptBox["Eyx", "2"]}], "-", 
          RowBox[{"2", " ", "Exx", " ", "Exy", " ", "Eyx", " ", "Eyy"}], "+", 
          
          RowBox[{
           SuperscriptBox["Exx", "2"], " ", 
           SuperscriptBox["Eyy", "2"]}], "+", 
          RowBox[{
           SuperscriptBox["Exz", "2"], " ", 
           SuperscriptBox["Eyy", "2"]}], "-", 
          RowBox[{"2", " ", "Exx", " ", "Exz", " ", "Eyx", " ", "Eyz"}], "-", 
          
          RowBox[{"2", " ", "Exy", " ", "Exz", " ", "Eyy", " ", "Eyz"}], "+", 
          
          RowBox[{
           SuperscriptBox["Exx", "2"], " ", 
           SuperscriptBox["Eyz", "2"]}], "+", 
          RowBox[{
           SuperscriptBox["Exy", "2"], " ", 
           SuperscriptBox["Eyz", "2"]}], "+", 
          RowBox[{
           SuperscriptBox["Exy", "2"], " ", 
           SuperscriptBox["Ezx", "2"]}], "+", 
          RowBox[{
           SuperscriptBox["Exz", "2"], " ", 
           SuperscriptBox["Ezx", "2"]}], "+", 
          RowBox[{
           SuperscriptBox["Eyy", "2"], " ", 
           SuperscriptBox["Ezx", "2"]}], "+", 
          RowBox[{
           SuperscriptBox["Eyz", "2"], " ", 
           SuperscriptBox["Ezx", "2"]}], "-", 
          RowBox[{"2", " ", "Exx", " ", "Exy", " ", "Ezx", " ", "Ezy"}], "-", 
          
          RowBox[{"2", " ", "Eyx", " ", "Eyy", " ", "Ezx", " ", "Ezy"}], "+", 
          
          RowBox[{
           SuperscriptBox["Exx", "2"], " ", 
           SuperscriptBox["Ezy", "2"]}], "+", 
          RowBox[{
           SuperscriptBox["Exz", "2"], " ", 
           SuperscriptBox["Ezy", "2"]}], "+", 
          RowBox[{
           SuperscriptBox["Eyx", "2"], " ", 
           SuperscriptBox["Ezy", "2"]}], "+", 
          RowBox[{
           SuperscriptBox["Eyz", "2"], " ", 
           SuperscriptBox["Ezy", "2"]}], "-", 
          RowBox[{"2", " ", "Exx", " ", "Exz", " ", "Ezx", " ", "Ezz"}], "-", 
          
          RowBox[{"2", " ", "Eyx", " ", "Eyz", " ", "Ezx", " ", "Ezz"}], "-", 
          
          RowBox[{"2", " ", "Exy", " ", "Exz", " ", "Ezy", " ", "Ezz"}], "-", 
          
          RowBox[{"2", " ", "Eyy", " ", "Eyz", " ", "Ezy", " ", "Ezz"}], "+", 
          
          RowBox[{
           SuperscriptBox["Exx", "2"], " ", 
           SuperscriptBox["Ezz", "2"]}], "+", 
          RowBox[{
           SuperscriptBox["Exy", "2"], " ", 
           SuperscriptBox["Ezz", "2"]}], "+", 
          RowBox[{
           SuperscriptBox["Eyx", "2"], " ", 
           SuperscriptBox["Ezz", "2"]}], "+", 
          RowBox[{
           SuperscriptBox["Eyy", "2"], " ", 
           SuperscriptBox["Ezz", "2"]}]}], ")"}], " ", "#1"}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", 
           SuperscriptBox["Exx", "2"]}], "-", 
          SuperscriptBox["Exy", "2"], "-", 
          SuperscriptBox["Exz", "2"], "-", 
          SuperscriptBox["Eyx", "2"], "-", 
          SuperscriptBox["Eyy", "2"], "-", 
          SuperscriptBox["Eyz", "2"], "-", 
          SuperscriptBox["Ezx", "2"], "-", 
          SuperscriptBox["Ezy", "2"], "-", 
          SuperscriptBox["Ezz", "2"]}], ")"}], " ", 
        SuperscriptBox["#1", "2"]}], "+", 
       SuperscriptBox["#1", "3"]}], "&"}], ",", "3"}], "]"}]}]}]], "Output",
 CellChangeTimes->{
  3.748526060390192*^9, 3.748526098460463*^9, {3.7485261286322317`*^9, 
   3.748526136686689*^9}, 3.7485266780523233`*^9, 3.748526724696129*^9, 
   3.7487705030761757`*^9},
 CellLabel->"Out[66]=",ExpressionUUID->"ac7ba98a-35b7-41af-8c06-c101add00e4f"]
}, Open  ]],

Cell[TextData[StyleBox["This should be an identity:  Too complicated for \
Simplify...",
 FontSize->16,
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{{3.748526260676401*^9, 
  3.7485262887710238`*^9}},ExpressionUUID->"1a1b533e-d0ed-4da5-97c8-\
d6637ef9f8ca"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Umats", ".", "Smats", ".", 
    RowBox[{"Transpose", "[", "Vmats", "]"}]}], "-", "theEmatrix"}], "//", 
  "Simplify"}]], "Input",
 CellChangeTimes->{{3.748485657731845*^9, 3.748485685050434*^9}, {
  3.7484866357248507`*^9, 3.748486644265813*^9}, {3.748526201527083*^9, 
  3.748526220596545*^9}, {3.7485267478790913`*^9, 
  3.748526752164633*^9}},ExpressionUUID->"b778f1d5-cae1-4c0b-934f-\
06cf23c72c96"],

Cell[BoxData["$Aborted"], "Output",
 CellChangeTimes->{3.748526212518059*^9, 3.748526251217813*^9},
 CellLabel->
  "Out[308]=",ExpressionUUID->"b9aa4cf4-7997-4b1e-a4ef-38ed2c97fc57"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"optEigs", " ", "=", " ", 
   RowBox[{"Tr", "[", "Smats", "]"}]}], ";"}]], "Code",
 CellChangeTimes->{{3.7485263381146173`*^9, 3.748526351859497*^9}, {
  3.748526755293766*^9, 3.748526759635922*^9}},
 CellLabel->"In[67]:=",ExpressionUUID->"e7cc9f88-c80d-4c2c-85cb-49ea9e5b5a31"],

Cell[BoxData[
 RowBox[{
  RowBox[{"optRots", " ", "=", " ", 
   RowBox[{"Vmats", ".", 
    RowBox[{"Transpose", "[", "Umats", "]"}]}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.7484866771825333`*^9, 3.7484867028273582`*^9}, 
   3.748526234693337*^9, {3.748526760893662*^9, 3.7485267642764177`*^9}},
 CellLabel->"In[80]:=",ExpressionUUID->"14948799-9631-4543-9e0f-1573843bdf04"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"ByteCount", "[", "optEigs", "]"}], ",", 
   RowBox[{"ByteCount", "[", "optRots", "]"}]}], "}"}]], "Code",
 CellChangeTimes->{{3.74852623860155*^9, 3.748526245523486*^9}, {
  3.748526363900318*^9, 3.74852637265808*^9}, {3.748526767735712*^9, 
  3.748526769332177*^9}},
 CellLabel->"In[78]:=",ExpressionUUID->"fe3eb4b9-df50-437c-abb4-c45f3bfb7c83"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"33448", ",", "8926960"}], "}"}]], "Output",
 CellChangeTimes->{3.748526297941345*^9, 3.748526373003446*^9, 
  3.74852667815209*^9, 3.748526786222024*^9, 3.748770503170312*^9, 
  3.7487705784508657`*^9},
 CellLabel->"Out[78]=",ExpressionUUID->"6682f764-dd31-44c0-b587-c8ca4b419473"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"optRMSDMeasureS", " ", "=", 
  RowBox[{"Tr", "[", 
   RowBox[{"optRots", ".", "theEmatrix"}], "]"}]}]], "Code",
 CellChangeTimes->{{3.748526799668536*^9, 3.748526808009266*^9}},
 CellLabel->"In[70]:=",ExpressionUUID->"2a8e1723-53f6-46b8-9b15-2fd4a514540d"],

Cell[BoxData[
 InterpretationBox[
  TagBox[
   FrameBox[GridBox[{
      {
       ItemBox[
        TagBox[
         RowBox[{
          RowBox[{"Exz", " ", 
           RowBox[{"(", 
            RowBox[{
             FractionBox[
              RowBox[{"Exz", "-", 
               FractionBox[
                RowBox[{"Exy", " ", 
                 RowBox[{"(", 
                  TemplateBox[{"1"},
                   "OutputSizeLimit`Skeleton"], ")"}]}], 
                RowBox[{
                 RowBox[{"-", 
                  RowBox[{"(", 
                   TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton"], ")"}]}], " ", 
                 TemplateBox[{"1"},
                  "OutputSizeLimit`Skeleton"], 
                 TemplateBox[{"1"},
                  "OutputSizeLimit`Skeleton"], 
                 TemplateBox[{"1"},
                  "OutputSizeLimit`Skeleton"]}]], "+", 
               RowBox[{"Exx", " ", 
                RowBox[{"(", 
                 RowBox[{
                  TemplateBox[{"1"},
                   "OutputSizeLimit`Skeleton"], "-", 
                  FractionBox[
                   RowBox[{
                    SuperscriptBox["Exz", "2"], "+", 
                    TemplateBox[{"4"},
                    "OutputSizeLimit`Skeleton"]}], 
                   RowBox[{
                    RowBox[{"Exx", " ", "Exz"}], "+", 
                    RowBox[{"Eyx", " ", "Eyz"}], "+", 
                    RowBox[{"Ezx", " ", "Ezz"}]}]]}], ")"}]}]}], 
              RowBox[{
               SqrtBox[
                RowBox[{
                 SuperscriptBox[
                  RowBox[{"Abs", "[", 
                   RowBox[{"Exz", "-", 
                    FractionBox[
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton"], 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton"]], "+", 
                    RowBox[{"Exx", " ", 
                    RowBox[{"(", 
                    TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton"], ")"}]}]}], "]"}], "2"], "+", 
                 
                 SuperscriptBox[
                  RowBox[{"Abs", "[", 
                   TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton"], "]"}], "2"], "+", 
                 SuperscriptBox[
                  RowBox[{"Abs", "[", 
                   TemplateBox[{"1"},
                    "OutputSizeLimit`Skeleton"], "]"}], "2"]}]], " ", 
               SqrtBox[
                RowBox[{"1", "+", 
                 SuperscriptBox[
                  TemplateBox[{"1"},
                   "OutputSizeLimit`Skeleton"], "2"], "+", 
                 SuperscriptBox[
                  TemplateBox[{"1"},
                   "OutputSizeLimit`Skeleton"], "2"]}]]}]], "+", 
             FractionBox[
              TemplateBox[{"1"},
               "OutputSizeLimit`Skeleton"], 
              TemplateBox[{"1"},
               "OutputSizeLimit`Skeleton"]], "+", 
             FractionBox[
              TemplateBox[{"1"},
               "OutputSizeLimit`Skeleton"], 
              TemplateBox[{"1"},
               "OutputSizeLimit`Skeleton"]]}], ")"}]}], "+", 
          TemplateBox[{"7"},
           "OutputSizeLimit`Skeleton"], "+", 
          RowBox[{"Ezx", " ", 
           TemplateBox[{"1"},
            "OutputSizeLimit`Skeleton"]}]}],
         Short[#, 5]& ],
        BaseStyle->{Deployed -> False},
        StripOnInput->False]},
      {GridBox[{
         {
          TagBox[
           TooltipBox[
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource[
                "FEStrings", "sizeBriefExplanation"], StandardForm],
               ImageSizeCache->{58., {2., 8.}}],
              StripOnInput->False,
              DynamicUpdating->True], "OSLText",
             StripOnInput->False],
            StyleBox[
             DynamicBox[
              ToBoxes[
               FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"], 
               StandardForm]], DynamicUpdating -> True, StripOnInput -> 
             False]],
           Annotation[#, 
            Style[
             Dynamic[
              FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"]], 
             DynamicUpdating -> True], "Tooltip"]& ], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm],
               ImageSizeCache->{50., {0., 8.}}],
              StripOnInput->False,
              DynamicUpdating->True], "OSLControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "OSLControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           BaselinePosition->Baseline,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 70, 27217622110041443249, 5/2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm],
               ImageSizeCache->{56., {0., 8.}}],
              StripOnInput->False,
              DynamicUpdating->True], "OSLControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "OSLControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           BaselinePosition->Baseline,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 70, 27217622110041443249, 5 2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm],
               ImageSizeCache->{42., {0., 8.}}],
              StripOnInput->False,
              DynamicUpdating->True], "OSLControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "OSLControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           BaselinePosition->Baseline,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 70, 27217622110041443249, Infinity],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm],
               ImageSizeCache->{74., {0., 8.}}],
              StripOnInput->False,
              DynamicUpdating->True], "OSLControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm],
               ImageSizeCache->{74., {0., 8.}}],
              StripOnInput->False,
              DynamicUpdating->True], "OSLControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           BaselinePosition->Baseline,
           ButtonFunction:>FrontEndExecute[{
              FrontEnd`SetOptions[
              FrontEnd`$FrontEnd, 
               FrontEnd`PreferencesSettings -> {"Page" -> "Advanced"}], 
              FrontEnd`FrontEndToken["PreferencesDialog"]}],
           Evaluator->None,
           Method->"Preemptive"]}
        },
        AutoDelete->False,
        FrameStyle->GrayLevel[0.85],
        GridBoxDividers->{"Columns" -> {False, {True}}},
        GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
        GridBoxSpacings->{"Columns" -> {{2}}}]}
     },
     DefaultBaseStyle->"Column",
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxDividers->{
      "Columns" -> {{False}}, "ColumnsIndexed" -> {}, "Rows" -> {{False}}, 
       "RowsIndexed" -> {}},
     GridBoxItemSize->{
      "Columns" -> {{Automatic}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], 
         Offset[1.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    BaseStyle->"OutputSizeLimit",
    FrameMargins->{{12, 12}, {0, 15}},
    FrameStyle->GrayLevel[0.85],
    RoundingRadius->5,
    StripOnInput->False],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  If[27217622110041443249 === $SessionID, 
   Out[70], Message[
     MessageName[Syntax, "noinfoker"]]; Missing["NotAvailable"]; 
   Null]]], "Output",
 CellChangeTimes->{3.748526678248549*^9, 3.748526810842742*^9, 
  3.7487705034670763`*^9},
 CellLabel->"Out[70]=",ExpressionUUID->"8e7da4fb-1ec2-43c4-9bb2-56dd956392a7"]
}, Open  ]],

Cell[TextData[{
 StyleBox["Attempting Simplify ",
  FontSize->16,
  FontWeight->"Bold"],
 StyleBox["Crashes the Kernel",
  FontSize->18,
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontVariations->{"Underline"->True}],
 StyleBox["  much of the time.",
  FontSize->16,
  FontWeight->"Bold"]
}], "Text",
 CellChangeTimes->{{3.748526443985804*^9, 3.748526456368128*^9}, {
  3.748526818434454*^9, 3.748526823697641*^9}, {3.748737860190468*^9, 
  3.7487378613707037`*^9}},ExpressionUUID->"3d6e5cdf-97c8-4f2c-9df2-\
35f726c8888f"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"optRMSDMeasure", " ", "=", 
  RowBox[{
   RowBox[{"Tr", "[", 
    RowBox[{"optRots", ".", "theEmatrix"}], "]"}], "//", 
   "Simplify"}]}]], "Input",
 CellChangeTimes->{{3.748486714333983*^9, 3.7484867246521473`*^9}, {
   3.7485263878110027`*^9, 3.748526418408989*^9}, 3.748770609082508*^9},
 CellLabel->"In[81]:=",ExpressionUUID->"f8e29496-08f7-4a32-adbf-70e0ec32734f"],

Cell[BoxData["$Aborted"], "Output",
 CellChangeTimes->{3.748526392820462*^9, 3.748770590488742*^9, 
  3.7487706205102873`*^9},
 CellLabel->"Out[81]=",ExpressionUUID->"1e62965b-bfff-4dcd-8f50-7daccd4e539f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Now do Eigenvalue symbolically",
 FontWeight->"Bold"]], "Subsection",
 CellChangeTimes->{{3.7485268766339293`*^9, 
  3.748526898432399*^9}},ExpressionUUID->"7e6b9832-b387-4553-9857-\
1afbbcb9c537"],

Cell[BoxData[
 RowBox[{
  RowBox[{"eigvalsM", " ", "=", " ", 
   RowBox[{"Eigenvalues", "[", "theMmatrix", "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.748526904169997*^9, 3.748526926825406*^9}},
 CellLabel->"In[82]:=",ExpressionUUID->"1adb9532-97ba-45d8-a4b7-bb59686d5d40"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ByteCount", "/@", "eigvalsM"}]], "Input",
 CellChangeTimes->{{3.74852693176448*^9, 3.748526938517964*^9}},
 CellLabel->"In[83]:=",ExpressionUUID->"dec9fb25-01d1-420d-8e53-7cdc45d451d0"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"12680", ",", "12680", ",", "12680", ",", "12680"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.7485269391710367`*^9, 3.748770651459004*^9},
 CellLabel->"Out[83]=",ExpressionUUID->"f094449c-2061-4689-b471-8716425f6c3e"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"eigvalsM", "[", 
  RowBox[{"[", 
   RowBox[{"-", "1"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.748526950571156*^9, 3.7485269589594917`*^9}},
 CellLabel->"In[44]:=",ExpressionUUID->"f3f2e78c-7edd-4167-8be2-3e0eb8c51d2d"],

Cell[BoxData[
 RowBox[{"Root", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     SuperscriptBox["Exx", "4"], "+", 
     RowBox[{"2", " ", 
      SuperscriptBox["Exx", "2"], " ", 
      SuperscriptBox["Exy", "2"]}], "+", 
     SuperscriptBox["Exy", "4"], "+", 
     RowBox[{"2", " ", 
      SuperscriptBox["Exx", "2"], " ", 
      SuperscriptBox["Exz", "2"]}], "+", 
     RowBox[{"2", " ", 
      SuperscriptBox["Exy", "2"], " ", 
      SuperscriptBox["Exz", "2"]}], "+", 
     SuperscriptBox["Exz", "4"], "+", 
     RowBox[{"2", " ", 
      SuperscriptBox["Exx", "2"], " ", 
      SuperscriptBox["Eyx", "2"]}], "-", 
     RowBox[{"2", " ", 
      SuperscriptBox["Exy", "2"], " ", 
      SuperscriptBox["Eyx", "2"]}], "-", 
     RowBox[{"2", " ", 
      SuperscriptBox["Exz", "2"], " ", 
      SuperscriptBox["Eyx", "2"]}], "+", 
     SuperscriptBox["Eyx", "4"], "+", 
     RowBox[{"8", " ", "Exx", " ", "Exy", " ", "Eyx", " ", "Eyy"}], "-", 
     RowBox[{"2", " ", 
      SuperscriptBox["Exx", "2"], " ", 
      SuperscriptBox["Eyy", "2"]}], "+", 
     RowBox[{"2", " ", 
      SuperscriptBox["Exy", "2"], " ", 
      SuperscriptBox["Eyy", "2"]}], "-", 
     RowBox[{"2", " ", 
      SuperscriptBox["Exz", "2"], " ", 
      SuperscriptBox["Eyy", "2"]}], "+", 
     RowBox[{"2", " ", 
      SuperscriptBox["Eyx", "2"], " ", 
      SuperscriptBox["Eyy", "2"]}], "+", 
     SuperscriptBox["Eyy", "4"], "+", 
     RowBox[{"8", " ", "Exx", " ", "Exz", " ", "Eyx", " ", "Eyz"}], "+", 
     RowBox[{"8", " ", "Exy", " ", "Exz", " ", "Eyy", " ", "Eyz"}], "-", 
     RowBox[{"2", " ", 
      SuperscriptBox["Exx", "2"], " ", 
      SuperscriptBox["Eyz", "2"]}], "-", 
     RowBox[{"2", " ", 
      SuperscriptBox["Exy", "2"], " ", 
      SuperscriptBox["Eyz", "2"]}], "+", 
     RowBox[{"2", " ", 
      SuperscriptBox["Exz", "2"], " ", 
      SuperscriptBox["Eyz", "2"]}], "+", 
     RowBox[{"2", " ", 
      SuperscriptBox["Eyx", "2"], " ", 
      SuperscriptBox["Eyz", "2"]}], "+", 
     RowBox[{"2", " ", 
      SuperscriptBox["Eyy", "2"], " ", 
      SuperscriptBox["Eyz", "2"]}], "+", 
     SuperscriptBox["Eyz", "4"], "+", 
     RowBox[{"2", " ", 
      SuperscriptBox["Exx", "2"], " ", 
      SuperscriptBox["Ezx", "2"]}], "-", 
     RowBox[{"2", " ", 
      SuperscriptBox["Exy", "2"], " ", 
      SuperscriptBox["Ezx", "2"]}], "-", 
     RowBox[{"2", " ", 
      SuperscriptBox["Exz", "2"], " ", 
      SuperscriptBox["Ezx", "2"]}], "+", 
     RowBox[{"2", " ", 
      SuperscriptBox["Eyx", "2"], " ", 
      SuperscriptBox["Ezx", "2"]}], "-", 
     RowBox[{"2", " ", 
      SuperscriptBox["Eyy", "2"], " ", 
      SuperscriptBox["Ezx", "2"]}], "-", 
     RowBox[{"2", " ", 
      SuperscriptBox["Eyz", "2"], " ", 
      SuperscriptBox["Ezx", "2"]}], "+", 
     SuperscriptBox["Ezx", "4"], "+", 
     RowBox[{"8", " ", "Exx", " ", "Exy", " ", "Ezx", " ", "Ezy"}], "+", 
     RowBox[{"8", " ", "Eyx", " ", "Eyy", " ", "Ezx", " ", "Ezy"}], "-", 
     RowBox[{"2", " ", 
      SuperscriptBox["Exx", "2"], " ", 
      SuperscriptBox["Ezy", "2"]}], "+", 
     RowBox[{"2", " ", 
      SuperscriptBox["Exy", "2"], " ", 
      SuperscriptBox["Ezy", "2"]}], "-", 
     RowBox[{"2", " ", 
      SuperscriptBox["Exz", "2"], " ", 
      SuperscriptBox["Ezy", "2"]}], "-", 
     RowBox[{"2", " ", 
      SuperscriptBox["Eyx", "2"], " ", 
      SuperscriptBox["Ezy", "2"]}], "+", 
     RowBox[{"2", " ", 
      SuperscriptBox["Eyy", "2"], " ", 
      SuperscriptBox["Ezy", "2"]}], "-", 
     RowBox[{"2", " ", 
      SuperscriptBox["Eyz", "2"], " ", 
      SuperscriptBox["Ezy", "2"]}], "+", 
     RowBox[{"2", " ", 
      SuperscriptBox["Ezx", "2"], " ", 
      SuperscriptBox["Ezy", "2"]}], "+", 
     SuperscriptBox["Ezy", "4"], "+", 
     RowBox[{"8", " ", "Exx", " ", "Exz", " ", "Ezx", " ", "Ezz"}], "+", 
     RowBox[{"8", " ", "Eyx", " ", "Eyz", " ", "Ezx", " ", "Ezz"}], "+", 
     RowBox[{"8", " ", "Exy", " ", "Exz", " ", "Ezy", " ", "Ezz"}], "+", 
     RowBox[{"8", " ", "Eyy", " ", "Eyz", " ", "Ezy", " ", "Ezz"}], "-", 
     RowBox[{"2", " ", 
      SuperscriptBox["Exx", "2"], " ", 
      SuperscriptBox["Ezz", "2"]}], "-", 
     RowBox[{"2", " ", 
      SuperscriptBox["Exy", "2"], " ", 
      SuperscriptBox["Ezz", "2"]}], "+", 
     RowBox[{"2", " ", 
      SuperscriptBox["Exz", "2"], " ", 
      SuperscriptBox["Ezz", "2"]}], "-", 
     RowBox[{"2", " ", 
      SuperscriptBox["Eyx", "2"], " ", 
      SuperscriptBox["Ezz", "2"]}], "-", 
     RowBox[{"2", " ", 
      SuperscriptBox["Eyy", "2"], " ", 
      SuperscriptBox["Ezz", "2"]}], "+", 
     RowBox[{"2", " ", 
      SuperscriptBox["Eyz", "2"], " ", 
      SuperscriptBox["Ezz", "2"]}], "+", 
     RowBox[{"2", " ", 
      SuperscriptBox["Ezx", "2"], " ", 
      SuperscriptBox["Ezz", "2"]}], "+", 
     RowBox[{"2", " ", 
      SuperscriptBox["Ezy", "2"], " ", 
      SuperscriptBox["Ezz", "2"]}], "+", 
     SuperscriptBox["Ezz", "4"], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"8", " ", "Exz", " ", "Eyy", " ", "Ezx"}], "-", 
        RowBox[{"8", " ", "Exy", " ", "Eyz", " ", "Ezx"}], "-", 
        RowBox[{"8", " ", "Exz", " ", "Eyx", " ", "Ezy"}], "+", 
        RowBox[{"8", " ", "Exx", " ", "Eyz", " ", "Ezy"}], "+", 
        RowBox[{"8", " ", "Exy", " ", "Eyx", " ", "Ezz"}], "-", 
        RowBox[{"8", " ", "Exx", " ", "Eyy", " ", "Ezz"}]}], ")"}], " ", 
      "#1"}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "2"}], " ", 
         SuperscriptBox["Exx", "2"]}], "-", 
        RowBox[{"2", " ", 
         SuperscriptBox["Exy", "2"]}], "-", 
        RowBox[{"2", " ", 
         SuperscriptBox["Exz", "2"]}], "-", 
        RowBox[{"2", " ", 
         SuperscriptBox["Eyx", "2"]}], "-", 
        RowBox[{"2", " ", 
         SuperscriptBox["Eyy", "2"]}], "-", 
        RowBox[{"2", " ", 
         SuperscriptBox["Eyz", "2"]}], "-", 
        RowBox[{"2", " ", 
         SuperscriptBox["Ezx", "2"]}], "-", 
        RowBox[{"2", " ", 
         SuperscriptBox["Ezy", "2"]}], "-", 
        RowBox[{"2", " ", 
         SuperscriptBox["Ezz", "2"]}]}], ")"}], " ", 
      SuperscriptBox["#1", "2"]}], "+", 
     SuperscriptBox["#1", "4"]}], "&"}], ",", "4"}], "]"}]], "Output",
 CellChangeTimes->{3.748526959461115*^9},
 CellLabel->"Out[44]=",ExpressionUUID->"f51aa793-5d0d-4bf6-b4e1-f4514c1a2246"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["4D case:", "Subchapter",
 CellChangeTimes->{{3.748487243601779*^9, 
  3.7484872467441263`*^9}},ExpressionUUID->"c695fb26-9b21-466c-94c8-\
a6748f66edb3"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.744761186882298*^9, 3.74476119274933*^9}, {
   3.748487261947405*^9, 3.748487262530326*^9}, 
   3.7484893163322773`*^9},ExpressionUUID->"e4f9629b-b6c2-465d-a58d-\
c6f58046eba0"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"theE4matrix", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"Eww", ",", "Ewx", ",", "Ewy", ",", "Ewz"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"Exw", ",", "Exx", ",", "Exy", ",", "Exz"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"Eyw", ",", "Eyx", ",", "Eyy", ",", "Eyz"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"Ezw", ",", "Ezx", ",", "Ezy", ",", "Ezz"}], "}"}]}], 
   "}"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.748489318516274*^9, 3.748489321106576*^9}},
 CellLabel->"In[84]:=",ExpressionUUID->"0911f7be-d338-4976-a281-42c9a003f856"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"Eww", ",", "Ewx", ",", "Ewy", ",", "Ewz"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"Exw", ",", "Exx", ",", "Exy", ",", "Exz"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"Eyw", ",", "Eyx", ",", "Eyy", ",", "Eyz"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"Ezw", ",", "Ezx", ",", "Ezy", ",", "Ezz"}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.7484893220543127`*^9, 3.748770664378112*^9},
 CellLabel->"Out[84]=",ExpressionUUID->"71f8d3f0-7b1f-429e-a0fb-dfb18567baf0"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"theM4matrix", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Eww", "+", "Exx", "+", "Eyy", "+", "Ezz"}], ",", 
       RowBox[{
        RowBox[{"-", "Ewx"}], "+", "Exw", "+", "Eyz", "-", "Ezy"}], ",", 
       RowBox[{
        RowBox[{"-", "Ewy"}], "-", "Exz", "+", "Eyw", "+", "Ezx"}], ",", 
       RowBox[{
        RowBox[{"-", "Ewz"}], "+", "Exy", "-", "Eyx", "+", "Ezw"}]}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Ewx", "-", "Exw", "+", "Eyz", "-", "Ezy"}], ",", 
       RowBox[{"Eww", "+", "Exx", "-", "Eyy", "-", "Ezz"}], ",", 
       RowBox[{
        RowBox[{"-", "Ewz"}], "+", "Exy", "+", "Eyx", "-", "Ezw"}], ",", 
       RowBox[{"Ewy", "+", "Exz", "+", "Eyw", "+", "Ezx"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Ewy", "-", "Exz", "-", "Eyw", "+", "Ezx"}], ",", 
       RowBox[{"Ewz", "+", "Exy", "+", "Eyx", "+", "Ezw"}], ",", 
       RowBox[{"Eww", "-", "Exx", "+", "Eyy", "-", "Ezz"}], ",", 
       RowBox[{
        RowBox[{"-", "Ewx"}], "-", "Exw", "+", "Eyz", "+", "Ezy"}]}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Ewz", "+", "Exy", "-", "Eyx", "-", "Ezw"}], ",", 
       RowBox[{
        RowBox[{"-", "Ewy"}], "+", "Exz", "-", "Eyw", "+", "Ezx"}], ",", 
       RowBox[{"Ewx", "+", "Exw", "+", "Eyz", "+", "Ezy"}], ",", 
       RowBox[{"Eww", "-", "Exx", "-", "Eyy", "+", "Ezz"}]}], "}"}]}], 
    "}"}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.748487395038747*^9, 3.748487405542376*^9}, {
   3.748489417479783*^9, 3.7484894182050734`*^9}, 3.748489464793448*^9},
 CellLabel->"In[85]:=",ExpressionUUID->"f819cd20-2dc1-4ea4-a09a-6dc2f3d20d17"],

Cell[BoxData[
 RowBox[{
  RowBox[{"eigvalsM4", " ", "=", " ", 
   RowBox[{"Eigenvalues", "[", "theM4matrix", "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.748526904169997*^9, 3.748526926825406*^9}, {
  3.748527018184589*^9, 3.748527027318272*^9}},
 CellLabel->"In[86]:=",ExpressionUUID->"2354b718-2655-43da-9c0c-fc8df0a95c21"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ByteCount", "/@", "eigvalsM4"}]], "Input",
 CellChangeTimes->{{3.74852693176448*^9, 3.748526938517964*^9}, 
   3.748527020447378*^9},
 CellLabel->"In[47]:=",ExpressionUUID->"de63e50f-182f-45f6-85a7-e47e57c08baf"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"42760", ",", "42760", ",", "42760", ",", "42760"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.7485269391710367`*^9, 3.74852703674468*^9},
 CellLabel->"Out[47]=",ExpressionUUID->"89b86562-c550-4b47-9b90-7e8d42dacd38"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"eigvalsM4", "[", 
  RowBox[{"[", 
   RowBox[{"-", "1"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.748526950571156*^9, 3.7485269589594917`*^9}, 
   3.748527021974607*^9},
 CellLabel->"In[87]:=",ExpressionUUID->"c35f29e0-a52d-4a7c-9e05-83e84dbbef3b"],

Cell[CellGroupData[{

Cell["Numerical 4D results:", "Subsection",
 CellChangeTimes->{{3.748527073438483*^9, 
  3.748527081149221*^9}},ExpressionUUID->"2181b564-0c28-465c-9096-\
b83b268e4e59"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"numE4matrix", "=", 
  RowBox[{"makeEwwmat", "@@", 
   RowBox[{
    RowBox[{"build4DPntdataset", "[", "100", "]"}], "[", 
    RowBox[{"[", 
     RowBox[{"1", ";;", "2"}], "]"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.7484883333197937`*^9, 3.748488334925974*^9}, {
   3.748488491988289*^9, 3.7484885183400393`*^9}, 3.748488685868037*^9, {
   3.748489254450411*^9, 3.7484892621615562`*^9}},
 CellLabel->"In[88]:=",ExpressionUUID->"9421c226-0f8d-4a78-926b-6b7ee0689519"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"13.343882196831903`", ",", 
     RowBox[{"-", "2.704261538697644`"}], ",", 
     RowBox[{"-", "0.5559975152302816`"}], ",", "0.13995019459053665`"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1.4828349486560368`"}], ",", "12.15759809728797`", ",", 
     RowBox[{"-", "11.666183911874626`"}], ",", 
     RowBox[{"-", "0.1385031269155449`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "2.343035455656131`"}], ",", "13.085150482801017`", ",", 
     "12.058017447314507`", ",", "0.32487210071721867`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0.5201369252782104`", ",", "0.18156692861763588`", ",", 
     "0.8154402005594457`", ",", "15.008289627227315`"}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.748489264275647*^9, 3.748489888996832*^9, 
  3.74877069137457*^9},
 CellLabel->"Out[88]=",ExpressionUUID->"f459acdc-1245-4e9c-9a79-8e4a33351b23"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", "Canonical", " ", "*)"}], 
  RowBox[{"numericSubRule4", " ", "=", 
   RowBox[{"Flatten", "[", " ", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"theE4matrix", " ", "[", 
        RowBox[{"[", 
         RowBox[{"i", ",", "j"}], "]"}], "]"}], "\[Rule]", 
       RowBox[{"numE4matrix", "[", 
        RowBox[{"[", 
         RowBox[{"i", ",", "j"}], "]"}], "]"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "1", ",", "4"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"j", ",", "1", ",", "4"}], "}"}]}], "]"}], "]"}]}]}]], "Input",\

 CellChangeTimes->{{3.748486361115594*^9, 3.748486412556491*^9}, {
  3.748488748543817*^9, 3.748488768941887*^9}, {3.748488812556245*^9, 
  3.748488815451951*^9}, {3.748488846111451*^9, 3.748488858480048*^9}, {
  3.748488895543132*^9, 3.748488905766595*^9}, {3.748489268708273*^9, 
  3.748489275512899*^9}, {3.748489336349855*^9, 3.7484893384027147`*^9}},
 CellLabel->"In[89]:=",ExpressionUUID->"4e535baf-71b4-45f7-91bb-19803f83360b"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"Eww", "\[Rule]", "13.343882196831903`"}], ",", 
   RowBox[{"Ewx", "\[Rule]", 
    RowBox[{"-", "2.704261538697644`"}]}], ",", 
   RowBox[{"Ewy", "\[Rule]", 
    RowBox[{"-", "0.5559975152302816`"}]}], ",", 
   RowBox[{"Ewz", "\[Rule]", "0.13995019459053665`"}], ",", 
   RowBox[{"Exw", "\[Rule]", 
    RowBox[{"-", "1.4828349486560368`"}]}], ",", 
   RowBox[{"Exx", "\[Rule]", "12.15759809728797`"}], ",", 
   RowBox[{"Exy", "\[Rule]", 
    RowBox[{"-", "11.666183911874626`"}]}], ",", 
   RowBox[{"Exz", "\[Rule]", 
    RowBox[{"-", "0.1385031269155449`"}]}], ",", 
   RowBox[{"Eyw", "\[Rule]", 
    RowBox[{"-", "2.343035455656131`"}]}], ",", 
   RowBox[{"Eyx", "\[Rule]", "13.085150482801017`"}], ",", 
   RowBox[{"Eyy", "\[Rule]", "12.058017447314507`"}], ",", 
   RowBox[{"Eyz", "\[Rule]", "0.32487210071721867`"}], ",", 
   RowBox[{"Ezw", "\[Rule]", "0.5201369252782104`"}], ",", 
   RowBox[{"Ezx", "\[Rule]", "0.18156692861763588`"}], ",", 
   RowBox[{"Ezy", "\[Rule]", "0.8154402005594457`"}], ",", 
   RowBox[{"Ezz", "\[Rule]", "15.008289627227315`"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.7484892796816196`*^9, {3.748489328401051*^9, 3.74848934536895*^9}, 
   3.7487706956294403`*^9},
 CellLabel->"Out[89]=",ExpressionUUID->"bb010b14-0a9e-4dd3-9e85-d6ff8cefa8f4"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"numericSubRule4", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Eww", "\[Rule]", "19.002833109493874`"}], ",", 
     RowBox[{"Ewx", "\[Rule]", "1.0605955856249165`"}], ",", 
     RowBox[{"Ewy", "\[Rule]", 
      RowBox[{"-", "0.9961398918025233`"}]}], ",", 
     RowBox[{"Ewz", "\[Rule]", 
      RowBox[{"-", "0.24180135047023665`"}]}], ",", 
     RowBox[{"Exw", "\[Rule]", "1.5594088315875814`"}], ",", 
     RowBox[{"Exx", "\[Rule]", "13.558745619876383`"}], ",", 
     RowBox[{"Exy", "\[Rule]", 
      RowBox[{"-", "9.654951295442324`"}]}], ",", 
     RowBox[{"Exz", "\[Rule]", 
      RowBox[{"-", "0.6362656609380194`"}]}], ",", 
     RowBox[{"Eyw", "\[Rule]", "0.016941817065716763`"}], ",", 
     RowBox[{"Eyx", "\[Rule]", "13.15754253862888`"}], ",", 
     RowBox[{"Eyy", "\[Rule]", "9.154900692174019`"}], ",", 
     RowBox[{"Eyz", "\[Rule]", 
      RowBox[{"-", "1.0407187652100462`"}]}], ",", 
     RowBox[{"Ezw", "\[Rule]", 
      RowBox[{"-", "0.2683582180583301`"}]}], ",", 
     RowBox[{"Ezx", "\[Rule]", 
      RowBox[{"-", "0.595631585174447`"}]}], ",", 
     RowBox[{"Ezy", "\[Rule]", 
      RowBox[{"-", "0.5716057025054939`"}]}], ",", 
     RowBox[{"Ezz", "\[Rule]", "15.42409182476925`"}]}], "}"}]}], ";"}]], \
"Input",
 CellChangeTimes->{{3.748486426950913*^9, 3.748486431948666*^9}, 
   3.7484876222329597`*^9, {3.7484876531028347`*^9, 3.748487665269902*^9}, 
   3.7484889209792852`*^9, {3.748489351027309*^9, 3.7484893609342318`*^9}, 
   3.748489787646345*^9},
 CellLabel->
  "In[283]:=",ExpressionUUID->"31a3c7db-2449-418c-a5d2-5940191e2aa2"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"numE4matrix", "="}], "*)"}], 
  RowBox[{"theE4matrix", "/.", "numericSubRule4"}]}]], "Input",
 CellChangeTimes->{{3.7484864500385647`*^9, 3.7484864718156147`*^9}, {
  3.748489368085246*^9, 3.748489392919232*^9}},
 CellLabel->
  "In[284]:=",ExpressionUUID->"27334549-6085-4037-8aae-9ace750ee1b4"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"19.002833109493874`", ",", "1.0605955856249165`", ",", 
     RowBox[{"-", "0.9961398918025233`"}], ",", 
     RowBox[{"-", "0.24180135047023665`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1.5594088315875814`", ",", "13.558745619876383`", ",", 
     RowBox[{"-", "9.654951295442324`"}], ",", 
     RowBox[{"-", "0.6362656609380194`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0.016941817065716763`", ",", "13.15754253862888`", ",", 
     "9.154900692174019`", ",", 
     RowBox[{"-", "1.0407187652100462`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.2683582180583301`"}], ",", 
     RowBox[{"-", "0.595631585174447`"}], ",", 
     RowBox[{"-", "0.5716057025054939`"}], ",", "15.42409182476925`"}], 
    "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.7484893881233473`*^9, 3.7484893938483887`*^9}, 
   3.748489802209635*^9},
 CellLabel->
  "Out[284]=",ExpressionUUID->"6b894274-9499-4d27-aed1-27a4fd19518e"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"numM4matrix", "=", " ", 
  RowBox[{"theM4matrix", " ", "/.", "numericSubRule4"}]}]], "Input",
 CellChangeTimes->{{3.748486456806753*^9, 3.748486488072501*^9}, {
  3.748489399693366*^9, 3.748489403805853*^9}},
 CellLabel->"In[90]:=",ExpressionUUID->"e1f54ee0-f053-4f28-b6c1-ec5b59900480"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"52.5677873686617`", ",", "0.7308584901993802`", ",", 
     RowBox[{"-", "1.4669678848926688`"}], ",", 
     RowBox[{"-", "24.37114766398797`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1.7119946898838343`"}], ",", 
     RowBox[{"-", "1.5648267804219493`"}], ",", "0.7588794510576449`", ",", 
     RowBox[{"-", "2.8559691691843216`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2.10710799595903`", ",", "2.0790536907951385`", ",", 
     RowBox[{"-", "1.7639880803688754`"}], ",", "5.327408788630345`"}], "}"}],
    ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "25.131521125363317`"}], ",", "2.9420967725885037`", ",", 
     RowBox[{"-", "3.046784186077017`"}], ",", "4.136556279456741`"}], 
    "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.748489474955761*^9, 3.748489806023714*^9, 
  3.748770701498273*^9},
 CellLabel->"Out[90]=",ExpressionUUID->"423f2baf-3bfd-4dbc-bdd0-935eea5c7410"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"numM4matrix", "=", 
  RowBox[{"makeMwwmat", "[", "numE4matrix", "]"}]}]], "Input",
 CellChangeTimes->{{3.748489902567624*^9, 3.748489949097046*^9}},
 CellLabel->"In[91]:=",ExpressionUUID->"749ee5b3-16bf-4c46-9cfb-33c57dfd0a4f"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"52.5677873686617`", ",", "0.7308584901993802`", ",", 
     RowBox[{"-", "1.4669678848926688`"}], ",", 
     RowBox[{"-", "24.37114766398797`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1.7119946898838343`"}], ",", 
     RowBox[{"-", "1.5648267804219493`"}], ",", "0.7588794510576449`", ",", 
     RowBox[{"-", "2.8559691691843216`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2.10710799595903`", ",", "2.0790536907951385`", ",", 
     RowBox[{"-", "1.7639880803688754`"}], ",", "5.327408788630345`"}], "}"}],
    ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "25.131521125363317`"}], ",", "2.9420967725885037`", ",", 
     RowBox[{"-", "3.046784186077017`"}], ",", "4.136556279456741`"}], 
    "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.748489924317676*^9, 3.7484899501253557`*^9}, 
   3.748770710062532*^9},
 CellLabel->"Out[91]=",ExpressionUUID->"81831bac-1bc3-4be9-a428-04d60ff729cf"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"uu4", ",", "ss4", ",", "vv4"}], "}"}], " ", "=", " ", 
   RowBox[{"SingularValueDecomposition", "[", "numE4matrix", "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.744761412913653*^9, 3.7447614424957113`*^9}, {
  3.748487273378747*^9, 3.7484872738267193`*^9}, {3.748489483791995*^9, 
  3.7484895190316563`*^9}},
 CellLabel->"In[92]:=",ExpressionUUID->"8c55071d-dd4a-4b43-8c12-468767543986"],

Cell[BoxData[
 RowBox[{
  RowBox[{"numE4matrix", " ", "-", " ", 
   RowBox[{"uu4", ".", "ss4", ".", 
    RowBox[{"Transpose", "[", "vv4", "]"}]}]}], "//", "Chop"}]], "Input",
 CellChangeTimes->{{3.744803076502343*^9, 3.744803112274498*^9}, {
   3.74848955176303*^9, 3.7484895648409224`*^9}, 3.7484895995637407`*^9},
 CellLabel->"In[93]:=",ExpressionUUID->"4d98df7c-02a9-4144-8979-8e0e4c5a5119"],

Cell[BoxData[
 RowBox[{"rotsvdE4", " ", "=", 
  RowBox[{"vv4", ".", " ", 
   RowBox[{"Transpose", "[", "uu4", "]"}]}]}]], "Input",
 CellChangeTimes->{{3.744804851795597*^9, 3.744804858979158*^9}, {
  3.744804900527823*^9, 3.744804919362912*^9}, {3.748489569017853*^9, 
  3.748489570746488*^9}},
 CellLabel->"In[94]:=",ExpressionUUID->"8e7f1a72-dc8f-49cc-b0c6-3d77f6d21d10"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"Tr", "[", 
    RowBox[{"rotsvdE4", ".", "numE4matrix"}], "]"}], ",", "   ", 
   RowBox[{"Tr", "[", "ss4", "]"}]}], "}"}]], "Input",
 CellChangeTimes->{{3.748489575675296*^9, 3.7484895927629957`*^9}, {
  3.748489623276672*^9, 3.748489644250102*^9}},
 CellLabel->"In[95]:=",ExpressionUUID->"720a1b6a-96ec-4bd9-ad77-7f29208a9995"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"62.98564086993739`", ",", "62.98564086993737`"}], "}"}]], "Output",\

 CellChangeTimes->{3.74848964518286*^9, 3.74848996326234*^9, 
  3.748770730610551*^9},
 CellLabel->"Out[95]=",ExpressionUUID->"e9135b9b-4c76-4abe-abd4-9c73631b18d5"]
}, Open  ]],

Cell[CellGroupData[{

Cell["THE MAX EIGVAL OF M is WRONG:  need M.M^t  sqrt!!", "Subsubsection",
 CellChangeTimes->{{3.7484900690353537`*^9, 
  3.748490097604184*^9}},ExpressionUUID->"ffbe15f9-00d1-451b-8cd2-\
71b5f246f304"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Sort", "[", 
  RowBox[{
   RowBox[{"Eigenvalues", "[", "numM4matrix", "]"}], ",", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"#1", ">", "#2"}], "&"}], ")"}]}], "]"}]], "Input",
 CellChangeTimes->{3.748490056980444*^9},
 CellLabel->
  "In[296]:=",ExpressionUUID->"2f291098-e548-4a8e-9009-b9ef75af13d6"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "67.52659413850377`", ",", "6.998772574621753`", ",", "1.416715726166478`", 
   ",", 
   RowBox[{"-", "3.762084756882279`"}]}], "}"}]], "Output",
 CellChangeTimes->{3.748490058107933*^9},
 CellLabel->
  "Out[296]=",ExpressionUUID->"179a79d6-d9f4-473d-901a-6a3c9269f930"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Sqrt", "/@", 
  RowBox[{"Sort", "[", 
   RowBox[{
    RowBox[{"Eigenvalues", "[", 
     RowBox[{"numM4matrix", ".", 
      RowBox[{"Transpose", "[", "numM4matrix", "]"}]}], "]"}], ",", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"#1", ">", "#2"}], "&"}], ")"}]}], "]"}]}]], "Input",
 CellChangeTimes->{
  3.748489668168469*^9, 3.748489846473207*^9, {3.7484899973881598`*^9, 
   3.748490030267384*^9}},
 CellLabel->
  "In[295]:=",ExpressionUUID->"83f58d8f-6e40-446d-a58f-b952ae0ccc80"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "67.52852539663311`", ",", "8.13383441139493`", ",", "3.559142861564731`", 
   ",", "1.2884868888822705`"}], "}"}]], "Output",
 CellChangeTimes->{{3.7484900165294733`*^9, 3.748490031002308*^9}},
 CellLabel->
  "Out[295]=",ExpressionUUID->"fdf9fb8c-61a1-47a4-b680-2cc82c3df38c"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
WindowSize->{808, 614},
WindowMargins->{{51, Automatic}, {Automatic, 47}},
FrontEndVersion->"11.3 for Mac OS X x86 (32-bit, 64-bit Kernel) (March 5, \
2018)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 195, 3, 65, "Subchapter",ExpressionUUID->"7cd83b94-db46-4cff-a80d-84e17cb7c323"],
Cell[CellGroupData[{
Cell[800, 29, 212, 3, 30, "Input",ExpressionUUID->"28ee7222-f2ec-4c43-b37a-0f9a3dda471b"],
Cell[1015, 34, 189, 2, 34, "Output",ExpressionUUID->"685e0299-dd8d-4f54-b778-4a2e0def055c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1241, 41, 155, 3, 67, "Section",ExpressionUUID->"0f2360e9-3f12-4d70-836c-112badbe6238"],
Cell[1399, 46, 1832, 51, 131, "Input",ExpressionUUID->"6a4609a5-8134-4256-8d24-9894fd8971f0",
 InitializationCell->True],
Cell[3234, 99, 2887, 70, 215, "Input",ExpressionUUID->"c3178a73-c840-4099-a24c-aaf7cbdc0ef7",
 InitializationCell->True],
Cell[6124, 171, 3842, 105, 194, "Input",ExpressionUUID->"a5dd220d-ef93-4e28-9bbe-4686ed5c93cf",
 InitializationCell->True],
Cell[9969, 278, 4873, 115, 341, "Input",ExpressionUUID->"e148934d-1b70-48ff-9ba3-633b68784700",
 InitializationCell->True],
Cell[14845, 395, 1880, 51, 131, "Input",ExpressionUUID->"64073b97-f3fa-414b-aa23-2df002d9f259",
 InitializationCell->True],
Cell[16728, 448, 5490, 147, 299, "Input",ExpressionUUID->"e5dbe8c3-3f75-4ab2-a492-f5ee9450711c",
 InitializationCell->True],
Cell[22221, 597, 5922, 140, 383, "Input",ExpressionUUID->"b978a17b-69c2-4432-89de-58cb7bf97ef8",
 InitializationCell->True],
Cell[28146, 739, 2079, 54, 152, "Input",ExpressionUUID->"6e7fdc80-3f94-4e81-b8a1-099681260eb7",
 InitializationCell->True],
Cell[30228, 795, 2784, 66, 194, "Input",ExpressionUUID->"485a9f8d-0fa8-4a03-bb94-17babf4702bd",
 InitializationCell->True],
Cell[33015, 863, 3225, 85, 215, "Input",ExpressionUUID->"5d995891-4617-4c9f-b196-70923022be35",
 InitializationCell->True],
Cell[36243, 950, 4677, 120, 320, "Input",ExpressionUUID->"3397862c-6a45-4e40-8b50-57657305752c",
 InitializationCell->True]
}, Closed]],
Cell[CellGroupData[{
Cell[40957, 1075, 190, 3, 53, "Section",ExpressionUUID->"ea764d82-f3fe-4c84-8f6b-17d22dfc522f"],
Cell[41150, 1080, 598, 15, 52, "Code",ExpressionUUID->"77567cbf-6a3e-4b31-a3c8-0c18ff9a379f"],
Cell[41751, 1097, 1378, 37, 52, "Code",ExpressionUUID->"94361d19-0061-4767-a97d-db6f6224c593"],
Cell[CellGroupData[{
Cell[43154, 1138, 440, 9, 52, "Code",ExpressionUUID->"985068d0-a738-44ae-80f6-985c7a09af21"],
Cell[43597, 1149, 731, 18, 34, "Output",ExpressionUUID->"27b4862d-92ec-4b8d-bc6f-21dfbdca1193"]
}, Open  ]],
Cell[CellGroupData[{
Cell[44365, 1172, 1000, 23, 72, "Code",ExpressionUUID->"60dbed6d-f7d1-49d1-82cc-213b9b950e57"],
Cell[45368, 1197, 829, 17, 56, "Output",ExpressionUUID->"7ac0958e-1f38-4335-ab90-54208a7821b7"]
}, Open  ]],
Cell[CellGroupData[{
Cell[46234, 1219, 258, 4, 52, "Code",ExpressionUUID->"fa9a89e9-f30b-4123-b568-825ac870d43b"],
Cell[46495, 1225, 1089, 27, 56, "Output",ExpressionUUID->"6a8a8287-c0e5-4068-bf37-b2d55ef618af"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[47633, 1258, 377, 9, 181, "Section",ExpressionUUID->"44e4667c-8eb7-482b-89da-e28011782114"],
Cell[CellGroupData[{
Cell[48035, 1271, 490, 11, 30, "Input",ExpressionUUID->"e1c1e5ba-87c1-436e-b5ef-9eab65dec4d3"],
Cell[48528, 1284, 274, 4, 34, "Output",ExpressionUUID->"ce2ebf4a-f131-4052-89b3-f6791f5c9bd1"]
}, Open  ]],
Cell[CellGroupData[{
Cell[48839, 1293, 275, 6, 30, "Input",ExpressionUUID->"02ba465d-c35c-492d-bed8-fb20786a9bd5"],
Cell[49117, 1301, 291, 6, 34, "Output",ExpressionUUID->"b66828d5-f648-4c0b-8b45-206d8a3891cf"]
}, Open  ]],
Cell[CellGroupData[{
Cell[49445, 1312, 305, 6, 30, "Input",ExpressionUUID->"9a943c8c-0653-4a59-afd7-2c1285461bfa"],
Cell[49753, 1320, 599, 14, 34, "Output",ExpressionUUID->"4cb618e6-e9d2-4606-b3b1-cd70431e32f8"]
}, Open  ]],
Cell[CellGroupData[{
Cell[50389, 1339, 365, 8, 30, "Input",ExpressionUUID->"4349d6bc-9bbb-4d43-bfc8-e1273f7c4e02"],
Cell[50757, 1349, 529, 13, 34, "Output",ExpressionUUID->"813cf826-2a31-4da8-89d6-7066b8bebcc4"]
}, Open  ]],
Cell[CellGroupData[{
Cell[51323, 1367, 279, 5, 30, "Input",ExpressionUUID->"0bd5e751-4f13-49a5-8230-ec0c79246bae"],
Cell[51605, 1374, 735, 16, 56, "Output",ExpressionUUID->"d63c4cf9-8115-4602-95b1-7dfb5ad2635c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[52377, 1395, 570, 14, 71, "Subsubsection",ExpressionUUID->"9f842909-1ef4-4aff-8969-03d9e791b03b"],
Cell[CellGroupData[{
Cell[52972, 1413, 239, 4, 30, "Input",ExpressionUUID->"ea87dc16-f32c-465a-a8aa-363e758d395f"],
Cell[53214, 1419, 257, 3, 34, "Output",ExpressionUUID->"eb8a04ce-010b-439f-9846-4adedd9ef334"]
}, Open  ]],
Cell[CellGroupData[{
Cell[53508, 1427, 347, 8, 30, "Input",ExpressionUUID->"7939a222-1b09-49bb-895e-dfa7b45ca8bc"],
Cell[53858, 1437, 434, 8, 68, "Output",ExpressionUUID->"140719b4-e828-4ba7-aeba-2edf0990b6c0"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[54353, 1452, 299, 7, 105, "Section",ExpressionUUID->"9beebe13-1a57-44f2-b4d4-aa094418a50c"],
Cell[CellGroupData[{
Cell[54677, 1463, 709, 14, 52, "Code",ExpressionUUID->"f19b34c8-a380-4c8b-82c5-0f46a51b5c3e"],
Cell[55389, 1479, 228, 3, 34, "Output",ExpressionUUID->"29b7f9a1-b2ef-4090-bb6d-8c9361e2229e"]
}, Open  ]],
Cell[CellGroupData[{
Cell[55654, 1487, 323, 6, 52, "Code",ExpressionUUID->"9e3ad989-e05f-4f12-91c1-38b7fed7a692"],
Cell[55980, 1495, 286, 5, 34, "Output",ExpressionUUID->"0fa2cbea-4e6c-413b-94ac-3a612cd4ff73"]
}, Open  ]],
Cell[CellGroupData[{
Cell[56303, 1505, 231, 4, 52, "Code",ExpressionUUID->"581ee705-d940-48ee-87db-95eeb1d2bf1e"],
Cell[56537, 1511, 20635, 491, 794, "Output",ExpressionUUID->"1ed6bcd4-5a14-4222-bc19-9c118e21aba7"]
}, Open  ]],
Cell[CellGroupData[{
Cell[77209, 2007, 306, 5, 52, "Code",ExpressionUUID->"5fa769f4-48ff-45e5-a3fe-41f74fbc1bb9"],
Cell[77518, 2014, 19070, 483, 791, "Output",ExpressionUUID->"ac7ba98a-35b7-41af-8c06-c101add00e4f"]
}, Open  ]],
Cell[96603, 2500, 262, 6, 36, "Text",ExpressionUUID->"1a1b533e-d0ed-4da5-97c8-d6637ef9f8ca"],
Cell[CellGroupData[{
Cell[96890, 2510, 450, 10, 30, "Input",ExpressionUUID->"b778f1d5-cae1-4c0b-934f-06cf23c72c96"],
Cell[97343, 2522, 182, 3, 34, "Output",ExpressionUUID->"b9aa4cf4-7997-4b1e-a4ef-38ed2c97fc57"]
}, Open  ]],
Cell[97540, 2528, 312, 6, 52, "Code",ExpressionUUID->"e7cc9f88-c80d-4c2c-85cb-49ea9e5b5a31"],
Cell[97855, 2536, 403, 8, 46, "Input",ExpressionUUID->"14948799-9631-4543-9e0f-1573843bdf04",
 InitializationCell->True],
Cell[CellGroupData[{
Cell[98283, 2548, 398, 8, 52, "Code",ExpressionUUID->"fe3eb4b9-df50-437c-abb4-c45f3bfb7c83"],
Cell[98684, 2558, 321, 6, 34, "Output",ExpressionUUID->"6682f764-dd31-44c0-b587-c8ca4b419473"]
}, Open  ]],
Cell[CellGroupData[{
Cell[99042, 2569, 280, 5, 52, "Code",ExpressionUUID->"2a8e1723-53f6-46b8-9b15-2fd4a514540d"],
Cell[99325, 2576, 10706, 281, 210, "Output",ExpressionUUID->"8e7da4fb-1ec2-43c4-9bb2-56dd956392a7"]
}, Open  ]],
Cell[110046, 2860, 527, 16, 38, "Text",ExpressionUUID->"3d6e5cdf-97c8-4f2c-9df2-35f726c8888f"],
Cell[CellGroupData[{
Cell[110598, 2880, 393, 8, 30, "Input",ExpressionUUID->"f8e29496-08f7-4a32-adbf-70e0ec32734f"],
Cell[110994, 2890, 205, 3, 34, "Output",ExpressionUUID->"1e62965b-bfff-4dcd-8f50-7daccd4e539f"]
}, Open  ]],
Cell[CellGroupData[{
Cell[111236, 2898, 221, 4, 54, "Subsection",ExpressionUUID->"7e6b9832-b387-4553-9857-1afbbcb9c537"],
Cell[111460, 2904, 277, 5, 30, "Input",ExpressionUUID->"1adb9532-97ba-45d8-a4b7-bb59686d5d40"],
Cell[CellGroupData[{
Cell[111762, 2913, 209, 3, 30, "Input",ExpressionUUID->"dec9fb25-01d1-420d-8e53-7cdc45d451d0"],
Cell[111974, 2918, 257, 5, 34, "Output",ExpressionUUID->"f094449c-2061-4689-b471-8716425f6c3e"]
}, Open  ]],
Cell[CellGroupData[{
Cell[112268, 2928, 250, 5, 30, "Input",ExpressionUUID->"f3f2e78c-7edd-4167-8be2-3e0eb8c51d2d"],
Cell[112521, 2935, 6339, 166, 248, "Output",ExpressionUUID->"f51aa793-5d0d-4bf6-b4e1-f4514c1a2246"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[118933, 3109, 158, 3, 65, "Subchapter",ExpressionUUID->"c695fb26-9b21-466c-94c8-a6748f66edb3"],
Cell[119094, 3114, 226, 4, 30, "Input",ExpressionUUID->"e4f9629b-b6c2-465d-a58d-c6f58046eba0"],
Cell[CellGroupData[{
Cell[119345, 3122, 618, 15, 68, "Input",ExpressionUUID->"0911f7be-d338-4976-a281-42c9a003f856",
 InitializationCell->True],
Cell[119966, 3139, 549, 13, 34, "Output",ExpressionUUID->"71f8d3f0-7b1f-429e-a0fb-dfb18567baf0"]
}, Open  ]],
Cell[120530, 3155, 1741, 41, 131, "Input",ExpressionUUID->"f819cd20-2dc1-4ea4-a09a-6dc2f3d20d17",
 InitializationCell->True],
Cell[122274, 3198, 328, 6, 30, "Input",ExpressionUUID->"2354b718-2655-43da-9c0c-fc8df0a95c21"],
Cell[CellGroupData[{
Cell[122627, 3208, 236, 4, 30, "Input",ExpressionUUID->"de63e50f-182f-45f6-85a7-e47e57c08baf"],
Cell[122866, 3214, 256, 5, 34, "Output",ExpressionUUID->"89b86562-c550-4b47-9b90-7e8d42dacd38"]
}, Open  ]],
Cell[123137, 3222, 277, 6, 30, "Input",ExpressionUUID->"c35f29e0-a52d-4a7c-9e05-83e84dbbef3b"],
Cell[CellGroupData[{
Cell[123439, 3232, 169, 3, 54, "Subsection",ExpressionUUID->"2181b564-0c28-465c-9096-b83b268e4e59"],
Cell[CellGroupData[{
Cell[123633, 3239, 494, 10, 30, "Input",ExpressionUUID->"9421c226-0f8d-4a78-926b-6b7ee0689519"],
Cell[124130, 3251, 975, 24, 56, "Output",ExpressionUUID->"f459acdc-1245-4e9c-9a79-8e4a33351b23"]
}, Open  ]],
Cell[CellGroupData[{
Cell[125142, 3280, 1048, 24, 73, "Input",ExpressionUUID->"4e535baf-71b4-45f7-91bb-19803f83360b"],
Cell[126193, 3306, 1332, 28, 77, "Output",ExpressionUUID->"bb010b14-0a9e-4dd3-9e85-d6ff8cefa8f4"]
}, Open  ]],
Cell[127540, 3337, 1605, 35, 136, "Input",ExpressionUUID->"31a3c7db-2449-418c-a5d2-5940191e2aa2"],
Cell[CellGroupData[{
Cell[129170, 3376, 348, 8, 30, "Input",ExpressionUUID->"27334549-6085-4037-8aae-9ace750ee1b4"],
Cell[129521, 3386, 1018, 25, 56, "Output",ExpressionUUID->"6b894274-9499-4d27-aed1-27a4fd19518e"]
}, Open  ]],
Cell[CellGroupData[{
Cell[130576, 3416, 311, 5, 30, "Input",ExpressionUUID->"e1f54ee0-f053-4f28-b6c1-ec5b59900480"],
Cell[130890, 3423, 994, 23, 56, "Output",ExpressionUUID->"423f2baf-3bfd-4dbc-bdd0-935eea5c7410"]
}, Open  ]],
Cell[CellGroupData[{
Cell[131921, 3451, 251, 4, 30, "Input",ExpressionUUID->"749ee5b3-16bf-4c46-9cfb-33c57dfd0a4f"],
Cell[132175, 3457, 999, 23, 56, "Output",ExpressionUUID->"81831bac-1bc3-4be9-a428-04d60ff729cf"]
}, Open  ]],
Cell[133189, 3483, 458, 10, 30, "Input",ExpressionUUID->"8c55071d-dd4a-4b43-8c12-468767543986"],
Cell[133650, 3495, 394, 7, 30, "Input",ExpressionUUID->"4d98df7c-02a9-4144-8979-8e0e4c5a5119"],
Cell[134047, 3504, 373, 7, 30, "Input",ExpressionUUID->"8e7f1a72-dc8f-49cc-b0c6-3d77f6d21d10"],
Cell[CellGroupData[{
Cell[134445, 3515, 379, 8, 30, "Input",ExpressionUUID->"720a1b6a-96ec-4bd9-ad77-7f29208a9995"],
Cell[134827, 3525, 275, 6, 34, "Output",ExpressionUUID->"e9135b9b-4c76-4abe-abd4-9c73631b18d5"]
}, Open  ]],
Cell[CellGroupData[{
Cell[135139, 3536, 202, 3, 45, "Subsubsection",ExpressionUUID->"ffbe15f9-00d1-451b-8cd2-71b5f246f304"],
Cell[CellGroupData[{
Cell[135366, 3543, 326, 9, 30, "Input",ExpressionUUID->"2f291098-e548-4a8e-9009-b9ef75af13d6"],
Cell[135695, 3554, 312, 8, 34, "Output",ExpressionUUID->"179a79d6-d9f4-473d-901a-6a3c9269f930"]
}, Open  ]],
Cell[CellGroupData[{
Cell[136044, 3567, 511, 14, 30, "Input",ExpressionUUID->"83f58d8f-6e40-446d-a58f-b952ae0ccc80"],
Cell[136558, 3583, 319, 7, 34, "Output",ExpressionUUID->"fdf9fb8c-61a1-47a4-b680-2cc82c3df38c"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)

